#!/usr/bin/perl
#  Copyright 2001-2010 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  Description: Grade based subject enrollment. List all the students
#   for all the subjects in that grade. Deselect those that you don't
#   have in those subjects.

my %lex = ('Main' => 'Main',
	   'No Student(s) Found' => 'No Student(s) Found',
	   'Continue' => 'Continue',
	   'Contacts' => 'Contacts',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',
	   'Last,First/Last/Initials/Studnum' => 'Last,First/Last/Initials/Studnum',
	   'Search' => 'Search',
	   'Error' => 'Error',
	   'Please Log In' => 'Please Log In',
	   'Category' => 'Category',
	   'New' => 'New',
	   'or' => 'or',
	   'Date' => 'Date',
	   'Description' => 'Description',
	   'Save' => 'Save',
	   'Record' => 'Record',
	   'Records' => 'Records',
	   'Student' => 'Student',
	   'No Student(s) Found' => 'No Student(s) Found',
	   'No Record(s) Found' => 'No Record(s) Found',
	   'Record(s) Deleted' => 'Record(s) Deleted',
	   'Record(s) Updated' => 'Record(s) Updated',
	   'Record' => 'Record',
	   'or' => 'or',
	   'Select' => 'Select',

	   );

my $self = 'contactdeled.pl';
my $searchsize = 20; # max number of students before we show a search box for students.


use DBI;
use CGI;
use CGI::Session;

eval require "../ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $q = new CGI;
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');
    print $q->header( -charset, $charset );
    print "$doctype\n<html><head>\n";
    print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\"></head><body>\n";
    print "[ <a href=\"$iephome\">". $lex{Main}. "</a> ]\n";

    print "<form action=\"../login.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
    print "<input type=\"hidden\" name=\"script\" value=\"contact/$self\">\n";
    print "<input type=\"submit\" value=\"". $lex{'Please Log In'}. "\">\n";
    print "</form></center></body></html>\n";
    die;
}

my $userid = $session->param('userid');
my $schooldbase = $session->param('schooldbase');

# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from educator where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;


my $sdb = $dbh->quote( $schooldbase );
my $select;
if ( $schooldbase ne 'per' ) {
    my $sdb = $dbh->quote( $schooldbase );
    $select = " school = $sdb ";
}


# Print Page Header
print "$doctype\n<html><head><title>$lex{Edit}/$lex{Delete} $lex{Contacts}</title>\n";
print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">\n";

if ( $arr{page} == 2 ) { # record edit 
    print "<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" ";
    print "href=\"/js/calendar-blue.css\" title=\"blue\">\n";
    print "<script type=\"text/javascript\" src=\"/js/calendar.js\"></script>\n";
    print "<script type=\"text/javascript\" src=\"/js/lang/calendar-en.js\"></script>\n";
    print "<script type=\"text/javascript\" src=\"/js/calendar-setup.js\"></script>\n";
}

print "$chartype\n</head><body>\n";
print "[ <a href=\"$iephome\">". $lex{Main}. "</a> ] $firstname $lastname\n";

print "<h1>$lex{Edit}/$lex{Delete} $lex{Contacts}</h1><p></p>\n";


if ( not $arr{page} ) {
    showStartPage();

} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    showRecords();

} elsif ( $arr{page} == 2 ) {
    delete $arr{page};
    editRecord();

} elsif ( $arr{page} == 3 ) {
    delete $arr{page};
    updateRecord();

} elsif ( $arr{page} == 4 ) {
    delete $arr{page};
    deleteConfirm();

} elsif ( $arr{page} == 5 ) {
    delete $arr{page};
    deleteRecord();

} elsif ( $arr{page} == 6 ) {
    delete $arr{page};
    searchStudent( $arr{student} );

} 



#----------------
sub deleteConfirm { # display record to delete
#----------------
 
    #foreach my $key ( sort keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    print "<form action=\"$self\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"page\" value=\"5\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$arr{id}\">\n";

    # Get Record
    my $sth = $dbh->prepare("select studnum, cdate, category, description 
      from contactlog where id = ?");
    $sth->execute( $arr{id} );
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
    my ( $studnum, $cdate, $category, $description ) = $sth->fetchrow;

    # Get Name
    my $sth1 = $dbh->prepare("select lastname, firstname from special 
      where studnum = ?");
    $sth1->execute( $studnum );
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
    my ( $lastname, $firstname ) = $sth1->fetchrow;


    print "<h3>$firstname $lastname</h3>\n";
    print "<ul><li>$cdate</li>\n";
    print "<li>$category</li><li>$description</li></ul>\n";

    print "<input type=\"submit\" value=\"$lex{Delete} $lex{Record}\">\n";
    print "</form></body></html>\n";

    exit;

}



#---------------
sub deleteRecord { # delete record
#---------------


    #foreach my $key ( sort keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from contactlog where id = ?");
    $sth->execute( $arr{id} );
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
    
    print "<h3>$lex{'Record(s) Deleted'}</h3>\n";
   

    print "<p>[ <a href=\"$iephome\">". $lex{Main}. "</a> ]\n";

    print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"submit\" value=\"";
    print "$lex{Edit}/$lex{Delete} $lex{Records}";
    print "\"></form></p>\n";

    print "</body></html>\n";

    exit;

}



#---------------
sub updateRecord {
#---------------
    
    #foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    # update category, if necessary.
    if ( $arr{newcategory} ) { $arr{category} = $arr{newcategory}; }

    my $sth = $dbh->prepare("update contactlog set cdate = ?, category = ?, description = ? where id = ?");

    # Update the record
    $sth->execute( $arr{cdate}, $arr{category}, $arr{description}, $arr{id} );
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
	
    print "<h3>$lex{'Record(s) Updated'}</h3>\n";

    print "<p>[ <a href=\"$iephome\">". $lex{Main}. "</a> ]\n";

    print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"submit\" value=\"";
    print "$lex{Edit}/$lex{Delete} $lex{Records}";
    print "\"></form></p>\n";

    print "</body></html>\n";

    exit;

} # End of UpdateRecord



#-------------
sub editRecord { # edit single contact record
#-------------

    #foreach my $key ( sort keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }
    delete $arr{edit};

    my $id = $arr{id};

    # SQL Setup.
    my $sth = $dbh->prepare("select studnum, cdate, category, description from contactlog 
      where id = ?");
    my $sth1 = $dbh->prepare("select lastname, firstname from special where studnum = ?");

    
    # Get Contact.
    $sth->execute( $id );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my ( $studnum, $cdate, $category, $description ) = $sth->fetchrow;


    # Get Name
    $sth1->execute( $studnum );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my ( $lastname, $firstname ) = $sth1->fetchrow;

    # Get any categories
    $sth = $dbh->prepare("select distinct category from contactlog
       where category != '' order by category");
    $sth->execute;
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr;}
    my @category = ();
    while ( my $category = $sth->fetchrow ) {
	push @category, $category;
    }


    # Start Form.
    print "<form action=\"$self\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"page\" value=\"3\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";

    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";

    # Show Student Name
    print "<tr><td class=\"bra\">$lex{Student}</td>\n";
    print "<td class=\"la\">$firstname $lastname ( $studnum )</td></tr>\n";


    # Category Selection
    print "<tr><td class=\"bra\">$lex{Category}</td>\n";
    print "<td class=\"la\"><select name=\"category\"><option>$category</option>\n";
    foreach my $cat ( @category ) {
	if ( $cat eq $category ) { next; }
	print "<option>$cat</option>\n";
    }
    print "<option></option></select> $lex{or}</td></tr>\n";


    # Add New Category
    print "<tr><td class=\"bra\">$lex{New} $lex{Category}</td>\n";
    print "<td class=\"la\">";
    print "<input type=\"text\" name=\"newcategory\" size=\"60\" maxlength=\"255\">\n";
    print "</td></tr>\n";


    # Date
    print "<tr><td class=\"bra\">". $lex{Date}. "</td><td class=\"la\">";
    print "<input type=\"text\" name=\"cdate\" id=\"cdate\" size=\"12\" value=\"$cdate\">\n";
    print "<button type=\"reset\" id=\"start_trigger\">...</button></td></tr>\n";


    # Add New Description
    print "<tr><td class=\"bra\">$lex{Description}</td>\n";
    print "<td align=\"left\">";
    print "<textarea name=\"description\" cols=\"80\" rows=\"4\">$description</textarea>\n";
    print "</td></tr>\n";

    print "<tr><td></td><td><input type=\"submit\" value=\"$lex{Save}\">\n";
    print "</td></tr></table></div>\n";

    print "<script type=\"text/javascript\">
     Calendar.setup({
        inputField     :    \"cdate\", // id of the input field
        ifFormat       :    \"%Y-%m-%d\", // format of the input field
        button         :    \"start_trigger\", // trigger for the calendar (button ID)
        singleClick    :    false,        // double-click mode
        step           :    1             // show all years in drop-down boxes 
    })\n";

    print "</script>\n";

    print "</body></html>\n";
    exit;
}


#----------------
sub showStartPage {
#----------------

    # look for students
    if ( $select ) { $select = " where $select"; }
    my $sth = $dbh->prepare("select lastname, firstname, studnum from special
      $select order by lastname, firstname");
    $sth->execute;
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    my $ref = $sth->fetchall_arrayref({});
    my @studs = @$ref;

    if  ( $#studs > $searchsize ) {

	print "<div style=\"padding:1em;\">\n";

	# Search for Student; disable for small counts.
	print "<form action=\"$self\" method=\"post\">\n";
	print "<input type=\"hidden\" name=\"page\" value=\"6\">\n";

	print "<b>$lex{Student}</b>\n";
	print "<input type=\"text\" name=\"student\" size=\"30\">\n";
	print "<input type=\"submit\" value=\"$lex{Search}\"><br>\n";
	print "$lex{'Last,First/Last/Initials/Studnum'}<br>\n";
	print "</form></div>\n";

    } else { # show all students

	print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";

	foreach my $ref ( @studs ) {

	    print "<tr><td>$ref->{firstname} $ref->{lastname}</td><td>\n";

	    print "<form action=\"$self\" method=\"post\">\n";
	    print "<input type=\"hidden\" name=\"studnum\" value=\"$ref->{studnum}\">\n";
	    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
	    print "<input type=\"submit\" value=\"$lex{Continue}\"></form>\n";

	    print "</td></tr>\n";

	}

	print "</table>\n";

    }

    print "</body></html>\n";
    exit;
}


#--------------
sub showRecords { # display records;
#--------------

    # foreach my $key ( sort keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    # SQL Setup.
    my $sth = $dbh->prepare("select id, cdate, category, description from contactlog 
      where studnum = ? order by cdate desc");
    my $sth1 = $dbh->prepare("select lastname, firstname from special where studnum = ?");
    

    foreach my $key ( keys %arr ) {

	my $studnum = $arr{$key};

	# Get Name
	$sth1->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my ( $lastname, $firstname ) = $sth1->fetchrow;

	# Get Contacts.
	$sth->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

	my $first = 1;
	while ( my ( $id, $cdate, $category, $description ) = $sth->fetchrow ) {

	    if ( $first ) { # print table heading
		print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\" style=\"margin:0.5em;\">\n";
		print "<caption style=\"font-size:150%;font-weight:bold;\">$firstname $lastname</caption>\n";
		$first = 0;
	    }

	    print "<tr><td>$cdate</td><td>$category</td><td>$description</td><td>\n";

	    print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
	    print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
	    print "<input type=\"hidden\" name=\"page\" value=\"2\">\n";
	    print "<input type=\"submit\" name=\"edit\" value=\"$lex{Edit}\"></form>\n";

	    print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
	    print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
	    print "<input type=\"hidden\" name=\"page\" value=\"4\">\n";
	    print "<input type=\"submit\" name=\"edit\" value=\"$lex{Delete}\"></form>\n";

	    print "</td></tr>\n";
	}
	 
	if ( $first ) { # no records
	    print "<h3>$lex{'No Record(s) Found'}</h3>\n";
	} else {
	    print "</table>\n";
	}

    } # next student, if any.

    print "</body></html>\n";

    exit;
}





#----------------
sub searchStudent {
#----------------

    my $student = shift;
    if ( $select ) {
	$select = 'and '. $select;
    }

    # Setup the Search
    if ($student =~ /\d+/) {  # we have a student number
	$sth = $dbh->prepare("select lastname, firstname, studnum from special
          where studnum = ? $select ");
	$sth->execute( $student );

    } else { # we have words possibly with a comma
	($lastname,$firstname)  = split /\,/, $student;
	$firstname =~ s/^\s*//;
	$lastname =~ s/^\s*//;
	if ($lastname and $firstname){ # both entered.
	    $sth = $dbh->prepare("select  lastname, firstname, studnum from special 
             where lastname = ? and firstname = ? $select");
	    $sth->execute( $lastname, $firstname );

	} elsif ($lastname and not $firstname){ # only lastname (no comma)
	    if (length($lastname) == 2){ # search by initials: fi, li.
		my $fi = substr($lastname,0,1). '%'; 
		my $li = substr($lastname,1,1). '%';
		$sth = $dbh->prepare("select lastname, firstname, studnum from special 
                 where lastname $sql{like} ? and firstname $sql{like} ? $select");
		$sth->execute( $li, $fi );

	    } else {
		$sth = $dbh->prepare("select lastname, firstname, studnum from special 
                  where lastname = ? order by firstname $select");
		$sth->execute( $lastname );
	    }
	} else { # print an error....
	    print "<h1>$lex{Error}</h1>\n";
	    print "</body></html>\n";
	    exit;
	}

    } # Last Else
    # We should now have a $sth defined.


    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my $rows = $sth->rows;
    # print "Rows: $rows<br>\n";


    if ( $rows < 1 ) { 
	print "<h1>$lex{'No Student(s) Found'}</h1>\n";
	print "<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\">\n";
	print "<form action=\"$self\" method=\"post\">\n";
	print "<input type=\"hidden\" name=\"page\" value=\"6\">\n";

	print "<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\">\n";

	print "<tr><td colspan=\"2\" style=\"text-align:center;\">$lex{Student} ";
	print "($lex{'Last,First/Last/Initials/Studnum'})<br>";
	print "<input type=\"text\" name=\"student\" size=\"30\"></td></tr>\n";

	print "<tr><td colspan=\"2\" style=\"text-align:center;\">\n";
	print "<input type=\"submit\" value=\"". $lex{Continue}. "\"></td></tr>\n";
	print "</table></form></body></html>\n";
	exit; 
    }

    print "<form action=\"$self\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";

    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
    print "<tr><th>". $lex{Student}. "</th><th>". $lex{Select}. "</th></tr>\n";

    my $sth1 = $dbh->prepare("select count(*) from contactlog where studnum = ?");

    my $first = 1;
    while ( my ($lastname, $firstname, $studnum) = $sth->fetchrow ) {

	# Find any transactions; otherwise skip
	$sth1->execute( $studnum );
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
	my $count = $sth1->fetchrow;

	print "<tr><td><b>$lastname</b>, $firstname ($studnum)</td><td>\n";
	if ( $count ) {
	    print "<input type=\"checkbox\" name=\"$lastname$firstname$studnum\" value=\"$studnum\">\n";
	} else {
	    print $lex{'No Record(s) Found'};
	}
	print "</td></tr>\n";

    }

    print "</table>\n";
    print "<input type=\"submit\" value=\"$lex{'Continue'}\">\n";
    print "</form></body></html>\n";

    exit;

} # end of searchStudent
