#! /usr/bin/perl
#  Copyright 2001-2018 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# Assume now that the school is passed that will be reporting on.

my %lex = ('Progress Reports' => 'Progress Reports',
	   'Main' => 'Main',
	   'Error' => 'Error',
	   'View/Download/Print' => 'View/Download/Print',
	   'View Log File' => 'View Log File',
	   'Progress Report to Parents' => 'Progress Report to Parents',
	   'Evaluation \\& Comment Key' => 'Evaluation \\& Comment Key',
	   'Objectives' => 'Objectives',
	   'Term' => 'Term',
	   'Comments' => 'Comments',
	   'Additional Comments' => 'Additional Comments',
	   'Teacher' => 'Teacher',
	   'Parent/Guardian Signature' => 'Parent/Guardian Signature',
	   'Principal Signature' => 'Principal Signature',
	   'School' => 'School',
	   'Report' => 'Report',
	   'Please Log In' => 'Please Log In',

	   'Start Term' => 'Start Term',
	   'End Term' => 'End Term',
	   'Continue' => 'Continue',
	   'Date' => 'Date',
	   'Missing Value' => 'Missing Value',
	   'Performance Level' => 'Performance Level',
	   

	   );

my $self = 'rptprogressnew.pl';

use DBI;
use CGI;
use CGI::Session;

my $q = new CGI;
my %arr = $q->Vars;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

eval require "$globdir/global.conf";
if ( $@ ) {
    print $q->header; 
    print $lex{Error}. " global.conf: $@<br>\n";
    die $lex{Error}. " global.conf: $@\n";
}

eval require "liblatex.pl";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');
    print $q->header;
    print qq{$doctype\n<html><head>\n};
    print qq{<link rel="stylesheet" href="$iepcss" type="text/css"></head><body>\n};
    print qq{[ <a href="$iephome">$lex{Main}</a> ]\n};
    
    print qq{<form action="login.pl" method="post" style="display:inline;">\n};
    print qq{<input type="hidden" name="userid" value="$userid">\n};
    print qq{<input type="hidden" name="script" value="$self">\n};
    print qq{<input type="submit" value="$lex{'Please Log In'}">\n};
    print qq{</form></body></html>\n};
    exit;
}

my $userid = $session->param('userid');
my $schooldbase = $session->param('schooldbase');

# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from educator where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;

my $sdb = $dbh->quote( $schooldbase );
my $select = "and school = $sdb ";


my ($sec, $min, $hour, $mday, $mon, $year, $wday, 
    $yday, $iddst) = localtime(time);
$mon++; $wday++;
$year = $year + 1900;
my $currdate = "$dow[$wday], $month[$mon] $mday, $year";
my $scurrdate = "$year-$mon-$mday";

# Print Heading.
my $title = $lex{'Progress Reports'};
print qq{$doctype\n<html><head><title>$title</title>\n};
print qq{<link rel="stylesheet" href="$iepcss" type="text/css">\n};

if ( not $arr{page} ) {
    print qq{<link rel="stylesheet" type="text/css" media="all" };
    print qq{href="/js/calendar-blue.css" title="blue">\n};
    print qq{<script type="text/javascript" src="/js/calendar.js"></script>\n};
    print qq{<script type="text/javascript" src="/js/lang/calendar-en.js"></script>\n};
    print qq{<script type="text/javascript" src="/js/calendar-setup.js"></script>\n};
}


print qq{</head><body>\n};
print qq{[ <a href="$iephome">$lex{Main}</a> ]\n};

print qq{<h1>$title</h1>\n};


if ( not $arr{page} ) {
    showStartPage();
    
} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    showReport();
}



#----------------
sub showStartPage {
#----------------

    # Start the form
    print qq{<form action="$self" method="post">\n};
    print qq{<input type="hidden" name="page" value="1">\n};

    print qq{<input type="submit" value="$lex{Continue}" style="margin-top:1em;">\n};
    


    print qq{<table border="0" cellpadding="3" cellspacing="0" style="margin-bottom:0.4em;">\n};
    
    # Terms
    print qq{<tr><td class="bra">$lex{'Start Term'}</td>};
    print qq{<td class="la"><input type="text" size="2" name="startterm"></td></tr>\n};
    
    print qq{<tr><td class="bra">$lex{'End Term'}</td>};
    print qq{<td class="la"><input type="text" size="2" name="endterm"></td></tr>\n};

    # Date 
    print qq{<tr><td class="bra">$lex{Date}</td>};
    print qq{<td class="la"><input type="text" name="date" id="date" size="12" value="$scurrdate">\n};
    print qq{<button type="reset" id="start_trigger">...</button></td></tr>\n};
    print qq{</table>\n};

    
    my $sth1 = $dbh->prepare("select count(*) from evmst_goal g ,evmst_main m 
      where m.id = g.mainid and m.studnum = ?");

    
    # Get Students
    my $select = "where school = $sdb ";
    my $sth = $dbh->prepare("select lastname, firstname, studnum
      from special $select order by lastname, firstname");
    $sth->execute;
    if ( $DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
    
    
    print qq{<table border="1" cellpadding="3" cellspacing="0">\n};
    print qq{<tr><th colspan="2">Select Students</th></tr>\n};
    
    # Students
    while ( my ( $lastname, $firstname, $studnum ) = $sth->fetchrow ) {

	$sth1->execute( $studnum );
	if ( $DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
	my $goalcount = $sth1->fetchrow;
	
	print qq{<tr><td class="cn">};
	if ( $goalcount ) {
	    print qq{<input type="checkbox" name="$studnum" value="1"> };
	} 
	print qq{</td><td class="la"><b>$lastname</b>, $firstname</td></tr>\n};
	
    }


    print qq{</table><input type="submit" value="$lex{Continue}"></form>\n};

    print qq{<script type="text/javascript">
     Calendar.setup({
        inputField     :    "date", // id of the input field
        ifFormat       :    "%Y-%m-%d", // format of the input field
        button         :    "start_trigger", // trigger for the calendar (button ID)
        singleClick    :    false,        // double-click mode
        step           :    1             // show all years in drop-down boxes 
    })\n};

    print qq{</script>\n};
    print qq{</body></html>\n};

    exit;

} # end of showStartPage


#-------------
sub showReport {
#-------------
    
    # Get Evaluation Keys from school database;
    my $dsn1 = "DBI:$dbtype:dbname=$schooldbase";
    my $dbh1 = DBI->connect($dsn1,$guser,$gpassword); # loaded from global

    
    # load report card configuration from school database.
    my $sth = $dbh1->prepare("select id, datavalue from conf_system where filename = 'repcard' order by dataname");
    $sth->execute;
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    while (	my ($id, $datavalue) = $sth->fetchrow ) {
	eval $datavalue;
	if ( $@ ) {
	    print "$lex{Error}: $@<br>\n";
	    die "$lex{Error}: $@\n";
	}
    }


    # Check Entry
    if ( not $arr{date} or not $arr{startterm} or not $arr{endterm} ) {
	print qq{<h3>$lex{'Missing Value'}</h3>\n};
	print qq{</body></html>\n};
	exit;
    }


    # foreach my $key ( sort keys %arr ) { print qq{K:$key V:$arr{$key}<br>\n}; }

    my $startterm = $arr{startterm};
    delete $arr{startterm};

    my $endterm = $arr{endterm};
    delete $arr{endterm};



    # Date
    if ( $arr{date} ) { # if a date is passed...
	my ( $yr, $mo, $da ) = split /-/, $arr{date};
	$date = "$month[$mo] $da, $yr";
    } else { # no date passed, use today.
	$date = $currdate;
    }

    #only student numbers left in %arr now

    
    my $shortname = "repprog$$";
    my $filename = "$shortname.tex";

    open(TEX,">$filename") || die "Can't open tex file";


    my $papersize;
    if ( $defaultpapersize ) {
	$papersize = $defaultpapersize;
    } else {
	$papersize = 'letterpaper';
    }


# Preamble and Head of Document
print TEX <<"EOS1";  
\\documentclass[11pt,$papersize,oneside]{article}
\\usepackage{array,graphicx,multicol,colortbl,inputenc}
\\inputencoding{latin1}
\\renewcommand{\\familydefault}{\\sfdefault}

\\setlength{\\hoffset}{-0.3in}
\\setlength{\\voffset}{-0.5in}
\\setlength{\\headsep}{10pt}
\\setlength{\\headheight}{14pt}
\\setlength{\\topmargin}{0in}
\\setlength{\\textwidth}{7.2in}
\\setlength{\\textheight}{9.5in}
\\setlength{\\parindent}{0pt}
\\setlength{\\evensidemargin}{0in}
\\setlength{\\oddsidemargin}{0in}
\\setlength{\\extrarowheight}{4pt}
\\pagestyle{headings}

\\begin{document}
EOS1


    # Find and sort student numbers
    my %sort;
    my $sth = $dbh->prepare("select lastname, firstname from  special where studnum = ?");

    foreach my $studnum ( keys %arr ) {
	$sth->execute( $studnum );
	if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
	my ($lastname, $firstname ) = $sth->fetchrow;
	$sort{"$lastname$firstname$studnum"} = $studnum;
    } 



    foreach my $key ( sort keys %sort ){ # Once for each student.
	my $studnum = $sort{$key};
    
	# Find the student info
	my $sth = $dbh->prepare("select * from special where studnum = ?");
	$sth->execute( $studnum );
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

	my $ref = $sth->fetchrow_hashref;
	my %r = %$ref;

	my $studname = "$r{firstname} $r{lastname}";
	my $schoolname = $dbase{$schooldbase};


	# Print the heading section for each new report card
	print TEX "\\thispagestyle{empty}\n\\begin{center}\\vspace*{38mm}\n\n";
	print TEX "{\\sf\\huge $lex{'Progress Report to Parents'}}\n\n";
	print TEX "\\smallskip\n{\\sf\\Large $divisionname}\n\n";
	print TEX "\\bigskip\n{\\sf\\Huge\\it $studname}\n\n";
	print TEX "\\bigskip\n{\\sf $date}\n\\end{center}\n\\newpage\n";

	print TEX "\\setcounter{page}{1}\n";
	print TEX "\\markright{$schoolname -- $schoolyear \\hfill  $studname -- }\n";

	print TEX "\\begin{center}\n\\medskip\n{\\sf\\huge $lex{'Progress Report to Parents'}";
	print TEX "}\\\\ \n \\smallskip \n {\\sf\\Large $divisionname}\n\n\\bigskip\n";
	print TEX "{\\sf\\LARGE\\it $studname}\n\\medskip\n";

	print TEX "\\setlength{\\extrarowheight}{4pt}\n\n\\hrulefill \n\n\\smallskip\n";
	print TEX "{\\sf\\Large $lex{'Evaluation \\& Comment Key'}}\n\n\\medskip\n";
	print TEX "\\begin{center}\n\\parbox{100mm}{\n";

	# Evaluation Keys from report card system
	my $evalkey = $r_EvalSch{ $r{grade} };
	my @eval = @{ $r_Eval{$evalkey}  };

	foreach $eval ( @eval ){  # values from report card system of school
	    $eval =~ s/::/ - /;
	    print TEX "$eval \\\\ \n";
	}

	print TEX "}\\end{center}\n\n";
	# End of heading section for each new report card.

    
	# Find their objective groups (ie. subjects)
	$sth = $dbh->prepare("select * from evalmst where studnum = ?");
	$sth->execute( $studnum );
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

	# of mark columns; 
	my $cols = $endterm - $startterm + 1;   

	# Loop; once for each subject.
	while ( my $ref = $sth->fetchrow_hashref ) {
	    my %em = %$ref;
	    # my @evalmst = $sth->fetchrow;
	    %em = latex_filter( %em );
	    my $subnum = $em{subnum};

	
	    #lookup subject name
	    my $sth1 = $dbh->prepare("select * from subject where catnum = ?");
	    $sth1->execute( $subnum );
	    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
	    my $sref = $sth1->fetchrow_hashref;
	    my %su = %$sref;
	    # WAS: @catsubject 
	    %su = latex_filter( %su );

	    my $subname = $su{category};
	    #print "SN: $studnum  SUB: $subname $subnum<br>\n";

	    my %master;
	
	    # Now find all term records for this subject for this student for this term. Place in master.
	    my $sth2 = $dbh->prepare("select * from eval where studnum = ? and subnum = ? and term = ?");
	    foreach my $trm ( $startterm..$endterm ) {

		$sth2->execute( $studnum, $subnum, $trm );
		if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
		
		my $teref = $sth2->fetchrow_hashref;
		my %termeval = %$teref;
	    
		%termeval = latex_filter( %termeval );
		$master{$trm} = \%termeval;
	    }

	
	    #	use Data::Dumper;
	    #	print Dumper %master;
	
    
	    # Define Table Layout
	    print TEX "\\begin{tabular}{|p{100mm}|";
	    foreach my $t ( $startterm..$endterm ){
		print TEX "p{0.6in}|";
	    }
	    print TEX "}\n\\hline\n";
	    # End of first table definition

	    # Subject Name section
	    my $totalcols = $cols + 1; # mark columns plus 1
	    my $w = 102 + $cols * 17;
	    $w = $w .'mm';

	    print TEX "\\rowcolor[gray]{0.85} \\multicolumn{$totalcols}{|p{$w}|}";
	    print TEX "{\\hfil \\vrule height 16pt depth 6pt width 0pt {\\LARGE\\sf $subname}\\hfil}";
	    
	    #	print TEX "\\rowcolor[gray]{0.85} \\hfil \\vrule height 16pt depth 6pt width 0pt ";
	    #	print TEX "{\\LARGE\\sf $subname} \\hfil\n";

	    #	foreach my $t ( $startterm..$endterm ){
	    #	    print TEX " & ";
	    #	}
	    
	    print TEX "\\\\ \\hline\n";


	    # September Performance Level
	    #	my $totalcols = $cols + 1; # mark columns plus 1
	    #	my $w = 102 + $cols * 17;
	    #	$w = $w .'mm';
	    
	    print TEX "\\multicolumn{$totalcols}{|p{$w}|}{ {\\it September $lex{'Performance Level'}}:";
	    print TEX "$em{currperform}}";
	
	    #	print TEX "{\\it September $lex{'Performance Level'}}: $em{currperform}\\hfil";
	    #	foreach my $t ( $startterm..$endterm ){
	    #	    print TEX " & ";
	    #	}
	    
	    print TEX "\\\\ \\hline\n"; # End of Table Header
	
	

	    # Objectives and the terms line
	    print TEX "\\rowcolor[gray]{0.92}\\hfil{\\bf\\sf $lex{Objectives}}\\hfil";
	    foreach my $trm ( $startterm..$endterm ){
		print TEX "& {\\bf\\sf $lex{Term} $trm }";
	    }
	    print TEX "\\\\ \\hline\n"; # End of Table Header

	
	    # Now print the table for all terms selected.
	    for my $idx ( 1..32 ) {
		my $key  = qq{obj$idx};
	    
		if ( $em{$key}){ # objective exists
		    $em{$key} =~ s/\([0-9-]*\)//g; # strip trailing numbers
		    print TEX $em{$key};

		    # print the evaluations for the terms for this objective
		    foreach my $trm ( $startterm..$endterm ) {
			# print "TERM:$trm KEY:$key VAL:$master{$trm}{$key}<br>\n";
			print TEX "& \\hfil $master{$trm}{$key} \\hfil\n";
		    }
		    
		    print TEX "\\\\\\hline\n";
		
		    # This below will allow separation by page.
		    if ($idx % 3 == 0){  #
			print TEX "\\end{tabular}\n\\begin{tabular}{|p{100mm}|";
			for ( $startterm..$endterm  ) {
			    print TEX "p{0.6in}|";
			}
			print TEX "}\n\\hline\n";
		    }
		}
	    }
	    print TEX "\\end{tabular}\n\n";

	
	    # Calculate width of matching tabular for comments
	    my $cols = $endterm - $startterm + 1;
	    $width = 103 + $cols * 18;
	    $width = $width."mm";
    
	    # Comments
	    print TEX "\\begin{tabular}{p{$width}}\n";
	    
	    # print comments at end of table.
	    foreach my $trm ( $startterm..$endterm ) {
	    
	    # print "SUB:$subnum TRM:$trm Comment:$master{$trm}{comment}<br>\n";
	    
		print TEX "{\\bf\\sf $lex{Term} $trm:} ";
		print TEX " $master{$trm}{comment}\\\\ \n";
	    }
	    print TEX "\\end{tabular}\n\n";  
	    print TEX "\\bigskip\n\n";
	
	} # End of Subject Loop
    
	print TEX "\\end{center}\n\\newpage\n\n";

	
	# Room for Additional Comments
    
	print TEX "\\parbox{178mm}{{\\bf $lex{'Additional Comments'}";
	print TEX ": }\n\n\\vspace{33mm}\n\n";
	print TEX "\\underline{\\hspace{76mm}} \\hfill \\underline{\\hspace{76mm}} \n\n";
	print TEX "$lex{Teacher} \\hfill $lex{Teacher}\\\\ \n }\n";

	print TEX "%\\dotfill \n";
	print TEX "\\bigskip\n\n\\bigskip\n\n";

	# Should have more logic here for printing this... July/08
	if ($endterm == $r_FinalTerm{ $r{grade} } ){
	    print TEX "\\underline{\\hspace{76mm}}\n\n$lex{'Principal Signature'}\n\n";
	    print TEX "\\medskip\n\n";
	
	} else {
	    print TEX "\\underline{\\hspace{76mm}}\n\n$lex{'Parent/Guardian Signature'}\n\n";
	    print TEX "\\medskip\n\n";
	}

	print TEX "{\\bf Comments:}\n\n\\newpage\n";


    } # End of Student Loop


    # Print ending of report
    print TEX "\\end{document}\n";
    close TEX;

    print qq{<h2><a href="$webdownloaddir/$shortname.pdf">\n};
    print qq{$lex{'View/Download/Print'} $lex{'Progress Reports'}</a></h2>\n};

    print qq{<p>[ <a href="$iephome">$lex{Main}</a> | \n};
    print qq{<a href="$webdownloaddir/pdflog$$.txt">$lex{'View Log File'}</a> ]</p>\n};

    system("$pdflatex $filename > pdflog$$.txt");
    system("mv $shortname.pdf $downloaddir");
    system("mv pdflog$$.txt $downloaddir");
    system("rm -f $shortname.*");

    print qq{</body></html>\n};

    exit;

} # end of showReport;
