#!/usr/bin/perl
#  Copyright 2001-2017 Leslie Richardson

#  This file is part of Open Admin for Schools.

my %lex = ('Main' => 'Main',
	   'Export' => 'Export',
	   'Error' => 'Error',
	   'Add' => 'Add',
	   'Logo' => 'Logo',
	   'File' => 'File',
	   'Only' => 'Only',
	   'Cannot open file' => 'Cannot open file',
	   'Maximum File Upload size exceeded!' => 'Maximum File Upload size exceeded!',
	   'Uploaded' => 'Uploaded',
	   'Continue' => 'Continue',
	   'Alternate' => 'Alternate',
	   'Division' => 'Division',
	   'Report Card' => 'Report Card',
	   'Small' => 'Small',
	   'School' => 'School',
	   'Type' => 'Type',
	   'Name' => 'Name',
	   'Mistake' => 'Mistake',
	   
	   'Form' => 'Form',

	   );

my $maxbufcount = '999000';


use CGI;
use DBI;

my $self = 'formadd.pl';

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

# $formdir is defined in the ppp.conf file

my $q = new CGI;
my %arr= $q->Vars;
print $q->header( -charset, $charset );

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $title = "$lex{Add} $lex{Form}";
print qq{$doctype\n<html><head><title>$title</title>\n};
print qq{<link rel="stylesheet" type="text/css" href="$iepcss">\n};
print qq{$chartype\n</head><body>\n};


print qq{[ <a href="$adminpage">$lex{Main}</a> ]\n};

print qq{<h2>$title</h2>\n};


if ( not $arr{page} ) {
    showStartPage();

} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    getFileUpload();

}


#----------------
sub showStartPage {
#----------------

    print qq{<table cellpadding="3" cellspacing="0" border="0">\n};

    print qq{<form action="$self" method="post"  enctype="multipart/form-data">\n};
    print qq{<input type="hidden" name="page" value="1">\n};

    print qq{<tr><td>$lex{File} $lex{Name}</td><td><input type="file" name="filename"></td></tr>\n};

=head
    print qq{<tr><td>$lex{File} $lex{Type}</td><td>\n};
    print qq{<select name="filetype"><option>$lex{School} $lex{Logo} ~200px gif&nbsp;&nbsp;(1)</option>\n};
    print qq{<option>$lex{School} $lex{Small} $lex{Logo} ~100px gif&nbsp;&nbsp;(2)</option>\n};
    print qq{<option>$lex{'Report Card'} $lex{Logo} ~500px jpg&nbsp;&nbsp;(3)</option>\n};
    print qq{<option>$lex{'Report Card'} $lex{Division} $lex{Logo} ~500px jpg&nbsp;&nbsp;(4)</option>\n};
    print qq{<option>$lex{Alternate} $lex{'Report Card'} $lex{Logo} ~500px  jpg&nbsp;&nbsp;(5)</option>\n};
    print qq{</select></td></tr>\n};
=cut

    print qq{<tr><td colspan="2" class="la">};
    print qq{<input type="submit" value="$lex{Continue}">\n};
    print qq{</td></tr></form></table></body></html>\n};

    exit;

}



#----------------
sub getFileUpload {
#----------------

    my $file = $q->param("filename"); 
    my $name; my $ext; 

    if ( $file ) {
	$filename = $file;  # filename is output filename, file is input.
	$filename =~ s!^.*(\\|\/)!!;
	$filename =~ s/\s*//g; # strip any spaces.
	$filename = lc($filename);
	@name = split /\./, $filename; # split on dots.
	$ext = $name[$#name];  # last element is the extension.

	pop(@name); # pull off extension.
	foreach $n (@name){ $name .= "$n.";} # assemble name 
	chop; # remove trailing dot
    
	print qq{Name: $name Extension: $ext<br>\n};

	open (OUTFILE, ">$filename") || 
	    die $lex{'Cannot open file'}. " $filename\n"; 
	    my $bufcount = 0;
	    while (my $bytesread = read($file, my $buffer, 1024)) {
		
	    print OUTFILE $buffer;
	    $bufcount++;
	    if ($bufcount > $maxbufcount){
		print qq{<h3>$lex{'Maximum File Upload size exceeded!'} };
		print qq{ ($maxbufcount K)</h3>\n};
		print qq{</body></html>\n};
		die "$lex{'Maximum File Upload size exceeded!'}\n";
	    }
	} 
	
	close (OUTFILE);
	    
	
	print qq{<h3>Forms Directory: $formdir</h3>\n};

	system("mv -f $filename $formdir");

    } else {
	
	print qq{<h3>$lex{Error} $lex{'Cannot open file'}: $filename</h3>\n};
	print qq{</body></html>\n};
	exit;
    }


    print qq{<h3>$filename $lex{Uploaded}</h3>\n};
    print qq{</body></html>\n};

    exit;


}
