#!/usr/bin/perl
#  Copyright 2001-2017 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ( 'Last,First or Stud#' => 'Last,First or Stud#',
	    'Associate Pictures and People' => 'Associate Pictures and People',
	    'Associate' => 'Associate',
	    'No Pictures Found' => 'No Pictures Found',
	    'No Student(s) Found' => 'No Student(s) Found',
	    'Main' => 'Main',
	    'Export' => 'Export',
	    'Error' => 'Error',
	    'Delete Failed' => 'Delete Failed',
	    'File already exists' => 'File already exists',
	    'Deleted' => 'Deleted',
	    'Renaming' => 'Renaming',

	    'Delete' => 'Delete',
	    'Forms' => 'Forms',

	   );

use CGI;
use DBI;


my $self = 'formdel.pl';

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
my %arr= $q->Vars;
print $q->header( -charset, $charset );

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $title = "$lex{Delete} $lex{Forms}";
print qq{$doctype\n<html><head><title>$title</title>\n};
print qq{<link rel="stylesheet" type="text/css" href="$iepcss">\n};
print qq{$chartype\n</head><body>\n};


print qq{[ <a href="$adminpage">$lex{Main}</a> ]\n};

print qq{<h2>$title</h2>\n};


if ( not $arr{page} ) {
    showStartPage();
    
} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    deleteFiles();
}


#----------------
sub showStartPage {
#----------------    

    # Read Files in formdir folder
    my $largemode = '1';
    opendir (DH,"$formdir") || die "Cannot open $picdir directory!\n";
    my @files = grep !/^\./, readdir DH;
    close DH;


    if ( not @files ) { # Still no files... fail.
	print qq{<p>No Forms Found</p></body></html>\n};
	exit;
    }


    
    # Display the Files to Delete
    print qq{<form action="$self" method="post">\n};
    print qq{<input type="hidden" name="page" value="1">\n};

    print qq{<table cellpadding="3" cellspacing="0" border="0">\n};
    

    foreach my $file ( sort @files ){ # Do files one after another.

	print qq{<tr><td><input type="checkbox" name="$file" value="1"> $file</td></tr>\n};

    }

    print qq{<tr><td><input type="submit" value="Delete these files"></td></tr>\n};
    print qq{</table>\n};
    
    print qq{</form></body></html>\n};
    
} # end of showStartPage.



#-----------
sub deleteFiles { # Delete Files
#-----------

    # foreach my $key ( sort keys %arr ) { print qq{K:$key V:$arr{$key}<br>\n}; }
    
    foreach my $filename ( keys %arr ) {
	
	my $result = unlink "$formdir/$filename";
	if ( not $result ){ 
	    print qq{<h3>$lex{Error} $lex{'Delete Failed'} $filename:  $!</h3>\n};
	} else {
	    print qq{$filename $lex{Deleted}</h3>\n};
	}
    }

    print qq{</body></html>\n};
    
    exit;
	
}
