#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Multi Edit Objectives' => 'Multi Edit Objectives',
	   'Admin' => 'Admin',
	   'Error' => 'Error',
	   'Edit Other Categories' => 'Edit Other Categories',
	   'Recategorize' => 'Recategorize',
	   'A <b>Blank</b> Id Num will <b>Delete</b> the objective.' =>
	     'A <b>Blank</b> Id Num will <b>Delete</b> the objective.',
	   '<b>Renumber</b> the ID Num\'s to <b>Rearrange</b> the objectives.' =>
	     '<b>Renumber</b> the ID Num\'s to <b>Rearrange</b> the objectives.',
	   '<b>Edit</b> the text to <b>Change</b> the objective.' =>
	     '<b>Edit</b> the text to <b>Change</b> the objective.',
	   'Update Objectives' => 'Update Objectives',
	   'Category' => 'Category',
	   'Id' => 'Id',
	   'Objective' => 'Objective',

	   );

my $self = 'submuled.pl';

use DBI;
use CGI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;
my $catnum = $arr{cat};
my $update = $arr{update};


eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


if ($update){ # update passed records.
    update();
}

$sth = $dbh->prepare("select id, catnum, category, idnum, description from subject 
 where catnum = ? order by idnum");
$sth->execute( $catnum );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

# Page Header
print "$doctype\n<html><head><title>". $lex{'Multi Edit Objectives'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"/iep.css\" type=\"text/css\"></head><body>\n";
print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> |\n";
print "<a href=\"submuldeled.pl\">". $lex{'Edit Other Categories'}. "</a> |\n";
print "<a href=\"subrecat.pl?cat=$catnum\">". $lex{Recategorize}. "</a> ]\n";
print "<center><h1>". $lex{'Multi Edit Objectives'}. "</h1>\n";


print "<p>". $lex{'A <b>Blank</b> Id Num will <b>Delete</b> the objective.'}. "<br>\n";
print $lex{'<b>Renumber</b> the ID Num\'s to <b>Rearrange</b> the objectives.'}. "<br>\n";
print $lex{'<b>Edit</b> the text to <b>Change</b> the objective.'}. "</p>\n";

print "<div style=\"padding:0.4em;\">\n";
print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"update\" value=\"1\">\n";
print "<input type=\"hidden\" name=\"cat\" value=\"$catnum\">\n";
print "<input type=\"submit\" value=\"". $lex{'Update Objectives'}. "\"></div>\n";

print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";

print "<tr><th>". $lex{Category}. "</th><th>". $lex{Id}. "</th><th>";
print $lex{Objective}. "</th></tr>\n";

while ( my ( $id, $catnum, $category, $idnum, $description ) = $sth->fetchrow ) {
    print "<tr><td>$category ($catnum)</td><td>";
    print "<input type=\"text\" name=\"ID-$id\" value=\"$idnum\" size=\"4\"></td>\n";
    print "<td><input type=\"text\" name=\"$id\" size=\"75\" value=\"$description\">";
    print "</td></tr>\n";
}

print "</table>\n";

print "<div style=\"padding:0.4em;\">\n";
print "<input type=\"submit\" value=\"". $lex{'Update Objectives'}. "\"></div>\n";
print "</form>\n";

print "<div>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> |\n";
print "<a href=\"submuldeled.pl\">". $lex{'Edit Other Categories'}. "</a> |\n";
print "<a href=\"subrecat.pl?cat=$catnum\">". $lex{Recategorize}. "</a> ]</div>\n";

print "</center></body></html>\n";


#----------
sub update { # update subject records (ie. objectives)
#----------

    my $sth1 = $dbh->prepare("select description, idnum from subject where id = ?");

    foreach my $key ( keys %arr ) { 
	my ( $idtext, $idrec ) = split /-/,$key;
	if ( $idtext eq "ID" and $arr{$key} ) { 

	    # if we have an idnum pair AND a non-blank idnum field; update it.
	    # $idrec is the record number, $arr{$idrec} is objective text
	    # $arr{$key} is the value of the idnum for this objective.
	    #  (the identifying number of this objective within the category)
	    # Simple, right?

	    #$arr{$idrec} =~ s/'/"/g;
	    #$arr{$idrec} =~ s/\\/\\\\/g;

	    # Get the previous values to compare
	    $sth1->execute( $idrec ); 
	    my ($prevdesc, $previdnum) = $sth1->fetchrow;

	    if ( $prevdesc ne $arr{$idrec} or $previdnum != $arr{$key} ) { # changed values
		#print "Idnum: $arr{$key} Objective:$arr{$idrec} ID:$idrec<br>\n";
		$sth = $dbh->prepare("update subject set
  	         description= ?, idnum = ? where id = ?");
		$sth->execute( $arr{$idrec}, $arr{$key}, $idrec );
		if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
	    }

	} elsif ( $idtext eq "ID" and not $arr{$key} ) { 
	    # Blank key, erase this record
	    #print "DELETE Idnum: $arr{$key} Objective:$arr{$idrec} ID:$idrec<br>\n";
	    $sth = $dbh->prepare("delete from subject where id = ?");
	    $sth->execute( $idrec );
	    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
	}

    } # keys loop


}
