#!/usr/bin/perl
#  Copyright 2001-2015 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('View/Edit' => 'View/Edit',
	   'Transfer Records' => 'Transfer Records',
	   'Name' => 'Name',
	   'Birthdate' => 'Birthdate',
	   'Identity' => 'Identity',
	   'Date' => 'Date',
	   'Type' => 'Type',
	   'Description' => 'Description',
	   'Delete' => 'Delete',
	   'Not Found' => 'Not Found',
	   'Main' => 'Main',
	   'Student' => 'Student',
	   'Error' => 'Error',
	   'Edit' => 'Edit',
	   'Sort by' => 'Sort by',

	   );

my $self = 'transview.pl';
my $allowDelete = 0;

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my $sort;
if ( uc($arr{sort}) eq uc($lex{Name}) ){
    $sort = 'order by lastname, firstname,studnum, date desc';
} else { # sort by date
    $sort = 'order by date desc, lastname, firstname';
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

$sth = $dbh->prepare("select * from transfer $sort");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}


print "$doctype\n<html><head><title>$lex{'View/Edit'} $lex{'Transfer Records'}</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";
print " $chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">$lex{Main}</a> ]\n";

print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
print "<input type=\"hidden\" name=\"sort\" value=\"$lex{Date}\">\n";
print "<input type=\"submit\" value=\"$lex{'Sort by'} $lex{Date}\"></form>\n";

print "<form action=\"$self\" method=\"post\" style=\"display:inline;\">\n";
print "<input type=\"hidden\" name=\"sort\" value=\"$lex{Name}\">\n";
print "<input type=\"submit\" value=\"$lex{'Sort by'} $lex{Student}\"></form>\n";


print "<center><h1>$lex{'View/Edit'} $lex{'Transfer Records'}</h1>\n";

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print '<tr><th>'. $lex{Name}. '</th><th>'. $lex{Birthdate}. q{/}. $lex{Identity};
print '</th><th>'. $lex{Date}. '</th><th>'. $lex{Type}. '</th><th>';
print "$lex{Description}</th><th></th></tr>\n";

$currdate = -1;


while ( my ( $id, $studnum, $date, $type, $description, $entrytype,
  $exittype, $prov, $country, $utag, $lastname, $firstname, $middlename,
  $birthdate, $provnum ) = $sth->fetchrow) {
    
    $olddate = $currdate;
    if ( $arr{sort} eq $lex{Date} ){ 
	$currdate = $date; 
    } else { 
	$currdate = $studnum; 
    } # studnum

    if ( $currdate ne $olddate ) {
	if ($color eq "blue"){ $color = "gray";} else { $color = "blue"; } 
    }
    
    if ( not $lastname ) { # no lastname...
	my $sth1 = $dbh->prepare("select lastname, firstname from studentall 
         where studnum = ?");
	$sth1->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my ( $lastname, $firstname ) = $sth1->fetchrow;
	if ( not $lastname ) { # no lastname....
	    $lastname = "<span style=\"color:red;\">$lex{'Not Found'}</span>";
	}
    }

    print "<tr class=\"$color\"><td class=\"la\">";
    print "<b>$lastname</b>, $firstname $middlename ($studnum)</td>\n";
    print "<td>$birthdate / $provnum</td><td>$date</td><td>$type</td><td>$description</td>\n<td>";

    print "<form action=\"transed.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
    print "<input type=\"submit\" value=\"$lex{Edit}\"></form>\n";

    if ( $allowDelete ) {
	print "<form action=\"transdel.pl\" method=\"post\" style=\"display:inline;\">\n";
	print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
	print "<input type=\"submit\" value=\"$lex{Delete}\"></form>\n";
    }

    print "</td></tr>\n";

}

print "</table></body></html>\n";
