#!/usr/bin/perl
#  Copyright 2001-2015 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Add' => 'Add',
	   'Eoy' => 'Eoy',
	   'Main' => 'Main',
	   'Type' => 'Type',
	   'StatHol' => 'StatHol',
	   'Inservice' => 'Inservice',
	   'Holiday' => 'Holiday',
	   'Other' => 'Other',
	   'Description' => 'Description',
	   'Day In Cycle' => 'Day In Cycle',
	   'No' => 'No',
	   'Yes' => 'Yes',
	   'Save' => 'Save',
	   'Date' => 'Date',
	   'Add Another' => 'Add Another',
	   'Contact' => 'Contact',
	   'Error' => 'Error',
	   'Fraction' => 'Fraction',
	   'Closed' => 'Closed',
	   'Record(s) Stored' => 'Record(s) Stored',
	   'School Closed' => 'School Closed',
	   'Record' => 'Record',
	   'Exists' => 'Exists',

	   );

my $self = 'dateadd.pl';

use DBI;
use CGI;

# Read Config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $q = new CGI;
print $q->header( -charset => $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $title = "$lex{Add} $lex{Date} - $lex{'School Closed'}";
print "$doctype\n<html><head><title>$title</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";

print "<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" ";
print "href=\"/js/calendar-blue.css\" title=\"blue\">\n";
print "<script type=\"text/javascript\" src=\"/js/calendar.js\"></script>\n";
print "<script type=\"text/javascript\" src=\"/js/lang/calendar-en.js\"></script>\n";
print "<script type=\"text/javascript\" src=\"/js/calendar-setup.js\"></script>\n";

print "$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print "<a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";

print "<center><h1>$title</h1><hr width=\"30%\">\n";

if ( not $arr{page} ) {
    showStartPage();

} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    writeDates();
}


#----------------
sub showStartPage {
#----------------

    print "<form action=\"$self\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";

    # Get the date
    print "<tr><td class=\"bra\">$lex{Date}</td>\n";
    print "<td class=\"la\"><input type=\"text\" name=\"date\" id=\"date\" size=\"10\">\n";
    print "<button type=\"reset\" id=\"start_trigger\">...</button></td></tr>\n";

    # Type
    print "<tr><td class=\"bra\">$lex{Type}</td>\n";
    print "<td class=\"la\"><select name=\"type\">\n";
    print "<option>". $lex{StatHol}. "</option><option>". $lex{Inservice}. "</option>\n";
    print "<option>". $lex{Holiday}. "</option><option>". $lex{Other};
    print "</option></select></td></tr>\n";

    # Description
    print "<tr><td class=\"bra\">$lex{Description}</td>\n";
    print "<td class=\"la\"><input type=\"text\" name=\"desc1\" size=\"30\"></td></tr>\n";

    print "<tr><td class=\"bra\">$lex{'Day In Cycle'}?</td>\n";
    print "<td class=\"la\"><select name=\"dayincycle\"><option>$lex{No}</option>";
    print "<option>$lex{Yes}</option></select></td></tr>\n";

    print "<tr><td class=\"bra\">$lex{Fraction} $lex{Closed}</td>\n";
    print "<td class=\"la\"><input type=\"text\" Name=\"dayfraction\" size=\"6\" value=\"1.000\">\n";
    print "</td></tr>\n";

    print "<tr><td></td><td class=\"la\">\n";
    print "<input type=\"submit\" value=\"$lex{Save}\"></td></tr>\n";
    print "</table>\n";

    print "</form>\n";

    print "<script type=\"text/javascript\">
  Calendar.setup({
    inputField     :    \"date\", // id of the input field
    ifFormat       :    \"%Y-%m-%d\", // format of the input field
    button         :    \"start_trigger\", // trigger for the calendar (button ID)
    singleClick    :    false,        // double-click mode
    step           :    1             // show all years in drop-down boxes (instead of every other year as default)
    });
   </script>\n";

    print "</body></html>\n";

}


#-------------
sub writeDates {
#-------------

    # Check for Yes/No values in dayincycle.
    # Convert to Yes = 1, No = 0 format.
    if ( $arr{dayincycle} eq $lex{Yes} ) {
	$arr{dayincycle} = '1';
    } else {
	$arr{dayincycle} = '0';
    }

    # Check for existing record with same date.
    my $sth = $dbh->prepare("select count(*) from dates where date = ?");
    $sth->execute( $arr{date} );
    if ($DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    my $count = $sth->fetchrow;
    if ( $count ) {
	print qq{<h3 style="color:red;">$lex{Error}: $lex{Record} $lex{Exists}: $arr{date}</h3>\n};
	print qq{</body></html>\n};
	exit;
    }


    $sth = $dbh->prepare("insert into dates (date, type, desc1, dayincycle, dayfraction )
       values ( ?, ?, ?, ?, ? )");
    if ($DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    $sth->execute( $arr{date}, $arr{type}, $arr{desc1}, $arr{dayincycle}, $arr{dayfraction});

    if ( not $DBI::errstr ) {
	print "<h3>$lex{'Record(s) Stored'}</h3>\n";

    } else {
	print "<h3>$lex{Error} &ndash; $lex{Contact}: $adminname ";
	print "<a href=\"mailto:$adminemail\">$adminemail</a><br>\n";
	print "$lex{Error}: $DBI::errstr</h3>\n";
    }

    print "<p>[ <a href=\"$eoypage\">$lex{Eoy}</a> |\n";
    print " <a href=\"$self\">$lex{'Add Another'} $lex{Date}</a> ]\n";
    print "</p></center></body></html>\n";

    exit;

}
