#!/usr/bin/perl
#  Copyright 2001-2016 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Dates' => 'Dates',
	   'Eoy' => 'Eoy',
	   'Main' => 'Main',
	   'Date' => 'Date',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',
	   'Error' => 'Error',
	   'Not Found' => 'Not Found',
	   'Closed' => 'Closed',
	   'Frac' => 'Frac',
	   'Description' => 'Description',
	   'Type' => 'Type',
	   
	   );

use DBI;
use CGI;

# Read config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;


my $sth = $dbh->prepare("select * from dates order by date");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

print "$doctype\n<html><head><title>$lex{Edit}/$lex{Delete} $lex{Dates}</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">$lex{Main}</a> |\n";
print "<a href=\"$eoypage\">$lex{Eoy}</a> ]\n";
print "<center><h1>$lex{Edit}/$lex{Delete} $lex{Dates}</h1>\n";

my $first = 1;

while ( my $ref = $sth->fetchrow_hashref ) {
    my %r = %$ref;
    
#$id, $date, $type, $desc1 
    my @dt = split('-', $r{date});
    $dt[1] = $s_month[$dt[1]];
    my $newdate = join('-', @dt);

    if ( $first ) { 
	print qq{<table cellpadding="3" border="1" cellspacing="0">\n};
	print qq{<tr><th>$lex{Date}</th><th>$lex{Description}</th><th>$lex{Type}</th>};
	print qq{<th>$lex{Closed}<br>$lex{Frac}</th><th></th></tr>\n};
	$first = 0;
    }

    print qq{<tr><td class="bla">$newdate</td><td>$r{desc1}</td><td>$r{type}</td>\n};
    print qq{<td>$r{dayfraction}</td>};

    print qq{<td><form action="dated.pl" method="post" style="display:inline;">\n};
    print qq{<input type="hidden" name="id" value="$r{id}">\n};
    print qq{<input type="submit" value="$lex{Edit}"></form>\n\n};

    print qq{<form action="datedel.pl" method="post" style="display:inline;">\n};
    print qq{<input type="hidden" name="id" value="$r{id}">\n};
    print qq{<input type="submit" value="$lex{Delete}"></form></td></tr>\n};

}

if ( $first ) {
    print "<h3>$lex{Dates} $lex{'Not Found'}</h3>\n";
}

print "</table></center></body></html>\n";
