#!/usr/bin/perl
#  Copyright 2001-2011 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ( 'Delete' => 'Delete',
	    'Staff Member' => 'Staff Member',
	    'Preregistration' => 'Preregistration',
	    'Edit' => 'Edit',
	    'Main' => 'Main',
	    'Eoy' => 'Eoy',
	    'Are you sure' => 'Are you sure',
	    'deleted' => 'deleted',
	    'Name' => 'Name',
	    'User Id' => 'User Id',
	    'Subject' => 'Subject',
	    'Count' => 'Count',
	    'Error' => 'Error',
	    'Yes' => 'Yes',

	    );

my $self = 'staffdel.pl';

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my ( $table, $multitable, $tableview );
if ($arr{tbl}) {
    $table = 'prereg_staff';
    $multitable = 'prereg_staff_multi';
    $tableview = "<span style=\"color:red;\">$lex{Preregistration}</span> $lex{'Staff Member'}";
} else {
    $table = 'staff';
    $multitable = 'staff_multi';
    $tableview = $lex{'Staff Member'};
}


$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;


$sth = $dbh->prepare("select lastname, firstname, userid from $table where id = ?"); 
$sth->execute( $arr{id} );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname, $userid ) = $sth->fetchrow;

# Count the subjects of this teacher.
$sth = $dbh->prepare("select count(*) from subject
  where teacher = ?"); 
$sth->execute( $userid );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my $subjectcount = $sth->fetchrow;


print "$doctype\n<html><head><title>$lex{Delete} $lex{'Staff Member'}</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">$lex{Main}</a> | \n";
print "<a href=\"$eoypage\">$lex{Eoy}</a> ]\n";

print "<center><h1>$lex{Delete} $tableview</h1>\n";

if ( $arr{deleteflag} ) {
    delete $arr{deleteflag};
    deleteRecord();
}

print "<table>
 <tr><td class=\"bra\">$lex{Name}</td><td>$firstname $lastname</td></tr>
 <tr><td class=\"bra\">$lex{'User Id'}</td><td>$userid</td></tr>
 <tr><td class=\"bra\">$lex{Subject} $lex{Count}</td><td>$subjectcount</td></tr>
 </table>\n";

print "<h3>$lex{Delete} $lex{'Staff Member'}: $lex{'Are you sure'}?</h3>\n";

print "<form action=\"$self\" method=\"post\">
 <input type=\"hidden\" name=\"itemid\" value=\"$arr{id}\">
 <input type=\"hidden\" name=\"tbl\" value=\"$arr{tbl}\">
 <input type=\"hidden\" name=\"name\" value=\"$firstname $lastname\">
 <input type=\"hidden\" name=\"deleteflag\" value=\"1\">
 <input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";

print "<input type=\"submit\" value=\"$lex{Yes}, $lex{'Delete'} $lex{'Staff Member'}\">\n";
print "</form></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key (keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from $table where id = ?");
    $sth->execute( $arr{itemid} );

    $sth = $dbh->prepare("delete from $multitable where userid = ?");
    $sth->execute( $arr{userid} );


    if ($DBI::errstr) {
	print "<h3>$lex{Error}: $DBI::errstr<br>\n";
	print "$lex{Contact}: $adminname</h3>\n";
    } else {
	print "<h3>$arr{name} $lex{deleted}.</h3>\n";
    }


    if ( $arr{tbl} ) {
	print "<p>[ <a href=\"staffdeled.pl?tbl=prereg\">";
	print "$lex{Edit}/$lex{Delete}<span style=\"color:red;\">";
	print "$lex{Preregistration}</span> $lex{'Staff Member'}</a> ]</p>\n";
    } else {
	print "<p>[ <a href=\"staffdeled.pl\">$lex{Edit}/$lex{Delete} ";
	print "$lex{'Staff Member'}</a> ]</p>\n";
    }

    print "</center></body></html>\n";

    exit;

}
