#!/usr/bin/perl
#  Copyright 2001-2011 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Assessment Item' => 'Assessment Item',
	   'GB&nbsp;Main' => 'GB&nbsp;Main',
	   'Main' => 'Main',
	   'Name' => 'Name',
	   'Date' => 'Date',
	   'Description' => 'Description',
	   'Are you sure' => 'Are you sure',
	   'Delete the Record' => 'Delete the Record',
	   'Contact' => 'Contact',

	   'Edit/Delete Another Assessment Item' => 'Edit/Delete Another Assessment Item',
	   'Assessment Item deleted' => 'Assessment Item deleted',
	   'Error' => 'Error',
	   'Yes' => 'Yes',
	   'Delete' => 'Delete',
	   'deleted' => 'deleted',
	   'Edit' => 'Edit',
	   'Test' => 'Test',
	   'Score' => 'Score',

	   );

use CGI;
use DBI;

# Read config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@<br>\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $sth = $dbh->prepare("select name, tdate, description, subjsec 
 from gbtest where id = ?");
$sth->execute( $arr{id} );
my ($name,$date,$description,$subjsec) = $sth->fetchrow;

my $title = "$lex{Delete} $lex{'Assessment Item'}";
print "$doctype\n<html><head><title>$title</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
</head><body>[ <a href=\"$tchpage\">". $lex{Main}. "</a> | 
<a href=\"gbmain.pl\">". $lex{'GB&nbsp;Main'}. "</a> ]<center>\n";

if ($arr{delflag}) {
    delete $arr{delflag};
    deleteRecord( $arr{id} );
}


print "<h1>$title</h1>\n";

print "</p>\n<form action=\"testdel.pl\" method=\"post\">\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">
 <tr><td align=\"right\"><b>". $lex{Name}. ":</b></td><td>$name</td></tr>
 <tr><td align=\"right\"><b>". $lex{Date}. ":</b></td><td>$date</td></tr>
 <tr><td align=\"right\"><b>". $lex{Description}. ":</b></td><td>$description</td></tr>
 </table>\n";

print "<h3>$lex{Delete}: $lex{'Are you sure'}?</h3>\n";


print "<input type=\"hidden\" name=\"id\" value=\"$arr{id}\">
 <input type=\"hidden\" name=\"subjsec\" value=\"$subjsec\">
 <input type=\"hidden\" name=\"delflag\" value=\"1\">
 <p><input type=\"submit\" value=\"$lex{Yes}, $lex{'Delete the Record'}\">
 </p></form></center></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    my $id = shift;
    my $subjsec = $arr{subjsec};

    # first get data about item to delete.
    my $sth = $dbh->prepare("select weight, grp, subjsec, name from gbtest where id = ?");
    $sth->execute( $id );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my ($itemweight, $itemgroup, $subjsec, $name) = $sth->fetchrow;


    $sth = $dbh->prepare("delete from gbtest where id = ?");
    $sth->execute( $id );
    if ( $DBI::errstr ){
	print "$lex{Test} $lex{Error} $DBI::errstr<br>\n"; 
	print "$lex{Contact}: $adminname<br>\n";
	die "$DBI::errstr : $!\n";
    }

    $sth = $dbh->prepare("delete from gbscore where testid = ?");
    $sth->execute( $id );
    if ( $DBI::errstr ){
	print "<h3>$lex{Score} $lex{Error}: $DBI::errstr<br>\n";
	print "$lex{Contact}: $adminname<br>\n";
	die "$DBI::errstr : $!\n";
    }

    print "<h1>$lex{'Assessment Item'} $lex{deleted}.</h1>\n";
    print "<p>[ <a href=\"testdeled.pl\">$lex{Edit}/$lex{Delete} $lex{'Assessment Item'}";
    print "</a> ]</p>\n</center></body></html>\n";

    exit;

}
