#!/usr/bin/perl
#  Copyright 2001-2015 Leslie Richardson

#  This file is part of Open Admin for Schools.


my %lex = ('Main' => 'Main',
	   'No student found' => 'No student found',
	   'Missing master evaluation record id' => 'Missing master evaluation record id',
	   'or' => 'or',
	   'Missing student number' => 'Missing student number',
	   'Missing category number' => 'Missing category number',
	   'Edit Master Evaluation' => 'Edit Master Evaluation',
	   'Edit/Delete Other Evaluation Masters' => 'Edit/Delete Other Evaluation Masters',
	   'Dependent evaluation records exist' => 'Dependent evaluation records exist',
	   'If you change or delete objectives for this subject/category' =>
	     'If you change or delete objectives for this subject/category',
	   'please update any dependent records' => 'please update any dependent records',
	   'Update Record' => 'Update Record',
	   'Student' => 'Student',
	   'Method' => 'Method',
	   'Responsible' => 'Responsible',
	   'Long Term Objective' => 'Long Term Objective',
	   'Objective' => 'Objective',
	   'There was an error storing your data' => 'There was an error storing your data',
	   'Contact' => 'Contact',
	   'Your update is now stored' => 'Your update is now stored',
	   'Impact Area' => 'Impact Area',
	   'Objective Category' => 'Objective Category',
	   'Please Log In' => 'Please Log In',
	   'Strategy' => 'Strategy',
	   'Target Skill' => 'Target Skill',
	   'Current Performance Level' => 'Current Performance Level',
	   'Evaluation Method' => 'Evaluation Method',
	   'Edit' => 'Edit',
	   'Objectives' => 'Objectives',
	   'Student' => 'Student',

	   );

my $self = 'iepobjectiveed.pl';

use DBI;
use CGI;
use CGI::Session;

my $q = new CGI;
my %arr = $q->Vars;
my $studnum = $arr{studnum};

my @tim = localtime(time);
my $year = $tim[5] + 1900;
my $month = $tim[4] + 1;
my $currdate = "$year-$month-$tim[3]";


eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');

    print $q->header;
    print "$doctype\n<html><head>\n";
    print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\"></head><body>\n";
    print "[ <a href=\"$tchpage\">$lex{Main}</a> ]\n";
    print "<form action=\"../tlogin.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
    print "<input type=\"hidden\" name=\"script\" value=\"iep/$self\">\n";
    print "<input type=\"submit\" value=\"$lex{'Please Log In'}\">\n";
    print "</form></body></html>\n";
    exit;

}

my $userid = $session->param('userid');

# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from staff where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;


# Homerooms and Access for this teacher.
my (%homerooms, %access );

# Get homeroom and check access credentials.
my $sth = $dbh->prepare("select field_value from staff_multi where field_name = 'homeroom' and userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
while ( my $homeroom = $sth->fetchrow ) {
    $homerooms{$homeroom} = 1;
}

# Get Access credentials
my $sth = $dbh->prepare("select field_value from staff_multi where field_name = 'access' and userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
while ( my $ac = $sth->fetchrow ) {
    $access{$ac} = 1;
}



# Print Page Heading
my $title = "$lex{Edit} $lex{Student} $lex{Objectives}";
print "$doctype\n<html><head><title>$title</title>\n";
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\"></head>\n";
print "<body>[ <a href=\"$tchpage\">$lex{Main}</a> ] $firstname $lastname\n";


# foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

if ( $arr{writeflag} ) {
    delete $arr{writeflag};
    writeRecord();
}


# passed record to edit (recnum) or studnum and catnum
if ( $arr{id} ){ 
    $sth = $dbh->prepare("select * from iep_evalmst where id = ?"); 
    $sth->execute( $arr{id} );

} elsif ( $arr{studnum} and $arr{catnum} ) { 
    $sth = $dbh->prepare("select * from iep_evalmst 
      where studnum = ? and subnum = ?"); 
    $sth->execute( $arr{studnum}, $arr{catnum} );

} else { # We have an error!
    print "<h1>". $lex{'Missing master evaluation record id'}. q{ };
    print $lex{'or'}. q{ };
    print $lex{'Missing student number'}. q{ }. $lex{or}. q{ };
    print $lex{'Missing category number'}. "</h1>\n";
    print qq{</body></html>\n};
    exit;
}

if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
my $ref = $sth->fetchrow_hashref;
my %rec = %$ref;


# Get Student Name, homeroom
my $sth1 = $dbh->prepare("select lastname,firstname, homeroom from studentall where studnum = ?");
$sth1->execute( $rec{studnum} );
if ($DBI::errstr) { print $DBI::errstr;die $DBI::errstr; }
my ($lastname, $firstname, $homeroom) = $sth1->fetchrow;
if ( not $lastname ){ $lastname = $lex{'No student found'};}


# Check Teacher Access
if ( not $access{IEP} and not $homerooms{$homeroom} ){

    # Check if any grades have subject attendance, 
    # and check those grades for course enrollments
#    my $sth = $dbh->prepare("select count(e.id) from eval e, subject s 
#      where e.studnum = ? and e.subjcode = s.subjsec and s.teacher = ?");
#    $sth->execute( $studnum, $userid );
#    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }  
#    my $count = $sth->fetchrow;
#    if ( $count < 1 ) {
	print qq{<h3>No Access Allowed</h3>\n};
	print qq{</body></html>\n};
	exit;
#    }
}


# Get Category Description (ie. category)
$sth1 = $dbh->prepare("select category from iep_objectives where catnum = ?");
$sth1->execute( $rec{subnum} );
if ($DBI::errstr) { print $DBI::errstr;die $DBI::errstr; }
my $category = $sth1->fetchrow;


# Get Dependent Record(s) count (in eval table)
$sth1 = $dbh->prepare("select count(*) from iep_eval where studnum = ? and subnum = ?");
$sth1->execute( $rec{studnum}, $rec{subnum} );
if ($DBI::errstr) {print $DBI::errstr;die $DBI::errstr;}
my $evalcount = $sth1->fetchrow;



# Show Dependent records, if any.
print "<div style=\"width:70%;padding:0.6em;\"><b>$evalcount ";
print $lex{'Dependent evaluation records exist'};
print ".</b>\n".  $lex{'If you change or delete objectives for this subject/category'}. q{, };
print $lex{'please update any dependent records'}. ".</div><p></p>\n";

# Start the Edit Form
print "<form action=\"$self\" method=\"post\">
<input type=\"hidden\" name=\"id\" value=\"$rec{id}\">
<input type=\"hidden\" name=\"writeflag\" value=\"1\">\n";

print "<table><tr><td colspan=\"2\" align=\"center\">\n";
print "<input type=\"submit\" value=\"". $lex{'Update Record'}. "\"></b></td></tr>\n";

print "<tr><td colspan=\"2\" align=\"center\" ";
print "style=\"weight:bold;font-size:130%;padding:0.5em;\">$firstname $lastname</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Objective Category'}. "</b></td>\n";
print "<td>$rec{subnum} - $category</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Target Skill'}. "</b></td>\n";
print "<td><textarea rows=\"6\" cols=\"100\" name=\"targetskill\">$rec{targetskill}</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Current Performance Level'}. "</b></td>\n";
print "<td><textarea rows=\"6\" cols=\"100\" name=\"currperform\">$rec{currperform}</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Strategy}. "</b></td>\n";
print "<td><textarea rows=\"6\" cols=\"100\" name=\"strategy\">$rec{strategy}</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Responsible}. "</b></td>\n";
print "<td><textarea rows=\"3\" cols=\"100\" name=\"responsible\">$rec{responsible}</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Evaluation Method'}. "</b></td>\n";
print "<td><textarea rows=\"6\" cols=\"100\" name=\"evalmethod\">$rec{evalmethod}</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Long Term Objective'}. "</b></td>\n";
print "<td><textarea rows=\"2\" cols=\"100\" name=\"longtermobjective\">$rec{longtermobjective}";
print "</textarea></td></tr>\n";

#print "<tr><td align=\"right\"><b>". $lex{'Impact Area'}. "</b></td>\n";
#print "<td><select name=\"impactarea\"><option>$rec{impactarea}</option>\n";
#foreach my $impact ( @impacts ) { print "<option>$impact</option>\n"; }
#print "</select></td></tr>\n";


for ( my $i=1; $i<=32; $i++ ) {
    my $name = "obj$i";
    print "<tr><td align=\"right\"><b>". $lex{Objective}. " $i</b></td>\n";
    print "<td><textarea name=\"$name\" cols=\"100\" rows=\"2\">$rec{$name}</textarea>\n";
    print "</td></tr>\n";
}

print "<tr><td></td><td><input type=\"submit\" value=\"". $lex{'Update Record'};
print "\"></td></tr></table></form></center></body></html>\n";


#--------------
sub writeRecord {
#--------------

    #foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    my $id = $arr{id}; # remove the record id from values to be updated.
    delete $arr{id}; 

    foreach my $key ( keys %arr ) {
	my $sth = $dbh->prepare("update iep_evalmst set $key = ? where id = $id");
	if ( not $arr{$key} ) { $arr{$key} = undef; }
	$sth->execute( $arr{$key} );
	if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    }

    if ( not $DBI::errstr ) { 
	print "<h3>". $lex{'Your update is now stored'}. ".</h3>\n"; 
    } else { 
	print "<h3>". $lex{'There was an error storing your data'}. ". \n";
	print $lex{Contact}. " $adminname  <a href=\"mailto:$adminemail\">$adminemail</a>\n";
	print $lex{Error}. " :$DBI::errstr \n";
    }
    print "<p>[ <a href=\"$iephome\">". $lex{Main}. "</a> |\n";
    print "<a href=\"iepobjectivedeled.pl\">". $lex{'Edit/Delete Other Evaluation Masters'}. "</a> ]\n";
    print "</body></html>\n";

    exit;

}
