#!/usr/bin/perl
#  Copyright 2001-2015 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Error' => 'Error',
	   'Main' => 'Main',
	   'Last Name' => 'Last Name',
	   'First Name' => 'First Name',
	   'Birthdate' => 'Birthdate',
	   'Student Number' => 'Student Number',
	   'Provincial Number' => 'Provincial Number',
	   'Designation Date' => 'Designation Date',
	   'DDPF Level' => 'DDPF Level',
	   'Designation' => 'Designation',
	   'Grade' => 'Grade',
	   'School' => 'School',
	   'Gender' => 'Gender',
	   'M' => 'M',
	   'F' => 'F',
	   'Medical Conditions' => 'Medical Conditions',
	   'Medication' => 'Medication',
	   'Equipment' => 'Equipment',
	   'Adaptations' => 'Adaptations',
	   'School/Home History' => 'School/Home History',
	   'Save' => 'Save',
	   'Contact' => 'Contact',
	   'Search' => 'Search',
	   'Please Log In' => 'Please Log In',
	   'Team Members' => 'Team Members',
	   'Strengths' => 'Strengths',
	   'Challenges' => 'Challenges',
	   'Assessments' => 'Assessments',
	   'Additional' => 'Additional',

	   'Last,First/Last/Initials/Studnum' => 'Last,First/Last/Initials/Studnum',
	   'Not Found' => 'Not Found',
	   'Exists' => 'Exists',
	   'Record' => 'Record',
	   'Student' => 'Student',
	   'Record Added' => 'Record Added',
	   'Add' => 'Add',
	   'Number' => 'Number',
	   'Continue' => 'Continue',
	   'Edit' => 'Edit',

	   );

my $self = 'iepstudadd.pl';

use DBI;
use CGI;
use CGI::Session;

my $q = new CGI;
my %arr = $q->Vars;
my $studnum = $arr{studnum};

my @tim = localtime(time);
my $year = $tim[5] + 1900;
my $month = $tim[4] + 1;
my $currdate = "$year-$month-$tim[3]";

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');

    print $q->header;
    print "$doctype\n<html><head>\n";
    print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\"></head><body>\n";
    print "[ <a href=\"$iephome\">$lex{Main}</a> ]\n";
    print "<form action=\"../tlogin.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
    print "<input type=\"hidden\" name=\"script\" value=\"iep/$self\">\n";
    print "<input type=\"submit\" value=\"$lex{'Please Log In'}\">\n";
    print "</form></body></html>\n";
    exit;
}

my $userid = $session->param('userid');

# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from staff where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;



my (%homerooms, %access );
if ( $arr{page} == 2 ) { # get access checking ready

    # Get homeroom and check access credentials.
    my $sth = $dbh->prepare("select field_value from staff_multi where field_name = 'homeroom' and userid = ?");
    $sth->execute( $userid );
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    while ( my $homeroom = $sth->fetchrow ) {
	$homerooms{$homeroom} = 1;
    }

    # Get Access credentials
    my $sth = $dbh->prepare("select field_value from staff_multi where field_name = 'access' and userid = ?");
    $sth->execute( $userid );
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    while ( my $ac = $sth->fetchrow ) {
	$access{$ac} = 1;
    }
}



my $title = "$lex{Add} $lex{Student} - IEP";
print "$doctype\n<html><head><title>$title</title>\n";
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">\n";
print "</head><body>\n";

print qq{[ <a href="$tchpage">$lex{Main}</a> ]\n};
print qq{<h1>$title</h1>\n};


if ( not $arr{page} ) {
    showStartPage();

} elsif ( $arr{page} == 1 ) {
    delete $arr{page};
    studentSearch();

} elsif ( $arr{page} == 2 ) {
    delete $arr{page};
    addStudent();

}  elsif ( $arr{page} == 3 ) {
    delete $arr{page};
    writeRecord();
}



#----------------
sub showStartPage {
#----------------

    print qq{<form action="$self" method="post">\n};
    print qq{<input type="hidden" name="page" value="1">\n};


    print qq{<p>$lex{'Last,First/Last/Initials/Studnum'}\n};
    print qq{<input type="text" name="student" size="20"></p>\n};
    print qq{<input type="submit" value="$lex{Student} $lex{Search}"></form>\n};

    print qq{</body></html>\n};

    exit;

} # end of showStartPage


#----------------
sub studentSearch {
#----------------

    # foreach my $key ( sort keys %arr ) { print qq{K:$key V:$arr{$key}<br>\n}; }

    my $student = $arr{student};
    my @studnum;

    if ($student =~ /\d+/) {  # we have a student number
	$studnum = $student;
	push @studnum, $studnum

    } else { # we have words hopefully with a comma

	($lastname,$firstname)  = split(',', $student);

        $firstname =~ s/^\s*//;
	$lastname =~ s/^\s*//;
	if ($lastname and $firstname){ # both entered.
	    $sth = $dbh->prepare("select studnum from student 
              where lastname = ? and firstname = ?");
	    $sth->execute( $lastname, $firstname );
	    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	    while ( my $studnum = $sth->fetchrow ){
		push @studnum,$studnum;
	    }

	} elsif ( $lastname and not $firstname ) { # only lastname (no comma)

	    if (length($lastname) == 2){ # search by initials: fi, li.
		my $fi = substr($lastname,0,1); my $li = substr($lastname,1,1);
		$sth = $dbh->prepare("select studnum from student 
                 where lastname $sql{like} '$li%' and firstname $sql{like} '$fi%'");
	    } else {
		$lastname = $dbh->quote( $lastname );
		$sth = $dbh->prepare("select studnum from student 
                  where lastname = $lastname order by firstname");
	    }

	    $sth->execute;
	    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	    while ( my $studnum = $sth->fetchrow){
		push @studnum,$studnum;
	    }

	}
    }

 
    # If no student number found above, then print again, and die;
    if ( not @studnum ) {
	print qq{<h3>$lex{Student} $lex{'Not Found'}</h3>\n};
	showStartPage();
    }


    # Start the Form
    print qq{<form action="$self" method="post">\n};
    print qq{<input type="hidden" name="page" value="2">\n};

    print qq{<input type="submit" value="$lex{Continue}">\n};
    print qq{<table cellpadding="3" cellspacing="0" border="1">\n};
    print qq{<tr><th>Student</th><th>Grade</th><th>Birthdate</th></tr>\n};

    foreach my $studnum ( @studnum ){

	# Find the student's name and grade (for their track)
	my $sth = $dbh->prepare("select * from student where studnum = ? ");
	$sth->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}
	my $ref = $sth->fetchrow_hashref;
	my %r = %$ref;
	
	print qq{<tr><td class="la"><input type="radio" name="studnum" value="$r{studnum}">};
	print qq{<b>$r{lastname}</b>, $r{firstname} ($r{studnum})</td><td class="cn">$r{grade}</td>\n};
	print qq{<td class="la">$r{birthdate}</td></tr>\n};

    }

    print qq{</table><input type="submit" value="$lex{Continue}">\n};
    
    print qq{</form>\n};
    print qq{</body></html>\n};

    exit;

} # end of studentSearch



#-------------
sub addStudent {
#-------------

    # foreach my $key ( sort keys %arr ) { print qq{K:$key V:$arr{$key}<br>\n}; }

    # Get Student Data
    my $sth = $dbh->prepare("select * from student where studnum = ?");
    $sth->execute( $arr{studnum} );
    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }  
    my $ref = $sth->fetchrow_hashref;
    my %sr = %$ref;
    my $hr = $sr{homeroom};

    if ( not $sr{studnum} ){  # no student found!
	print qq{<h3>$lex{Number} $lex{'Not Found'}</h3>\n};
	print qq{</body></html>\n};
	exit;
    }

    # Check for access.
    if ( not $access{IEP} and not $homerooms{$hr} ){

	# Check if any grades have subject attendance, 
	# and check those grades for course enrollments
	my $sth = $dbh->prepare("select count(e.id) from eval e, subject s 
          where e.studnum = ? and e.subjcode = s.subjsec and s.teacher = ?");
	$sth->execute( $arr{studnum}, $userid );
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }  
	my $count = $sth->fetchrow;
	if ( $count < 1 ) {
	    print qq{<h3>No Access Allowed</h3>\n};
	    print qq{</body></html>\n};
	    exit;
	}
    }


    print qq{<form action="$self" method="post">\n};
    print qq{<input type="hidden" name="page" value="3">\n};
    print qq{<input type="hidden" name="studnum" value="$studnum">\n};
    print qq{<table cellpadding="3" cellspacing="0" border = "0">\n};

    print qq{<tr><td class="bra">$lex{'Last Name'}</td>};
    print qq{<td>$sr{lastname}</td></tr>\n};

    print qq{<tr><td class="bra">$lex{'First Name'}</td>};
    print qq{<td>$sr{firstname}</td></tr>\n};

    print qq{<tr><td class="bra">$lex{Birthdate}</td>};
    print qq{<td>$sr{birthdate}</td></tr>\n};

    print qq{<tr><td class="bra">$lex{'Student Number'}</td><td>$studnum</td></tr>\n};
    
    print qq{<tr><td class="bra">$lex{'Provincial Number'}</td>};
    print qq{<td>$sr{provnum}</td></tr>\n};
    
    #print qq{<tr><td class="bra">". $lex{'Designation Date'}. "</td>\n<td>";
    #print qq{<input type="text" name="desdate" size="15">\n};
    #print qq{ (yyyy-mm-dd)</td></tr>\n};

    #print qq{<tr><td class="bra">". $lex{'DDPF Level'}. "</td>\n<td>";
    #print qq{<select name="ddpflvl"><option></option><option>Level 1</option>\n};
    #print qq{<option>Level 2</option></td></tr>\n};

#    print qq{<tr><td class="bra">$lex{Designation}</td>\n<td>};
#    print qq{<select name="designation"><option></option>\n};
#    foreach my $desig ( @designate ) {
#	print qq{<option>$desig</option>\n};
#    }
#    print qq{</select></td></tr>\n};

    print qq{<tr><td class="bra">$lex{Grade}</td>};
    print qq{<td>$sr{grade}</td></tr>\n};
    
    print qq{<tr><td class="bra" valign="top">$lex{'Medical Conditions'}</td>\n<td>};
    print qq{<textarea name="medical" rows="6" cols="100">$sr{medical}</textarea></td></tr>\n};
    
    print qq{<tr><td class="bra" valign="top">$lex{Medication}</td>\n<td>};
    print qq{<textarea name="medication" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Equipment}</td>\n<td>};
    print qq{<textarea name="equip" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Adaptations}</td>\n<td>};
    print qq{<textarea name="adapt" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{'School/Home History'}</td>\n<td>};
    print qq{<textarea name="history" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Strengths}</td>\n<td>};
    print qq{<textarea name="strengths" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Challenges}</td>\n<td>};
    print qq{<textarea name="challenges" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Assessments}</td>\n<td>};
    print qq{<textarea name="assessments" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td class="bra" valign="top">$lex{Additional}</td>\n<td>};
    print qq{<textarea name="additional" rows="6" cols="100"></textarea></td></tr>\n};

    print qq{<tr><td colspan="2" class="cn"><input type="submit" value="$lex{Save} $lex{Record}">};
    print qq{</td></tr></table>\n};

    print qq{</form></body></html>\n};


} # end of addStudent




#--------------
sub writeRecord {
#--------------

    # foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    my $studnum = $arr{studnum};

    # schoolyear - global variable
    my ($fy,$sy) = split('-', $schoolyear); # '2015-2016' format
    $arr{schoolyear} = $sy; # second year; '2016'


    # Check for existing student.
    my $sth = $dbh->prepare("select count(*) from iep_student where studnum = ? and schoolyear = ?");
    $sth->execute( $arr{studnum}, $arr{schoolyear} );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my $count = $sth->fetchrow;

    if ( $count ) {
	print "<h3>$lex{Student} $lex{Exists}. Use $lex{Edit} to change record.</h3>\n";
	print "</body></html>\n";
	exit;
    }


    # Load data from normal school record
    my $sth = $dbh->prepare("select * from student where studnum = ?");
    $sth->execute( $arr{studnum} );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    my $ref = $sth->fetchrow_hashref;
    my %r = %$ref;

    # Add in the extra fields.
    $arr{grade} = $r{grade};
    $arr{lastname} = $r{lastname};
    $arr{firstname} = $r{firstname};
    $arr{birthdate} = $r{birthdate};
    $arr{sex} = $r{sex};


    # Join parts together
    my @keys = keys %arr;
    my $keys = join(',', @keys);
	
    foreach my $k ( keys %arr ) {
	if ( $arr{$k} ) {
	    $arr{$k} = $dbh->quote( $arr{$k} );
	} else {
	    $arr{$k} = $sql{default};
	}
    }
    my $values = join(',', ( values %arr ));

    $sth = $dbh->prepare("insert into iep_student ( $keys ) values ( $values )");
    $sth->execute;


    if ( not $DBI::errstr ) {
	print "<h3>$lex{'Record Added'}</h3>\n";

    } else {
	print "<h3>Error: $DBI::errstr<br>\n";
	print "$lex{Contact} $adminname <a href=\"mailto:$adminemail\">$adminemail</a></h3>\n";

    }

    print "<p>[ <a href=\"$iephome\">$lex{Main}</a> ]\n";

#    print "<form action=\"tmadd.pl\" method=\"post\" style=\"display:inline;\">\n";
#    print "<input type=\"hidden\" name=\"studnum\" value=\"$studnum\">\n";
#    print "<input type=\"submit\" value=\"$lex{Add} $lex{'Team Members'}\">\n";
#    print "</form>\n";

    print "</p></body></html>\n";

    exit;

} # end of writeRecord
