#!/usr/bin/perl
#  Copyright 2001-2016 Leslie Richardson

#  This file is part of Open Admin for Schools.

my %lex = ('View/Delete Teams' => 'View/Delete Teams',
	   'School' => 'School',
	   'Person' => 'Person',
	   'Role' => 'Role',
	   'Phone' => 'Phone',
	   'Email' => 'Email',
	   'Sign' => 'Sign',
	   'Delete' => 'Delete',
	   'Main' => 'Main',
	   'Error' => 'Error',
	   'Please Log In' => 'Please Log In',
	   'Delete Team Members' => 'Delete Team Members',
	   'Record Deletion Failed' => 'Record Deletion Failed',
	   'Contact' => 'Contact',
	   'Error' => 'Error',
	   'Record(s) deleted' => 'Record(s) deleted',

	   );

my $self = 'teamvwdel_local.pl';

use DBI;
use CGI;
use CGI::Session;

# Read config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


my $q = new CGI;
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');
    print $q->header;
    print "$doctype\n<html><head>\n";
    print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\"></head><body>\n";
    print "[ <a href=\"$tchpage\">$lex{Main}</a> ]\n";
    print "<form action=\"../tlogin.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
    print "<input type=\"hidden\" name=\"script\" value=\"$self\">\n";
    print "<input type=\"submit\" value=\"". $lex{'Please Log In'}. "\">\n";
    print "</form></center></body></html>\n";
    die;
}

my $userid = $session->param('userid');


# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from staff where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;


my $sth = $dbh->prepare("select t.id, t.studnum, t.userid, t.jobtitle, 
   t.phone, t.email, t.sign from iep_team as t, iep_student as s 
   where s.studnum = t.studnum $select
   order by s.lastname, s.firstname");
$sth->execute;
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my $rows = $sth->rows;

my $title = $lex{'View/Delete Teams'};
print qq{$doctype\n<html><head><title>$title</title>\n};
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">\n";
print "</head><body>[ <a href=\"$tchpage\">$lex{Main}</a> ] $firstname $lastname\n";
print "<h1>$title</h1>\n";


if ( $arr{deleteflag} ) {
    delete $arr{deleteflag};
    deleteRecords();
}


# Form Start
print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"deleteflag\" value=\"1\">\n";

my $currstud = -1;

for ( my $i=1; $i <= $rows; ++$i) {
    my ( $id, $studnum, $userid, $jobtitle, $phone, $email, $sign ) = $sth->fetchrow;
  
    $oldstud = $currstud;
    $currstud = $studnum;     

    if ( $oldstud ne $currstud ) {  # We have a new student

	# Lookup Student Name
	$sth1 = $dbh->prepare("select lastname, firstname from iep_student where studnum = ? ");
	$sth1->execute( $studnum );
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
	my ($lastname, $firstname) = $sth1->fetchrow;
        if ( $i != 1 ) {  # close previous list
	    print "</table>";
	}

	print "<h3>$firstname $lastname ($currstud)&nbsp;&nbsp;\n";
	print "<input type=\"submit\"  value=\"". $lex{'Delete Team Members'}. "\"></h3>\n";
	print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
	print "<tr><th>". $lex{Person}. "</th><th>". $lex{Role}. "</th><th>";
	print $lex{Phone}. "</th><th>". $lex{Email}. "</th><th>". $lex{Sign};
	print "</th><th>". $lex{Delete}. "</th></tr>\n";
    }
  
    print qq{<tr><td><b>$userid</b></td><td><i>$jobtitle</i></td>\n};
    print qq{<td>$phone</td><td><a href="mailto:$email">$email</a></td>\n};
    print qq{<td class="cn">$sign</td>\n};
    print qq{<td class="cn"><input type="checkbox" name="$id" value="1">};
    print qq{</td></tr>\n};
     
} # End of loop counter

print qq{</table>\n};
print qq{<input type="submit"  value="$lex{'Delete Team Members'}">\n};
print qq{</form></body></html>\n};



#----------------
sub deleteRecords {
#----------------

    my $sth = $dbh->prepare("delete from iep_team where id = ?");

    foreach my $key ( keys %arr ) { 

	$sth->execute( $key ); # delete the record

	if ( $DBI::errstr ) {
	    print qq{<h3>$lex{'Record Deletion Failed'}.};
	    print qq{$lex{Contact} $adminname<br>\n};
	    print qq{$lex{Error} $DBI::errstr</h1>\n};
	}
    }

    print qq{<h3>$lex{'Record(s) deleted'}</h3>\n};
    print qq{[ <a href=\"$tchpage\">$lex{Main}</a> |\n};
    print qq{<a href="$self">$lex{'View/Delete Teams'}</a> ]\n}; 
    print qq{</body></html>\n};

    exit;
}
