#!/usr/bin/perl
#  Copyright 2001-2014 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Main' => 'Main',
	   'Error' => 'Error',
	   'Add' => 'Add',
	   'Scores' => 'Scores',
	   'Common Math Assessment' => 'Common Math Assessment',


	   'Student' => 'Student',
	   'Continue' => 'Continue',
	   'Save' => 'Save',
	   'Date' => 'Date',
	   'No User Id' => 'No User Id',
	   'No Password' => 'No Password',
	   'Please Log In' => 'Please Log In',
	   'Grade' => 'Grade',
	   'Homeroom' => 'Homeroom',
	   'Select' => 'Select',
	   'Record' => 'Record',
	   'Skipping' => 'Skipping',
	   'Students' => 'Students',
	   'Test' => 'Test',
	   'Missing Value' => 'Missing Value',
	   'Score' => 'Score',
	   'Record Exists' => 'Record Exists',
	   'Added' => 'Added',

	   );

use DBI;
use CGI;
use CGI::Session;

my %exceptions = ( 'moved' => 'Moved', 'attendance' => 'Persistent Absences', 'altprog' => 'Alternate Program', 'other' => 'Other' );
my @exceptions = ( 'moved', 'attendance', 'altprog', 'other');

my $self = 'cmathAdd.pl';

# Now loaded from config
# my @phases = qw(Emergent Matching Quantifying Partitioning Factoring Operating);
# my @seasons = qw(Sep-2012 Nov-2012 Apr-2013 Sep-2013 Nov-2013 Apr-2014 Sep-2014 Nov-2014);


my $q = new CGI;
my %arr = $q->Vars;

my @time = localtime(time);
my $year = $time[5] + 1900;
my $month = $time[4] + 1;
my $currdate = "$year-$month-$time[3]";

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $self: $@<br>\n";
    die $lex{Error}. "$self: $@\n";
}

=head
eval require "cma.conf";
if ( $@ ) {
    print $lex{Error}. " $self: $@<br>\n";
    die $lex{Error}. "$self: $@\n";
}
=cut

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Session Setup Here
my $session = new CGI::Session("driver:mysql;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

# Get/Set  Session Values (a defined userid means it was passed)
if ( $arr{userid} ){ # we want to login, passed userid/password pair.

    # Check password/userid against database (-1 no user, -2 wrong password);
    my $error = checkPassword($arr{userid}, $arr{password});
    if ($error == -1){ print $q->header( -charset, $charset ); print "<h3>$lex{'No User Id'}</h3>"; }
    if ($error == -2){ print $q->header( -charset, $charset ); print "<h3>$lex{'No Password'}</h3>"; }

    $cookietime = checkCookieTime( $arr{duration} );

    # Set values for userid and logged_in in session
    $session->param( 'logged_in','1');
    $session->expire( 'logged_in', $cookietime );
    $session->param( 'userid',$arr{userid} );
    $session->param( 'duration',$cookietime );

    $userid = $arr{userid};


} else { # check logged_in value in session

    if ( not $session->param('logged_in') ){
	$userid = $session->param('userid');
        print $q->header( -charset, $charset );
	print "<form action=\"../tlogin.pl\" method=\"post\" style=\"display:inline;\">\n";
	print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
	print "<input type=\"hidden\" name=\"script\" value=\"mathcommon/$self\">\n";
	print "<input type=\"submit\" value=\"$lex{'Please Log In'}\">\n";
	print "</form></body></html>\n";
        exit;
    }
    # Ok, we have a login. Values below we have in environment.

    $userid = $session->param('userid');
    $duration = $session->param('duration');

    if ( not ($duration =~ /\+/)) { # if not in +20m format, do so.
	$duration = checkCookieTime( $duration );
    }

    $session->expire('logged_in', $duration );


} # End of check for logged_in value

print $session->header( -charset, $charset );

# Session Setup End

# Page Header
my $title = "$lex{Add} $lex{'Common Math Assessment'} $lex{Scores}";
print "$doctype\n<html><head><title>$title</title>\n";
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">\n";

print "<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" ";
print "href=\"/js/calendar-blue.css\" title=\"blue\">\n";
print "<script type=\"text/javascript\" src=\"/js/calendar.js\"></script>\n";
print "<script type=\"text/javascript\" src=\"/js/lang/calendar-en.js\"></script>\n";
print "<script type=\"text/javascript\" src=\"/js/calendar-setup.js\"></script>\n";


print "$chartype\n</head><body style=\"padding:1em 2em;\">\n";
print "[ <a href=\"$tchpage\">$lex{Main}</a> ]\n";
print "<h1>$title</h1>\n";


if ( not $arr{page} ) {
    showStartPage();

}  elsif ( $arr{page} == 1 ) {
    delete $arr{page};

    if ( $arr{singlestudent} ) {
	delete $arr{singlestudent};
	singleStudentEntry();

    } else {
	enterScores();
    }

}  elsif ( $arr{page} == 2 ) {
    delete $arr{page};
    writeScores();

}  elsif ( $arr{page} == 3 ) {
    delete $arr{page};
    writeExceptions();
}


#----------------
sub showStartPage {
#----------------

    print "<form action=\"$self\" method=\"post\"> \n";
    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";

    print "<tr><td class=\"bra\">$lex{Test} $lex{Date}</td>\n";
    print "<td><input type=\"text\" name=\"tdate\" id=\"date\" size=\"10\" value=\"$currdate\">\n";
    print "<button type=\"reset\" id=\"start_trigger\">...</button>\n";
    print "</td></tr>\n";


    print qq{<tr><td class="bra">Pretest or Posttest</td><td class="la"><select name="prepost"><option></option>\n};
    print qq{<option value="pretest">Pre-Test</option><option value="posttest">Post-Test</option></select></td></tr>\n};

    print "<tr><td class=\"bra\">$lex{Select} $lex{Students}\n";
    print "</td><td><select name=\"groupname\">";
    print qq{<option value="grade">$lex{Grade}</option>\n};
    print qq{<option value="homeroom">$lex{Homeroom}</option>\n};
    print "</select>\n";
    print "<input type=\"text\" name=\"groupvalue\" size=\"10\"></td></tr>\n";

    print qq{<tr><td class="bra">Single Student Only</td>\n};
    print qq{<td class="la"><input type="checkbox" name="singlestudent" value="1"></td></tr>\n};


    print "<tr><td></td><td>\n<input type=\"submit\" value=\"$lex{Continue}\"></td></tr>\n";

    print "</table></center>\n";
    print "</form></center>\n";

    print "<script type=\"text/javascript\">
     Calendar.setup({
        inputField     :    \"date\", // id of the input field
        ifFormat       :    \"%Y-%m-%d\", // format of the input field
        button         :    \"start_trigger\", // trigger for the calendar (button ID)
        singleClick    :    false,        // double-click mode
        step           :    1             // show all years in drop-down boxes 
    });
   </script>\n";

    print "</body></html>\n";

    exit;

} # end of showStartPage





#--------------
sub enterScores {
#--------------

    # foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    # Check for any Blanks
    foreach my $key ( sort keys %arr ) { 
	if ( not $arr{$key} ) {
	    print "<h3>$lex{'Missing Value'}: $key</h3>\n";
	    print "</body></html>\n";
	    exit;
	}
    }


    $arr{groupvalue} =~ s/[^a-zA-Z0-9]//g; # strip any non alphanumerics
    # print "GroupValue: $arr{groupvalue}<br>\n";

    my ($select, $grade);
    if ( $arr{studnum} ) {
	# Get grade for this single student
	my $sth = $dbh->prepare("select grade from student where studnum = ?");
	$sth->execute( $arr{studnum} );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	$grade = $sth->fetchrow;
	$select = "where studnum = ?";

    } elsif ( $arr{groupname} eq 'grade' ) {
	$select = 'where grade = ?';
	$grade = $arr{groupvalue};
	    
    } else {
	$select = 'where homeroom = ?';
	# Get the associated grade for this homeroom
	my $sth = $dbh->prepare("select distinct grade from student where homeroom = ?");
	$sth->execute( $arr{groupvalue} );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	$grade = $sth->fetchrow;
    }
    

    # Get Outcomes for this Grade
    my %outcomes;
    my $sth = $dbh->prepare("select oid, odesc from mathca_outcomes where grade = ?");
    $sth->execute( $grade );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    while ( my ($oid, $odesc ) = $sth->fetchrow ) {
	$outcomes{$oid} = $odesc;
    }

    # The student group or single student.
    my $group;
    if ( $arr{studnum} ) { 
	$group = $arr{studnum};
    } else {
	$group = $arr{groupvalue};
    }

    my $sth = $dbh->prepare("select * from student
     $select order by lastname, firstname");
    $sth->execute( $group );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

    print qq{<div style="font-size:130%;"><b>$lex{Test} $lex{Date}</b> $arr{tdate}</div>\n};

    # Print Form Heading
    print "<form action=\"$self\" method=\"post\"> \n";
    print "<input type=\"hidden\" name=\"page\" value=\"2\">\n";
    print "<input type=\"hidden\" name=\"tdate\" value=\"$arr{tdate}\">\n";
    print "<input type=\"hidden\" name=\"prepost\" value=\"$arr{prepost}\">\n";

    # Outcomes for this grade
    print qq{<table style="padding:0.5em 0;"><tr><th style="padding:0.5em;">\n};
    print qq{Outcome <select name="outcome"><option></option>\n};
    foreach my $oid ( sort keys %outcomes ) {
	print qq{<option value="$oid">$oid $outcomes{$oid}</option>\n};
    }
    print qq{</select></th></tr></table>\n};

    my $first = 1;


    # Student Loop
    while ( my  $ref = $sth->fetchrow_hashref ) {

	my %r = %$ref;

	if ( $first ) {
	    print "<div class=\"la\"><input type=\"submit\" value=\"$lex{Save}\"></div>\n";
	    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
	    print "<tr><th>$lex{Student}</th><th>$lex{Score}</th></tr>\n";
	    $first = 0;
	}

	print qq{<tr><td class="bra"><b>$r{firstname} $r{lastname}</td>\n};
	print qq{<td class="la">\n};
	my $checked;
	foreach my $score ( 1, 2, 3, 4, 'N/A' ) {
	    if ( $score eq 'N/A' ) { $checked = qq{checked="checked"} }
	    print qq{<input type="radio" name="$r{studnum}" value="$score" $checked>$score&nbsp;&nbsp;};
	}
	print "</td></tr>\n";
    }

    print "</table><div class=\"la\"><input type=\"submit\" value=\"$lex{Save}\"></div>\n";
    print "</form></body></html>\n";

    exit;

} # end of enterScores


#---------------
sub writeScores {
#---------------

    # foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    # Check for an Outcome
    if ( not $arr{outcome} ) {
	print "<h3>Missing Outcome</h3>\n";
	print "</body></html>\n";
	exit;
    }


    my $tdate = $arr{tdate};
    delete $arr{tdate};
    my $prepost = $arr{prepost};
    delete $arr{prepost};
    my $outcome = $arr{outcome};
    delete $arr{outcome};


    my $sth1 = $dbh->prepare("select * from  student where studnum = ?");

    foreach my $studnum ( keys %arr ) {

	my $score = $arr{$studnum};
	if ( $score eq 'N/A' ) { next; }

	# Check for existing test for this student, this reading level, and this date.
	my $sth = $dbh->prepare("select count(*) from mathca_scores where studnum = ? and tdate = ? and outcome = ?");
	$sth->execute( $studnum, $tdate, $outcomeoid );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my $count = $sth->fetchrow;

	# Get Student Info
	$sth1->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my $studref = $sth1->fetchrow_hashref;
	my %rec = %$studref;

	if ( $count ) { # we've already written this record..
	    print "<div><b>$lex{'Record Exists'}</b>\n";
	    print "- $rec{firstname} $rec{lastname} ($studnum)";
	    print "<b>$lex{Test} $lex{Date}:</b> $tdate -<b>$lex{Skipping}</h3>\n";

	    next;
	}

	my $age = calcAge( $rec{birthdate}, $tdate );
	my $treatynum = $rec{treaty};
	if ( not $treatynum ) { $treatynum = $rec{provnum}; }

	# Insert a record.
	$sth = $dbh->prepare("insert into mathca_scores  
          ( studnum, treatynum, tdate, tauthor, tgrade, tage, prepost, outcome, score ) 
          values ( ?, ?, ?, ?, ?, ?, ?, ?, ? )");
	 $sth->execute( $studnum, $treatynum, $tdate, $userid, $rec{grade}, $age, $prepost, $outcome, $score );
        if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }

	print "<div>$rec{firstname} $rec{lastname} $lex{Score} $lex{Added}</div>\n";

    }

    # Add SSP Exceptions for some students
    my $first = 1;
    foreach my $studnum ( keys %arr ) {
	if ( $arr{$studnum} eq 'N/A' ) { # setup for exceptions

	    # Get Student Info
	    $sth1->execute( $studnum );
	    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	    my $ref = $sth1->fetchrow_hashref;
	    my %r = %$ref;

	    if ( $first ) {
		# Print Form Heading
		print qq{<form action="$self" method="post"> \n};
		print qq{<input type="hidden" name="page" value="3">\n};
		print qq{<input type="hidden" name="tdate" value="$tdate">\n};
		
		# Table
		print qq{<p></p><div class="la"><input type="submit" value="$lex{Save}"></div>\n};
		print qq{<table cellpadding="3" cellspacing="0" border="1">\n};
		print qq{<tr><th>$lex{Student}</th><th>Reasons for No Student Score</th></tr>\n};
		$first = 0;
	    }

	    print qq{<tr><td class="bra">$r{firstname} $r{lastname}</td>};
	    print qq{<td class="la">};
	    foreach my $key ( @exceptions ) {
		print qq{<input type="radio" name="EX:$studnum" value="$key">$exceptions{$key}<br>\n};
	    }
	    print qq{<span style="font-size:80%;">If Other, Please Specify</span> <input type="text" size="60" name="OTHER:$studnum"></td></tr>\n};

	}
    }	    

    if ( not $first ) { 
	print qq{</table>\n};
	print qq{<div class="la"><input type="submit" value="$lex{Save}"></div>\n};
	print qq{</form>\n};
    }


    #print "<p>[ <a href=\"$self\">$title</a> |\n";
    #print "<a href=\"$tchpage\">$lex{Main}</a> ]</p>\n";
    print "</body></html>\n";

    exit;

} # end of writeScores


#------------------
sub writeExceptions {
#------------------

    # foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }
    
    my $tdate = $arr{tdate};
    delete $arr{tdate};

    my $sth1 = $dbh->prepare("select * from  student where studnum = ?");

    foreach my $key ( keys %arr ) {

	my ($type, $studnum ) = split(':', $key);

	if ( $type eq 'OTHER' ) { next; } # skip all 'Other' values.

	my $othercode = qq{OTHER:$studnum};
	my $reasonother = $arr{$othercode};
	my $reason = $arr{$key};


	# Check for existing record
	my $sth = $dbh->prepare("select count(*) from ssp_exceptions where studnum = ? and tdate = ? and ssptype = ?");
	$sth->execute( $studnum, $tdate, 'cma' );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my $count = $sth->fetchrow;

	# Get Student Info
	$sth1->execute( $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	my $studref = $sth1->fetchrow_hashref;
	my %r = %$studref;

	if ( $count ) { # we've already written this record..
	    print "<div><b>$lex{'Record Exists'}</b>\n";
	    print "- $rec{firstname} $rec{lastname} ($studnum)";
	    print "<b>$lex{Test} $lex{Date}:</b> $tdate -<b>$lex{Skipping}</h3>\n";

	    next;
	}

	my $age = calcAge( $r{birthdate}, $tdate );
	my $treatynum = $r{treaty};
	if ( not $treatynum ) { $treatynum = $r{provnum}; }

	# Insert a record.
	$sth = $dbh->prepare("insert into ssp_exceptions
          ( studnum, treatynum, ssptype, tdate, tauthor, tgrade, tage, reasoncode, reasonother ) 
          values ( ?, ?, ?, ?, ?, ?, ?, ?, ? )");
	 $sth->execute( $studnum, $treatynum, 'cma', $tdate, $userid, $r{grade}, $age, $reason, $reasonother );
        if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }

	print "<div>$r{firstname} $r{lastname} Exception $lex{Record} $lex{Added}</div>\n";

    }

    print "<p>[ <a href=\"$self\">$title</a> |\n";
    print "<a href=\"$tchpage\">$lex{Main}</a> ]</p>\n";
    print "</body></html>\n";

    exit;

} # end of writeExceptions



#----------
sub calcAge {
#----------

    # Passed (birthdate, $currdate)
    my ( $birthdate, $currdate ) = @_;
    my ($byear,$bmonth,$bday) = split /-/,$birthdate;
    my ($cyear,$cmonth,$cday) = split /-/,$currdate;
    my $age = $cyear - $byear;
    my $month = $cmonth - $bmonth;
    #print "BD: $birthdate CD: $currdate Age: $age MO:$month<br>\n";

    if ($cmonth < $bmonth){
	$month = $month + 12;
	if ($cday < $bday){ $month--;}
	$age--;
    }
    elsif ($cmonth == $bmonth and $cday < $bday){
	$age--; 
	$month = 11;
    } elsif ($cmonth > $bmonth and $cday < $bday) {
	$month--;
    }

    if ( $age < 0 or $age > 100 ) { $age = 0; $month = 0; }

    return "$age:$month";

}



#---------------------
sub singleStudentEntry {
#---------------------

    #foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }    

    my $groupvalue = $arr{groupvalue};
    delete $arr{groupvalue};

    $groupvalue =~ s/[^a-zA-Z0-9]//g; # strip any non alphanumerics
    # print "GroupValue: $arr{groupvalue}<br>\n";

    # Check for any Blanks
    foreach my $key ( sort keys %arr ) { 
	if ( not $arr{$key} ) {
	    print "<h3>$lex{'Missing Value'}: $key</h3>\n";
	    print "</body></html>\n";
	    exit;
	}
    }

    my $select;
    if ( $arr{groupname} eq 'grade' ) {
	$select = 'where grade = ?';
    } else {
	$select = 'where homeroom = ?';
    }
    
    my $sth = $dbh->prepare("select lastname, firstname, studnum from student
      $select order by lastname, firstname");
    $sth->execute( $groupvalue );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

    print qq{<div style="font-size:110%;"><b>$lex{Test} $lex{Date}</b> $arr{tdate}</div>\n};


    my $first = 1;

    # Form Header
    print "<form action=\"$self\" method=\"post\"> \n";
    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
    print "<input type=\"hidden\" name=\"tdate\" value=\"$arr{tdate}\">\n";
    print "<input type=\"hidden\" name=\"prepost\" value=\"$arr{prepost}\">\n";

    while ( my ( $lastname, $firstname, $studnum ) = $sth->fetchrow ) {

	if ( $first ) {
	    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";
	    print "<tr><td class=\"la\"><input type=\"submit\" value=\"$lex{Continue}\">\n";
	    print "</td></tr>\n";
	    $first = 0;
	}

	print "<tr><td class=\"la\"><input type=\"radio\" name=\"studnum\" value=\"$studnum\" value=\"1\">\n";
	print " <b>$lastname</b>, $firstname ($studnum)</td></tr>\n";

    }

    if ( $first ) {
	print qq{<h3>No Students Found</h3>\n};

    } else {
	print "<tr><td class=\"la\"><input type=\"submit\" value=\"$lex{Continue}\">\n";
	print "</td></tr>\n";
	print "</table>\n";
    }

    print "</form></body></html>\n";

    exit;

} # end of singleStudentEntry
