DROP TABLE IF EXISTS `conf_system`;

CREATE TABLE `conf_system` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(64) DEFAULT NULL,
  `sectionname` varchar(64) DEFAULT NULL,
  `sequenceval` int(11) DEFAULT NULL,
  `dataname` varchar(64) DEFAULT NULL,
  `datatype` varchar(32) DEFAULT NULL,
  `datavalue` text,
  `hashvar` varchar(64) DEFAULT NULL,
  `version` varchar(16) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '100', 'g_ppd', 'hash', '%g_ppd = (\'6\' => \'2\',\'11\' => \'5\',\'PK\' => \'2\',\'3\' => \'2\',\'7\' => \'2\',\'K\' => \'2\',\'9\' => \'2\',\'12\' => \'5\',\'2\' => \'2\',\'8\' => \'2\',\'4\' => \'2\',\'1\' => \'2\',\'10\' => \'5\',\'5\' => \'2\');', '5.25', 'The number of Periods Per Day (PPD) taken for attendance at each particular grade/form level. A PPD of \'2\' means that only a morning and afternoon attendance is done. Do not change any values here during the school year since this will throw off attendance reports, etc. Change only from one year to the next.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '102', 'g_AttendanceEntryMethod', 'hash', '%g_AttendanceEntryMethod = (\'6\' => \'homeroom\',\'11\' => \'subject\',\'PK\' => \'homeroom\',\'3\' => \'homeroom\',\'7\' => \'homeroom\',\'K\' => \'homeroom\',\'9\' => \'homeroom\',\'12\' => \'subject\',\'2\' => \'homeroom\',\'8\' => \'homeroom\',\'4\' => \'homeroom\',\'1\' => \'homeroom\',\'10\' => \'subject\',\'5\' => \'homeroom\');', NULL, 'Maps the grade to an attendance entry method, homeroom or subject ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '105', 'attend', 'array', '@attend = (\'Absent Unexcused\',\'Absent Excused\',\'Absent Illness\',\'Absent Moved\',\'Absent Suspension\',\'Late Unexcused\',\'Late Excused\');', '5.25', 'The list of all attendance reasons in display order. Do not alter ordering unless you also update the \'points\' for these as well, since the ordering must match between these 2 values.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '110', 'absentUnexcused', 'scalar', '$absentUnexcused = \'Absent Unexcused\';', '5.25', 'The main attendance reason text for \'Absent Unexcused\'.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '115', 'absentString', 'scalar', '$absentString = \'Absent\';', '5.25', 'Text string that matches the \'Absent\' part of the attendance reasons. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '120', 'lateUnexcused', 'scalar', '$lateUnexcused = \'Late Unexcused\';', '5.25', 'The text value for a Late Unexcused reason.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '125', 'lateString', 'scalar', '$lateString = \'Late\';', '5.25', 'The text value for \'Late\' in attendance reasons.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '130', 'points', 'array', '@points = (\'3\',\'1\',\'1\',\'1\',\'1\',\'1\',\'1\');', '5.25', 'The points that match in order each of the attendance reasons stored in the attend variable. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '135', 'trigger', 'hash', '%trigger = (\'6\' => \'Absence (Two)\',\'18\' => \'Absence (Six)\',\'30\' => \'Absence (Ten)\',\'24\' => \'Absence (Eight)\',\'12\' => \'Absence (Four)\');', '5.25', 'These are the number of attendance point triggers and their matching text description. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '140', 'ignore_reason', 'array', '@ignore_reason = (5,6);', '5.25', 'The attendance reasons to ignore when doing a search for perfect attendance. These values are the array index values for the reason and they start at 0.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'attendance', '150', 'formletter', 'hash', '%formletter = (\'6\' => \'discipline.tex\',\'18\' => \'discipline.tex\',\'30\' => \'withdraw.tex\',\'24\' => \'discipline.tex\',\'12\' => \'discipline.tex\');', '5.25', 'The number of points required to trigger a particular form letter (stored in the templates folder) These values are total from the \'points\' variable that map to each particular attendance reason. (attend variable)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '400', 'month', 'array', '@month = (\'\', \'January\', \'February\', \'March\', \'April\', \'May\', \'June\', \'July\', \'August\', \'September\', \'October\', \'November\', \'December\');', '5.25', 'Months of the Year. They are 1 based (not zero based). Do not change, other than for translation.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '405', 's_month', 'array', '@s_month = (\'\', \'Jan\', \'Feb\', \'Mar\', \'Apr\', \'May\', \'Jun\', \'Jul\', \'Aug\', \'Sep\', \'Oct\', \'Nov\', \'Dec\');', '5.25', 'Short Month Values. They are 1 based. (ie. $s_month[1] = \'Jan\' ).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '410', 'dow', 'array', '@dow = (\'\',\'Sunday\', \'Monday\', \'Tuesday\', \'Wednesday\', \'Thursday\', \'Friday\', \'Saturday\');', '5.25', 'Day of Week values (longer form) with a 1 value being Sunday.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '415', 's_dow', 'array', '@s_dow = (\'\',\'Sun\',\'Mon\',\'Tue\',\'Wed\',\'Thu\',\'Fri\',\'Sat\');', '5.25', 'Short Day of the Week Values. They are 1 based with first day being Sunday.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '420', 'g_DaysPerCycle', 'scalar', NULL, '5.25', 'The number of days in a school cycle until it repeats.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'dates', '425', 'g_ResetCycleDate', 'hash', '%g_ResetCycleDate = ();', '5.75', 'These are dates on which the cycle is reset to a new starting value. Following dates then follow this day in normal cycle format. If we reset Monday to a Day 3 in a 5 day cycle (for some reason), then Tuesday would be day 4, Wednesday Day 5, and Thursday would be Day 1 (restarting the cycle). ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'language', '500', 'doctype', 'scalar', '$doctype = \'<!DOCTYPE html>\';', '5.25', 'The version of HTML sent by scripts. Currently HTML 5.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'language', '505', 'langcode', 'scalar', '$langcode = \'en\';', '5.25', 'Not used, yet.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'language', '510', 'language', 'scalar', '$language = \'English\';', '5.25', 'The current language. Not used, yet.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'language', '515', 'charset', 'scalar', '$charset = \'UTF-8\';', '5.25', 'The character set that is sent when sending pages from scripts. This value is sent using the cgi->header(-charset,$charset) function.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'language', '525', 'chartype', 'scalar', '$chartype = \'<meta charset=\"UTF-8\">\';', '5.25', 'The value sent by scripts as part of the html page \'head\' section.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '600', 'defaultpapersize', 'scalar', '$defaultpapersize = \'letterpaper\';', '5.25', 'The default value for the size of paper. Many scripts (but not all) will use this to speed up paper selection. The values are: letterpaper, a4paper, legalpaper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '605', 'g_letterpaper_textheight', 'scalar', '$g_letterpaper_textheight = \'246mm\';', '5.25', 'Text Height for Letter Paper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '610', 'g_letterpaper_textwidth', 'scalar', '$g_letterpaper_textwidth = \'190mm\';', '5.25', 'Text Width for Letter Paper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '615', 'g_legalpaper_textheight', 'scalar', '$g_legalpaper_textheight = \'325mm\';', '5.25', 'Text Height for Legal Paper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '620', 'g_legalpaper_textwidth', 'scalar', '$g_legalpaper_textwidth = \'190mm\';', '5.25', 'Text Width for Legal Paper' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '625', 'g_a4paper_textheight', 'scalar', '$g_a4paper_textheight = \'272mm\';', '5.25', 'Text Height for A4 paper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '630', 'g_a4paper_textwidth', 'scalar', '$g_a4paper_textwidth = \'184mm\';', '5.25', 'Text Width for A4 paper.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '635', 'g_color', 'array', '@g_color = (\'#8FA\', \'#FF8\', \'#AAF\', \'#F8F\', \'#FAF\', \'#AFF\', \'#FAA\', \'#AFA\', \'#AAF\', \'#AAA\');', '5.25', 'Default color range values used by the gradebook for coloring assessment groups. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pagelayout', '640', 'a_latex_header', 'scalar', '$a_latex_header = \'\\\\inputencoding{latin1}\';', '5.25', 'The header used by LaTeX to generate the PDF files. A different value is required for other languages, esp including Thai.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1000', 'homepage', 'scalar', '$homepage = \'/index.shtml\';', '5.25', 'The URL for the main index file on the admin site. Do not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1005', 'attpage', 'scalar', '$attpage = \'/attendance.html\';', '5.25', 'URL for the attendance page' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1010', 'discpage', 'scalar', '$discpage = \'/discipline.html\';', '5.25', 'URL for the discipline page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1015', 'feespage', 'scalar', '$feespage = \'/fees.html\';', '5.25', 'The URL for the fees page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1020', 'reppage', 'scalar', '$reppage = \'/repcard.html\';', '5.25', 'The URL for the report card page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1025', 'schpage', 'scalar', '$schpage = \'/timetable.html\';', '5.25', 'The timetable page URL.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1030', 'exppage', 'scalar', '$exppage = \'/export.html\';', '5.25', 'The URL for the export page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1035', 'eoypage', 'scalar', '$eoypage = \'/eoy.html\';', '5.25', 'The URL to the Start/End of Year page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1050', 'tchpage', 'scalar', '$tchpage = \'/tindex.pl\';', '5.25', 'The URL location for the main teacher page index file.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pageurl', '1055', 'parpage', 'scalar', '$parpage=\'/pindex.pl\';', '6.50', 'The URL location of the main parent site page index file' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '900', 'g_studentpwd_minlen', 'scalar', '$g_studentpwd_minlen = 4;', '5.25', 'The minimum length a student password may be.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '905', 'g_studentpwd_maxlen', 'scalar', '$g_studentpwd_maxlen = 6;', '5.25', 'The maximum length for a student password.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '910', 'g_studentpwd_genlen', 'scalar', '$g_studentpwd_genlen = 6;', '5.25', 'This is the length of a generated password when adding students.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '915', 'g_studentpwd_caps', 'scalar', '$g_studentpwd_caps = 0;', '5.25', 'A value of 1 indicates that one or more capital letters are required in a student password. A value of 0 turns off this requirement.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '920', 'g_studentpwd_signs', 'scalar', '$g_studentpwd_signs = 0;', '5.25', 'This indicates whether signs or symbols are required in the password. A zero value turns it off and a 1 value turns it on.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '930', 'g_staffpwd_minlen', 'scalar', '$g_staffpwd_minlen = 6;', '5.25', 'The minimum length that a password may be.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '935', 'g_staffpwd_maxlen', 'scalar', '$g_staffpwd_maxlen = 0;', '5.25', 'The maximum length that a password may be. A 0 value will disable this requirement.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '940', 'g_staffpwd_genlen', 'scalar', '$g_staffpwd_genlen = 6;', '5.25', 'This is the length of a generated password when adding staff.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '945', 'g_staffpwd_caps', 'scalar', '$g_staffpwd_caps = 1;', '5.25', 'A value of 1 indicates that one or more capital letters are required in a password. A value of 0 turns off this requirement.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'password', '950', 'g_staffpwd_signs', 'scalar', '$g_staffpwd_signs = 0;', '5.25', 'Indicates whether a staff password will require symbols such as @ or #, etc. A value of 0 turns this off, and a value of 1 turns it on.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1200', 'cgidir', 'scalar', '$cgidir = \'/opt/openadmin/YOURSCHOOL/cgi\';', '5.25', 'Directory root of all the cgi scripts in the server filesystem. (ie absolute location)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1205', 'tchcgidir', 'scalar', '$tchcgidir = \'/opt/openadmin/YOURSCHOOL/tcgi\';', '5.25', 'The absolute pathway to the root directory for the teacher site scripts. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1210', 'parcgidir', 'scalar', '$parcgidir = \'/opt/openadmin/YOURSCHOOL/pcgi\';', '5.25', 'The absolute pathway to the parent CGI scripts.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1215', 'downloaddir', 'scalar', '$downloaddir = \'/opt/openadmin/YOURSCHOOL/admin/download\';', '5.25', 'The absolute pathway to the download directory. This is used by scripts to move files into this location so they can be downloaded. Typically PDF files or export data.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1220', 'tchdownloaddir', 'scalar', '$tchdownloaddir = \'/opt/openadmin/YOURSCHOOL/tadmin/download\';', '5.25', 'The absolute pathway for the download directory on the teacher site. Files for download (ie. PDF) are copied here by scripts. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1230', 'picdir', 'scalar', '$picdir = \'/opt/openadmin/YOURSCHOOL/admin/pic-big\';', '5.25', 'The absolute path to the location of the directory storing the full size pictures of students.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1240', 'tndir', 'scalar', '$tndir = \'/opt/openadmin/YOURSCHOOL/admin/pic-sm\';', '5.25', 'The Thumbnail pictures absolute path location in the filesystem.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1250', 'globdir', 'scalar', '$globdir = \'/opt/openadmin/YOURSCHOOL/etc\';', '5.25', 'The directory location of the global file (global.conf) that stores the other databases that may be searched on this server for withdrawn students. It also contains the \'read only\' user values to allow it to read from those databases. For single schools the file is normally located in the school etc directory.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1260', 'g_EtcPath', 'scalar', '$g_EtcPath = \'../../etc\';', '5.50', 'The full path to the location of the configuration files for OA for this school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1270', 'iepdir', 'scalar', '$iepdir = \'/opt/openadmin/iep2017\';', '5.25', 'The absolute path to the IEP system, if used.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'pathways', '1280', 'pdflatex', 'scalar', '$pdflatex = \'/usr/bin/pdflatex\';', '5.25', 'The pathway to the PDF Latex executable file.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1300', 'schoolnumber', 'scalar', '$schoolnumber = \'\';', '5.25', 'The provincial or state number used to identify the school in that province or state.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1310', 'xmlns', 'scalar', '$xmlns = \'http://www.k12.gov.sk.ca/xsd/sl/3.x/SLMessage.xsd\';', '5.25', 'Sask Ed value for the XML Name space. Do not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1315', 'xmlnsxsi', 'scalar', '$xmlnsxsi = \'http://www.w3.org/2001/XMLSchema-instance\';', '5.25', 'Sask Ed XML value. Do not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1320', 'xsischemaLocation', 'scalar', '$xsischemaLocation = \'http://www.k12.gov.sk.ca/xsd/sl/3.x/SLMessage.xsd\n http://www.k12.gov.sk.ca/xsd/sl/3.x/SLMessage.xsd\';', '5.25', 'Sask Ed XML setting. Do not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1325', 'program', 'scalar', '$program = \'10\';', '5.25', 'The Sask Ed value for the program a student is following. Typically a \'10\' for an English stream student in Saskatchewan, Canada. Ignore if not a Sask School.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '1330', 'nativeschool', 'scalar', '$nativeschool = \'0\';', '5.25', 'A Sask Ed value to indicate if the school is a First Nations school. Ignore if not in Sask, Canada.  (1=True, 0=False)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'sasked', '3105', 'url', 'scalar', '$url = \'https://www.k12.gov.sk.ca/spls/sdsxml/pkgb_xml_interface.sl_message\';', '5.25', 'The Sask Ed URL location for SDS record transfer. Do Not Change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '300', 'schoolname', 'scalar', '$schoolname = \'YOURSCHOOL Name\';', '5.25', 'The name of the school as it will appear on reports and report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '305', 'schooladdr1', 'scalar', '$schooladdr1 = \'\';', '5.25', 'First part of the street address for the school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '310', 'schooladdr2', 'scalar', '$schooladdr2 = \'\';', '5.25', 'Second part of the school street address, if required.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '315', 'schoolcity', 'scalar', '$schoolcity = \'\';', '5.25', 'City in which school is located.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '320', 'schoolprov', 'scalar', '$schoolprov = \'\';', '5.25', 'The province or state the school is located in.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '325', 'schoolpcode', 'scalar', '$schoolpcode = \'\';', '5.25', 'The Postal Code or zip code for the school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '330', 'schoolphone', 'scalar', '$schoolphone = \'\';', '5.25', 'The phone number of the school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '335', 'schoolfax', 'scalar', '$schoolfax = \'\';', '5.25', 'The fax number of the school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '340', 'schoolemail', 'scalar', '$schoolemail = \'\';', '5.25', 'The email address for the school. Typically the \'general mailbox\' for the school, rather than a secretary or admin email account.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '345', 'schoolwebsite', 'scalar', '$schoolwebsite = \'\';', '5.25', 'The URL for the school website.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '350', 'returnaddress', 'scalar', '$returnaddress = \'\';', '5.25', 'The return address for email sent out via email script.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '355', 'g_Divisionname', 'scalar', '$g_Divisionname = \'\';', '5.25', 'Name of your school division, if any. Leave blank if a stand alone school with no affiliation to other schools.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schooladdress', '360', 'g_mailserver', 'scalar', '$g_mailserver = \'\';', '5.25', 'The URL for the email server used by the email scripts. It will accept mail from the Open Admin server.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolrole', '800', 'g_position', 'array', '@g_position = (\'Classroom Teacher\',\'Educational Assistant\',\'Special Education Teacher\',\'Principal\',\'Vice-Principal\',\'Secretary\',\'Librarian\',\'Community School Room\',\'Custodian\',\'Education Director\',\'Catalyst Teacher\',\'Career Counsellor\',\'Elder\',\'Bus Driver\',\'Maintenance\',\'EA Mentors\',\'EA Trainees\');', '5.25', 'The various staff positions in the school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolrole', '805', 'g_posadmin', 'array', '@g_posadmin = (\'Principal\',\'Vice-Principal\');', '5.25', 'Text values for the administrators from the positions variable values.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolrole', '810', 'g_possped', 'scalar', '$g_possped = \'Special Education Teacher\';', '5.25', 'The text value for the special education teacher from the position variable.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '200', 'schoolyear', 'scalar', '$schoolyear = \'2016-2017\';', '5.25', 'The school year in YYYY-YYYY format. (ie. 2016-2017)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '210', 'schoolstart', 'scalar', '$schoolstart = \'2016-08-31\';', '5.25', 'The starting date for school. Typically the first day that teachers come. This allows a couple of admin days to be set at school start before students arrive. If not desired (to show admin days), then set this to the first day that students come.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '220', 'schoolend', 'scalar', '$schoolend = \'2017-06-30\';', '5.25', 'The last day of school. Typically the last day when teachers are at school and report cards are handed out, etc. Administration days are set in the dates to indicate that students do not come. It can be set to last day for students if desired (although not recommended).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '240', 'g_MTrackTerm', 'hash', '%g_MTrackTerm = (\'1\' => {\'1\' => {\'end\' => \'2016-11-14\',\'start\' => \'2016-09-02\'},\'3\' => {\'end\' => \'2017-06-19\',\'start\' => \'2017-03-23\'},\'2\' => {\'end\' => \'2017-03-20\',\'start\' => \'2016-11-17\'}});', '5.50', 'Holds the term data (dates) for all tracks and all terms. Structure is: g_MTrackTerm{track}{term}{\'start\' => \'2017-03-15\', \'end\' => \'2017-06-28\'}' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '250', 'g_MTrackTermType', 'hash', '%g_MTrackTermType = (\'6\' => 1,\'PK\' => 1,\'3\' => 1,\'7\' => 1,\'K\' => 1,\'2\' => 1,\'8\' => 1,\'1\' => 1,\'4\' => 1,\'5\' => 1);', '5.25', 'The grade and a matching index value used to find the term start and end dates when multi-Track school.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '270', 'g_TermDisplay', 'hash', '%g_TermDisplay = (\'1\' => {\'1\' => \'Term 1\',\'3\' => \'Term 3\',\'2\' => \'Term 2\'});', '5.50', 'This controls the descriptive text that is shown for each particular term. This gives much more flexibility to the assignment of report periods.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '275', 'g_TermDisplayBlock', 'hash', '%g_TermDisplayBlock = ();', '', 'List names for blocks of terms (typically called Semesters, etc). ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'schoolyear', '280', 'g_TrackDisplay', 'hash', '%g_TrackDisplay = (\'1\' => \'All \');', '', 'Lists names associated with each Track.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '700', 'dbtype', 'scalar', '$dbtype = \'mysql\';', '5.25', 'Type of the database. It is either \'mysql\' or \'pgsql\'. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '705', 'sql', 'hash', '%sql = (\'like\' => \'like\',\'default\' => \'NULL\');', '5.25', 'SQL values to make use of both MySQL and PostgreSQL possible. We have only been using MySQL for several years. Do Not Change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '710', 'maxfilesize', 'scalar', '$maxfilesize = 30000;', '5.25', 'The maximum file size for uploads.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '715', 'adminname', 'scalar', '$adminname = \'\';', '5.25', 'Name of the system administrator for the Open Admin server. This is displayed when a system error has occurred.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '720', 'adminemail', 'scalar', '$adminemail = \'openadmin@gmail.com\';', '5.25', 'Email address of the system admin who manages the Open Admin server. This is the contact email address that is shown in the case of system errors.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '730', 'g_InacSchool', 'scalar', '$g_InacSchool = \'12345\';', '5.75', 'The AANDC number of the school. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '740', 'g_SessionDuration', 'scalar', '$g_SessionDuration = \'20\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '750', 'g_OpenadminVersion', 'scalar', '$g_OpenadminVersion = \'9.00\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '760', 'g_MapGrade', 'hash', '%g_MapGrade = (\'PK\' => \'PK\', \'K\' => \'K\', \'1\'=>\'1\', \'2\'=>\'2\', \'3\'=>\'3\', \'4\'=>\'4\', \'5\'=>\'5\', \'6\'=>\'6\', \'7\'=>\'7\', \'8\'=>\'8\', \'9\'=>\'9\', \'10\'=>\'10\', \'11\'=>\'11\', \'12\'=>\'12\');', NULL, 'Maps grade values to possible Form values, etc. in British System schools or alternative schools systems' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '765', 'remoteuser', 'scalar', '$remoteuser = \'REMOTEUSER\';', '8.50', 'User access to remote server for previous year attendance and marks information' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '766', 'remotepassword', 'scalar', '$remotepassword = \'REMOTEPASSWORD\';', '8.50', 'Password for access to remote server for previous year attendance and marks information' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '767', 'remotehost', 'scalar', '$remotehost = \'192.168.1.237\';', '8.50', 'IP Address of remote server for previous year attendance and marks information' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'system', '780', 'g_FeederSchools', 'array', '@g_FeederSchools = ();', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1100', 'cgiurl', 'scalar', '$cgiurl = \'/cgi-bin\';', '5.25', 'The URL address for the scripts. This is also set in the Apache configuration for the script alias value. Leave it at \'/cgi-bin\'. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1105', 'tcgiurl', 'scalar', '$tcgiurl = \'/cgi-bin\';', '5.25', 'The URL for all teacher site scripts. This is also set in the Apache web server configuration value. Do not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1110', 'webdownloaddir', 'scalar', '$webdownloaddir = \'/download\';', '5.25', 'The URL location of the download directory for downloading PDF files, etc. Do Not change.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1115', 'tchwebdownloaddir', 'scalar', '$tchwebdownloaddir = \'/download\';', '5.25', 'The URL for file download on the teacher site. Again, leave at \'/download\', unless you are using a custom configuration of some sort.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1120', 'css', 'scalar', '$css = \'/admin.css\';', '5.25', 'The location of the CSS file. This is sent by the scripts as part of the page header.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1125', 'tchcss', 'scalar', '$tchcss = \'/tadmin.css\';', '5.25', 'The URL for the teacher CSS file.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1130', 'parcss', 'scalar', '$parcss = \'/padmin.css\';', '5.25', 'The URL of the parent site CSS file.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1135', 'picdirurl', 'scalar', '$picdirurl = \'/pic-big\';', '5.25', 'The URL for the full sized pictures (ie. more pixels) of students' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1140', 'tndirurl', 'scalar', '$tndirurl = \'/pic-sm\';', '5.25', 'The Thumbnail Directory URL (TN Dir Url). The location of the pictures of students in a smaller pixel format (ie. thumbnail) for fast loading/display.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1150', 'g_jquery_url', 'scalar', '$g_jquery_url = \'//ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js\';', '8.00', 'The URL of the jQuery Library' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('admin', 'url-other', '1155', 'g_jquery_ui_url', 'scalar', '$g_jquery_ui_url = \'//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js\';', '8.00', 'The URL of the jQuery UI Library. Loaded second' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'debitSign', 'scalar', '$debitSign = \'-\';', '5.25', 'Sign convention for debit values.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'padding_digits', 'scalar', '$padding_digits = 4;', '5.25', 'Number of digits to left pad record id\'s. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'profiles', 'hash', '%profiles = (\'Elementary\' => \'Grade: K 1 2 3 4 5 6\',\'High School\' => \'Grade: 10 11 12\',\'Middle Years\' => \'Grade: 7 8 9\');', '5.25', 'Grade Profiles' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'f_tax1', 'hash', '%f_tax1 = (\'rate\' => \'0.05\',\'pass\' => 1,\'account\' => \'\',\'name\' => \'GST\',\'description\' => \'Goods and Services Tax\');', '', 'Stores the characteristics of the first tax charged.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'f_tax2', 'hash', '%f_tax2 = (\'rate\' => \'0.05\',\'pass\' => 1,\'account\' => \'\',\'name\' => \'PST\',\'description\' => \'Provincial Sales Tax\');', '', 'Stores the characteristics of the second tax charged.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'f_tax3', 'hash', '%f_tax3 = (\'rate\' => \'0\',\'pass\' => 1,\'account\' => \'\',\'name\' => \'\',\'description\' => \'\');', '', 'Stores the characteristics of the third tax charged.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('fees', '', '0', 'f_tax4', 'hash', '%f_tax4 = (\'rate\' => \'0\',\'pass\' => 1,\'account\' => \'\',\'name\' => \'\',\'description\' => \'\');', '', 'Stores the characteristics of the fourth tax charged.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Certifier', '10', 'certifier_firstname', 'scalar', '$certifier_firstname = \'\';', '', 'First Name of Certifier' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Certifier', '15', 'certifier_lastname', 'scalar', '$certifier_lastname = \'\';', '', 'Last Name of Certifier' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Certifier', '20', 'certifier_title', 'scalar', '$certifier_title = \'Principal\';', '', 'Title of Certifier (ie. Principal, Vice-Principal)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '10', 'contact_firstname', 'scalar', '$contact_firstname = \'\';', '', 'First Name of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '12', 'contact_lastname', 'scalar', '$contact_lastname = \'\';', '', 'Last Name of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '15', 'contact_title', 'scalar', '$contact_title = \'Principal\';', '', 'Title of Contact (ie. Principal, Vice-Principal)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '20', 'contact_phone', 'scalar', '$contact_phone = \'\';', '', 'Phone of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '21', 'contact_phone_ext', 'scalar', '$contact_phone_ext = \'\';', '', 'Phone Extension of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '25', 'contact_email', 'scalar', '$contact_email = \'\';', '', 'Email of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '30', 'contact_address', 'scalar', '$contact_address = \'\';', '', 'Address of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '35', 'contact_city', 'scalar', '$contact_city = \'\';', '', 'City of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '40', 'contact_province', 'scalar', '$contact_province = \'\';', '', 'Province of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Contact', '45', 'contact_postalcode', 'scalar', '$contact_postalcode = \'\';', '', 'Postal Code of Contact' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'General', '10', 'region', 'scalar', '$region = \'6\';', '', 'AANDC Region of the School' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'General', '20', 'provincialcertification', 'scalar', '$provincialcertification = \'true\';', NULL, 'Provincial Certification (true or false (blank=false)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'General', '30', 'tuitionagreement', 'scalar', '$tuitionagreement = \'\';', NULL, 'Tuition Agreement (true/false (blank=false))' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '10', 'recipientnumber', 'scalar', '$recipientnumber = \'\';', '', 'AANDC Recipient Number' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '20', 'recipient_name', 'scalar', '$recipient_name = \'\';', NULL, 'Recipient Name' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '30', 'recipient_id', 'scalar', '$recipient_id = \'\';', NULL, 'Recipient ID (typically band number)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '40', 'recipient_type', 'scalar', '$recipient_type = \'01\';', NULL, 'Recipient Type' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '50', 'recipient_phone', 'scalar', '$recipient_phone = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '60', 'recipient_phone_ext', 'scalar', '$recipient_phone_ext = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '70', 'recipient_fax', 'scalar', '$recipient_fax = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '80', 'recipient_street', 'scalar', '$recipient_street = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '90', 'recipient_city', 'scalar', '$recipient_city = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '100', 'recipient_province', 'scalar', '$recipient_province = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'Recipient', '110', 'recipient_postalcode', 'scalar', '$recipient_postalcode = \'\';', '', '' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'School', '10', 'deliveryorg_name', 'scalar', '$deliveryorg_name = \'\';', NULL, 'Delivery Org Name' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'School', '20', 'deliveryorg_id', 'scalar', '$deliveryorg_id = \'\';', NULL, 'Delivery Org ID' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('first_nation', 'School', '30', 'deliveryorg_type', 'scalar', '$deliveryorg_type = \'24\';', NULL, 'Delivery Org Type' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('gbook', '', '0', 'altcolor', 'scalar', '$altcolor = \'#3B7\';', '5.25', 'Alternate color value to the green of teacher site, to stand out. Don\'t forget the # symbol.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('gbook', '', '0', 'defaultItemWeight', 'scalar', '$defaultItemWeight = 500;', '5.25', 'Default Item Weight for each assessment item. Do not alter this unless you have a very good idea of what you\'re doing.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('gbook', '', '0', 'specchar', 'scalar', '$specchar = \'*\';', '5.25', 'The character used for an assessment so that the value is ignored by the averaging process. This values means the test is ignored or \'excused\'.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('gbook', '', '0', 'useMultipliers', 'scalaronoff', '$useMultipliers = 1;', '5.25', 'Turn on the use of weight multipliers when adding items, rather than just raw weight values. Also used by weight adjustment of items.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('gbook', '', '0', 'wtmult', 'hash', '%wtmult = (\'6\' => \'1.5\',\'3\' => \'0.5\',\'7\' => \'2\',\'9\' => \'4\',\'2\' => \'0.33333\',\'8\' => \'3\',\'1\' => \'0.2\',\'4\' => \'0.66666\',\'0\' => \'0\',\'5\' => \'1\');', '5.25', 'Mapping function that maps arbitrary values (with 5 being \'normal\') to weight multipliers.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('image', '', '0', 'convertprog', 'scalar', '$convertprog = \'/usr/bin/convert\';', '5.25', 'The location of the ImageMagick convert program in the file system. Used to convert image sizes.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('image', '', '0', 'imageheight', 'scalar', '$imageheight = \'300\';', '5.25', 'The height uploaded student/staff images are converted to, in pixels (using the ImageMagick convert program)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('image', '', '0', 'maxbufcount', 'scalar', '$maxbufcount = 4096;', '5.25', 'The maximum size of uploaded image files (including zip files of images) in KBytes. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('image', '', '0', 'thumbheight', 'scalar', '$thumbheight = \'150\';', '5.25', 'The height of converted upload images in pixels. These are stored in the thumbnails folder (pic-sm).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'adminpassword', 'scalar', '$adminpassword = \'password\';', '5.25', 'Admin password to manage the LDAP server.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'adminuser', 'scalar', '$adminuser = \'cn=admin,dc=jp2,dc=loccsd,dc=ca\';', '5.25', 'Admin user to manage LDAP directory.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'basedn', 'scalar', '$basedn = \'dc=jp2,dc=loccsd,dc=ca\';', '5.25', 'Base Distinguished Name.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'group_staff', 'scalar', '$group_staff = \'staff\';', '5.25', 'The name of the staff group in the LDAP directory.  Matches the Staff GID, of course, on the user management server. (ie. NFS, Samba mounts, etc.)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'group_student', 'scalar', '$group_student = \'student\';', '5.25', 'The text name for the student group in the LDAP directory.  ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'ldap_staff_gidnumber', 'scalar', '$ldap_staff_gidnumber = 600;', '5.25', 'The gid (Group ID) number for the staff accounts on the server(s). ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'ldap_startinguidnumber', 'scalar', '$ldap_startinguidnumber = 10000;', '5.25', 'Starting values for UID (User Id) numbers for new LDAP accounts. Existing accounts may be lower and there may be new accounts already higher than this value. It might better be called a \'suggested starting point\' for adding new accounts. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'ldap_student_gidnumber', 'scalar', '$ldap_student_gidnumber = 500;', '5.25', 'The gid (Group ID) number for the student accounts on the server(s). ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'org', 'scalar', '$org = \'jp2.loccsd.ca\';', '5.25', 'Organization to use in the ldap directory.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'servername', 'scalar', '$servername = \'myserver.ca\';', '5.25', 'LDAP server to manage.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('ldap', '', '0', 'slappasswd', 'scalar', '$slappasswd = \'/usr/local/sbin/slappasswd\';', '5.25', 'Location of the slappasswd binary in the filesystem.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '100', 'r_CalcGPA', 'scalaronoff', '$r_CalcGPA = \'0\';', '4.75', 'On/Off type; Turns on the GPA (Grade Point Average) calculation.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '110', 'r_ClassAvg', 'scalaronoff', '$r_ClassAvg = \'0\';', '4.75', 'On/Off type. When turned on, it will calculate the class average for a subject and place the class average in the comment section.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '120', 'r_PrintYearEnd', 'scalaronoff', '$r_PrintYearEnd = 1;', '4.75', 'On/Off type. Whether to print a year end section for graduation' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '130', 'r_ShowAdmins', 'scalaronoff', '$r_ShowAdmins = \'0\';', '4.75', 'On/Off type. Turns on the principal/vice principal names at top of the report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '140', 'r_ShowDemerits', 'scalaronoff', '$r_ShowDemerits = \'0\';', '4.75', 'On/Off Type. Turns on demerits display function.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '150', 'r_ShowGradeCategory', 'scalaronoff', '$r_ShowGradeCategory = \'0\';', '4.75', 'On/Off type. Turns this function on or off. The Grade Category is another approach to ranking students. The function assigns a value based on their marks in various subjects.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '160', 'r_ShowGradeScheme', 'scalaronoff', '$r_ShowGradeScheme = \'1\';', '5.00', 'On/Off type. Turns on the evaluation scheme ( set in evalsch variable).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '170', 'r_ShowHomeroomTeacher', 'scalaronoff', '$r_ShowHomeroomTeacher = \'1\';', '4.75', 'On/Off type. Turns on the homeroom teacher printing at top of report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '180', 'r_ShowLogo', 'scalaronoff', '$r_ShowLogo = \'0\';', '4.75', 'On/Off type. Shows the logo at top of the report card, rather than just the school name.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '190', 'r_ShowProvNum', 'scalaronoff', '$r_ShowProvNum = \'1\';', '5.00', 'On/Off type. Show provincial/state number at the top of the report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '200', 'r_ShowRanking', 'scalaronoff', '$r_ShowRanking = 0;', '4.75', 'On/Off type. Shows the ranking of the student in the class.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '210', 'r_ShowSubjectAttendance', 'hash', '%r_ShowSubjectAttendance = (\'PK\' => 0, \'K\' => 0, 1 => 0, 2 =>0,3 =>0, 4=>0, 5=>0, 6=>0, 7=>0, 8=>0, 9=>1, 10=>1, 11=>1, 12=>1);', '5.75', 'Subject Attendance display control (On/Off 1/0) for each grade.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '220', 'r_ShowTermAverage', 'scalaronoff', '$r_ShowTermAverage = \'0\';', '4.75', 'On/Off type. Shows the term average for the student.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '230', 'r_SingleTermOnly', 'scalaronoff', '$r_SingleTermOnly = \'0\';', '', 'Sets if teacher can post from the gradebook to the current term only (when set to 1) or if teacher can choose term from drop-down (when set to 0)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '240', 'r_SkipBlankReportCard', 'scalaronoff', '$r_SkipBlankReportCard = \'0\';', '4.75', 'On/Off type.  If turned on, it will skip students that have no evaluations (i.e. students have just enrolled, etc)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '250', 'r_SupressSubject', 'hash', '%r_SupressSubject = (\'123\' => \'1\');', '5.00', 'Either subject codes (8412) or subject-section codes (8412-2) are checked against this list and will not show up on the report card. Additional Comments subjects (which are used to store the global, non-subject comments) should not be placed on this list, but are set separately (using r_AdditionalComments). Add values by putting the subject code or subject-section as the new key and a 1 as the new value.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '260', 'r_TeacherModeOverride', 'scalaronoff', '$r_TeacherModeOverride = 0;', '4.75', 'On/Off type. Teacher mode for the report card means it is called from the teacher site. This mode normally only allows the teacher to print his/her own students and subjects. By leaving this override on (ie. =1), the teacher site will print the report card exactly as on the main admin site.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '270', 'r_TermDisplay', 'hash', '%r_TermDisplay = (\'4\' => \'Term 4\',\'1\' => \'Term 1\',\'3\' => \'Term 3\',\'2\' => \'Term 2\');', '5.00', 'To be renamed to g_TermDisplay and moved to admin.conf. Maps the term number to descriptive text.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Config', '280', 'r_MarkEntryTerm', 'hash', '%r_MarkEntryTerm = (\'1\' => \'1\');', NULL, 'Controls the mark entry term for each of the tracks (blocks of grades).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '400', 'r_Eval', 'hashofarray', '%r_Eval = (\'c\' => [\'4: Exceeds expectations\',\'3: Fully meets expectations\',\'2: Meets expectations at beginning level\',\'1: Not yet within expectations\'],\'a\' => [\'E::Excellent\',\'G::Good\',\'S::Satisfactory\',\'NI::Needs Improvement\',\'AR::At Risk of Failure\'],\'b\' => [\'VG::Very Good\',\'G::Good\',\'I::Improving\',\'N::Needs More Practice\',\'NA::Not Applicable At This Time\']);', '5.00', 'All of the Evaluation/Assessment Keys - general values for all subjects. These are pointed to by the EvalSch variable that maps each grade to a particular assessment group.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '405', 'r_EvalSch', 'hash', '%r_EvalSch = (\'6\' => \'a\',\'11\' => \'a\',\'PK\' => \'b\',\'3\' => \'a\',\'7\' => \'a\',\'K\' => \'c\',\'9\' => \'a\',\'12\' => \'a\',\'2\' => \'a\',\'8\' => \'a\',\'4\' => \'a\',\'1\' => \'a\',\'10\' => \'a\',\'5\' => \'a\');', '5.00', 'A structure that maps the grades to a particular evaluation key found in the Eval variable.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '410', 'r_EvalAlt1', 'hashofarray', '%r_EvalAlt1 = (\'a\' => [\'4::Eagerly engages in activities. Encourages and supports peers  in learning. Fulfills requirements for task. Produces work of high quality.\',\'3::Willingly participates in activities. Completes tasks with care.  Fulfills most requirements for tasks. Produces work of satisfactory quality.\',\'2::Participates in activities with some encouragement. Completes most  tasks. Partially fulfills requirements. Produces work of marginal quality.\',\'1::Requires continual encouragement to participate in activites. Has  difficulty completing tasks. Seldom fulfills requirements. Work is often late, missing,  or sketchy\']);', '5.00', 'Alternate Evaluation Key (#1)' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '420', 'r_EvalAlt1Title', 'scalar', '$r_EvalAlt1Title = \'Effort\';', '5.00', 'Title of the alternate evaluation Key #1' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '440', 'r_EvalSchAlt1', 'hash', '%r_EvalSchAlt1 = (\'8\' => \'a\',\'6\' => \'a\',\'4\' => \'a\',\'1\' => \'a\',\'3\' => \'a\',\'7\' => \'a\',\'2\' => \'a\',\'5\' => \'a\');', '5.00', 'An Alternate mapping key between grade and evaluation key.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '450', 'r_PDEval', 'hashofarray', '%r_PDEval = (\'a\' => [\'I - Independent - Student is able to demonstrate appropriate social  and personal behaviours independently and consistently\',\'M - Meeting Success - Student demonstrates appropriate personal and  social behaviours in the school environment.\',\'P - Progressing with Support - Student is progressing towards an  awareness of appropriate personal and social behaviours in the school environment.  He/She often requires guidance.\',\'D - Experiencing Difficulty - Extensive guidance is required for student  to display appropriate personal and social behaviours in a school environment.\'],\'b\' => [\'O - Outstanding\',\'G - Good\',\'A - Acceptable\',\'NI - Needs Improvement\']);', '5.00', 'Holds the Personal Development evaluation key. The PDEvalGrp variable holds the \r\nkeys that map to a particular grade.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '460', 'r_PDEvalGrp', 'hash', '%r_PDEvalGrp = (\'6\' => \'a\',\'PK\' => \'c\',\'3\' => \'a\',\'K\' => \'c\',\'7\' => \'a\',\'2\' => \'a\',\'8\' => \'a\',\'1\' => \'a\',\'4\' => \'a\',\'5\' => \'a\');', '5.00', 'Maps the grade to a particular evaluation key for Personal Development subject.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '470', 'r_Personal_Growth', 'scalar', '$r_Personal_Growth = \'Personal and Social Development\';', '5.00', 'Name of the Personal Growth subject' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '480', 'r_AssessKeyCols', 'scalar', '$r_AssessKeyCols = \'3\';', '5.00', 'Number of columns used for the evaluation keys.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Eval Key', '490', 'r_AssessKeyWidth', 'scalar', '$r_AssessKeyWidth = \'140mm\';', '5.00', 'Width of the Evaluation Keys.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '680', 'r_CenterSubjects', 'scalaronoff', '$r_CenterSubjects = \'1\';', '5', 'On/Off type to center subject table on report card. Typically on.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '710', 'r_FontSize', 'scalar', '$r_FontSize = \'10pt\';', '5.00', 'Font Size, typically 10 or 11 points.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '720', 'r_GrayScale', 'scalar', '$r_GrayScale = \'0.90\';', '5.00', 'Darkness of the gray section of table headings, etc. Typically 0.90 to 0.92  Change this value depending on the output from your laser printer or digital photocopier, since this is variable.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '730', 'r_HOffset', 'scalar', '$r_HOffset = \'-8mm\';', '5.00', 'Horizontal offset for items on the page. It shifts things left and right.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '733', 'r_VOffset', 'scalar', '$r_VOffset = \'-15mm\';', '5.00', 'The vertical offset for page elements on the report card. Shifts everything up or down.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '740', 'r_LogoFile', 'scalar', '$r_LogoFile = \'schoollogo.jpg\';', '5.00', 'Name of the School Logo file' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '750', 'r_LogoWidth', 'scalar', '$r_LogoWidth = \'42mm\';', '5.00', 'Width of the School Logo' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '752', 'r_DivLogoFile', 'scalar', '$r_DivLogoFile = \'\';', '5.00', 'Name of the division logo file. Having a blank entry turns this off.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '754', 'r_DivLogoWidth', 'scalar', '$r_DivLogoWidth = \'18mm\';', '4.75', 'Width of the school division logo.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '770', 'r_SchoolAddressWidth', 'scalar', '$r_SchoolAddressWidth = \'70mm\';', '5.00', 'Width of the school address at the top of the report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '775', 'r_AddressSpacer', 'scalar', '$r_AddressSpacer = \'5mm\';', '4.75', 'Amount of vertical space below logos to help align the address vertically with the logos.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '780', 'r_SubjSpace', 'scalar', '$r_SubjSpace = \'80mm\';', '5.00', 'Width of the subject name cell in the marks table. Use only measurements in mm.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '783', 'r_MarkSpace', 'scalar', '$r_MarkSpace = \'15mm\';', '5.00', 'Width of the cell in the table used to show evaluation outcomes. Use only measurements in mm.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '790', 'r_TermDisplayLeading', 'scalaronoff', '$r_TermDisplayLeading = 1;', '4.75', 'On/Off type. Controls whether later starting subjects display back to start term with blanks.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Layout', '800', 'r_TermDisplayTrailing', 'scalaronoff', '$r_TermDisplayTrailing = 1;', '4.75', 'On/Off type. Allows completed subjects to extend to current term with blanks.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Notes', '900', 'r_Note1', 'scalar', '$r_Note1 = \'\';', '4.75', 'A note that is displayed near top of the report card, just below student name section.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Notes', '910', 'r_Note2', 'scalar', '$r_Note2 = \'\';', '4.75', 'A note that is displayed near top of the report card, just below student name section.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Notes', '920', 'r_Note3', 'scalar', '$r_Note3 = \'\';', NULL, 'Note 3 is located at bottom of report card, below global comment (additional comment), but above tear off line for parents.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Notes', '930', 'r_Note4', 'scalar', '$r_Note4 = \'\';', NULL, 'Note 4 is located at bottom of report card below tear off line for parents (or placement text at year end).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Picture', '1000', 'r_ShowStudentPicture', 'scalaronoff', '$r_ShowStudentPicture = \'1\';', '5.25', 'On/Off type. Turn on Student Pictures to show on the report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Picture', '1010', 'r_StudentPictureWidth', 'scalar', '$r_StudentPictureWidth = \'25mm\';', '5.25', 'Sets the width of a student picture, when student pictures are turned on with the ShowStudentPicture setting.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Placement', '1100', 'r_FinalTerm', 'hash', '%r_FinalTerm = (1 => 3, 2 => 3, 3 => 3, 4 => 3, 5 => 3, 6 => 3, 7 => 3, 8 => 3, 9 => undef, 10 => undef, 11 => undef, 12 => undef);', '5.00', 'The final term for each grade in the school. Used to trigger the printing of the graduation section feature, if turned on. We map the grade to a particular final term. If undefined for that grade, the feature is not used.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Placement', '1110', 'r_PlacementIndex', 'hash', '%r_PlacementIndex = (\'PK\' => \'a\',\'K\' => \'a\',\'1\' => \'a\',\'2\' => \'a\',\'3\' => \'a\',\'4\' => \'a\',\'5\' => \'a\',\'6\' => \'a\',\'7\' => \'a\',\'8\' => \'a\',\'9\' => \'a\',\'10\' => \'a\',\'11\' => \'a\',\'12\' => \'a\');', '5.00', 'This value controls which Placment text (r_PlacementTeX value) is used based on their grade. ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Placement', '1120', 'r_PlacementTex', 'hash', '%r_PlacementTex = (\'a\' => \'\\\\begin{tabular}{c}{\\\\sf YOURSCHOOL School}\\\\\\\\ {\\\\LARGE\\\\sf Student Placement}\\\\\\\\ {\\\\bf\\\\it\\\\Large %studentname% }\\\\\\\\ will be placed in Grade \\\\underline{\\\\hspace{13mm}} at the beginning  of the next school year.\\\\\\\\ \\\\medskip\\\\\\\\ \\\\underline{\\\\hspace{61mm}} \\\\hfill \\\\underline{\\\\hspace{61mm}}\\\\\\\\ {\\\\small Principal} \\\\hfill {\\\\small Teacher}\\\\\\\\ {\\\\large\\\\sf June 30, %schoolyearend%} \\\\end{tabular};\');', '5.00', 'The TeX markup for the placement section of the student in the next school year.\r\nIt is printed at year end and controlled by the FinalTerm value.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Section Control', '1200', 'r_NewPageBeforeAttendance', 'scalaronoff', '$r_NewPageBeforeAttendance = 1;', '4.75', 'On/Off type to turn on a hard page break before the attendance page.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Section Control', '1210', 'r_ShowAdditionalComments', 'scalaronoff', '$r_ShowAdditionalComments = 1;', '4.75', 'On/Off type. Turns on ability to show additional comments section (the generalized comment section of report card below attendance).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Section Control', '1220', 'r_ShowMonthlyAttendance', 'hash', '$r_ShowMonthlyAttendance = 4;', '4.75', 'Show the attendance section (by month). The value here (1-4) controls where it prints on the report card. 1=top, 2=below keys, 3=below subjects, 4=below additional comments. There is also a separate feature to show subject attendance. (showSubjectAttendance). A value of 0 will not display any monthly attendance at all.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Section Control', '1230', 'r_ShowTearoff', 'scalaronoff', '$r_ShowTearoff = \'1\';', '5.00', 'On/Off type. Turns on showing the tearoff section of the report card.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1500', 'r_AdditionalComments', 'hash', '%r_AdditionalComments = (\'1234\'=>1,\'1234-2\'=> 1);', '5.00', 'Subject codes and/or subject-section values for the additional comments subjects used for global comments. The \'marks\' in these subjects are ignored. It is a hash value so several values can be used, if required. The best approach is to use a common subject code for all of these \'subjects\', and just change the section value for different grades.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1510', 'r_AverageWeight', 'hashofarray', '%r_AverageWeight = (\'1-2\' => [\'0.4\',\'0.6\']);', '4.75', 'When using the calcAverage function to come up with an average value from all terms, the values here are used to weight the term marks to come up with the weighted average for the student to date.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1512', 'r_AveragePrecision', 'scalar', '$r_AveragePrecision = \'2\';', NULL, 'Controls the number of decimal places displayed in average.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1530', 'r_GCDisplay', 'hash', '%r_GCDisplay = (\'4\' => \'P\',\'1\' => \'I\',\'3\' => \'III\',\'2\' => \'II\',\'5\' => \'U\');', '4.75', 'Grade Category Display hash. It maps a particular returned valued from the calcGradeCategory function into a particular display value on the report card. The function would have to be customized to return values described in policy.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1540', 'r_LateAbsentRatio', 'scalar', '$r_LateAbsentRatio = 3;', '4.75', 'For subject attendance this value will convert lates into absences. Typically 3 lates = 1 absent.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1550', 'r_MarkField', 'scalar', '$r_MarkField = \'a1\';', '5.00', 'Field used to store a numeric value. Typically \'a1\' but could go from a2 to a20.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1570', 'r_Position', 'scalar', '$r_Position = \'Classroom Teacher\';', '5.00', 'Name of the Position that marks a staff member as a homeroom teacher. (ie. teaches most of the subjects to that one group of students; typical in the lower grade levels). ' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1580', 'r_Principal', 'scalar', '$r_Principal = \'Principal\';', '4.75', 'Name of the principal. His/Her name at top of report card, if the feature turned on.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1583', 'r_VicePrincipal', 'scalar', '$r_VicePrincipal = \'Vice-principal\';', '4.75', 'Description of the Vice Principal at top of the report card' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1590', 'r_PrintParentSig', 'scalaronoff', '$r_PrintParentSig = 1;', '4.75', 'On/Off type to show parent signature section with tear off.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('repcard', 'Setting', '1600', 'r_TeacherSign', 'scalar', '$r_TeacherSign = \'teacher\';', '5.00', 'Selects kind of signing method: teacher, principal, or both, called \'combo\'. Only one of those 3 values can be used: teacher, principal, or combo.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('schedule', 'time', '10', 'ptime', 'array', '@ptime = (\'\',\'9:05-9:55\',\'10:00-10:50\',\'10:55-11:45\',\'12:35-1:25\',\'1:30-2:20\',\'2:25-3:15\');', '5.25', 'The period intervals during the day. Start Time and End Time. It is 1 based (no zeroth period). Leave the first element blank.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '10', 'creditValues', 'array', '@creditValues = (\'1\',\'0.5\',\'0.3333\',\'0.25\',\'0.125\');', '5.25', 'The various values that a course can have for credit. These are fractional values with sufficient precision  ( 1/2, 1/3, 1/4, 1/8 )' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '20', 'failletter', 'scalar', '$failletter = \'F\';', '5.25', 'Character indicating a failed class (on a Pass/Fail basis).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '30', 'gradRequirements', 'hash', '%gradRequirements = (\'English\' => \'4\',\'Bible\' => \'2\',\'Math\' => \'3\',\'Science\' => \'3\',\'Social Studies\' => \'3.5\',\'Worldview\' => \'1\',\'Phys Ed\' => \'0.5\',\'Logic\' => \'1\',\'Languages\' => \'2\',\'Fine Arts\' => \'1\');', '5.25', 'Graduation Requirements. These would be the credits required in each of the subject areas. Each course has a subject area setting that would match these key values.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '40', 'letterToQual', 'hash', '%letterToQual = (\'F\' => \'0\',\'A\' => \'4.00\',\'B-\' => \'2.67\',\'A-\' => \'3.67\',\'D+\' => \'1.33\',\'B\' => \'3\',\'B+\' => \'3.33\',\'C+\' => \'2.33\',\'D\' => \'1\',\'C\' => \'2\',\'D-\' => \'0.67\',\'C-\' => \'1.67\',\'A+\' => \'4.00\');', '5.25', 'This is part of the GPA (Grade Point Average) calculation that converts a letter grade back into a numeric value. There should be little need to change this.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '50', 'markToLetter', 'hash', '%markToLetter = (\'59.9\' => \'D-\',\'79.5\' => \'B-\',\'72.5\' => \'C\',\'62.5\' => \'D\',\'69.5\' => \'C-\',\'82.5\' => \'B\',\'77.5\' => \'C+\',\'97.5\' => \'A+\',\'0\' => \'F\',\'67.5\' => \'D+\',\'92.5\' => \'A\',\'87.5\' => \'B+\',\'89.5\' => \'A-\');', '5.25', 'This is used to convert a numeric grade value into a letter grade value in the transcript system.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '60', 'passletter', 'scalar', '$passletter = \'P\';', '5.25', 'Letter indicating a passed class (on a Pass/Fail basis).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '70', 'section1', 'scalar', '$section1 = \'Honours classes receive extra +0.5 grade point.\n\nAP classes receive +1.0 extra grade point\n\n\';', '5.25', 'Section 1 description for use on the transcript(report).' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '80', 'term_desc', 'hash', '%term_desc = (\'c\' => \'Undefined\',\'a\' => \'Fall Semester\',\'b\' => \'Spring Semester\');', '5.25', 'Term Text Description - soon to be duplicated in admin.conf' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '90', 'term_key', 'hash', '%term_key = (\'6\' => \'c\',\'3\' => \'b\',\'7\' => \'c\',\'2\' => \'a\',\'8\' => \'c\',\'1\' => \'a\',\'4\' => \'b\',\'5\' => \'c\');', '5.25', 'Term Keys that map grade level to a particular group of term descriptions.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '100', 't_TruncateSection', 'scalaronoff', '$t_TruncateSection = \'1\';', '5.25', 'On/Off type. Whether to truncate section text or not. (1=On, 0=Off). Only used by the transcript report.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('transcript', 'conf', '110', 't_ShowMark', 'scalaronoff', '$t_ShowMark = \'1\';', '4.00', 'Show mark (number grade) on transcripts, rather than letter grade.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('usermanage', 'google', '10', 'google_domain', 'scalar', '$google_domain = \'DOMAIN\';', '5.25', 'Google Domain to manage.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('usermanage', 'google', '20', 'google_username', 'scalar', '$google_username = \'admin\';', '5.25', 'Google Domain admin user.' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('usermanage', 'google', '30', 'google_password', 'scalar', '$google_password = \'PASSWORD\';', '5.25', 'Google Domain Password' ); 
insert into conf_system (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description )
 values('usermanage', 'google', '40', 'gradeskip', 'array', '@gradeskip = (\'PK\', \'K\', \'1\', \'2\');', '5.25', 'Grades NOT to add accounts for in Google Apps.' ); 
