-- MySQL dump 10.15  Distrib 10.0.30-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: mosquito
-- ------------------------------------------------------
-- Server version	10.0.30-MariaDB-0+deb8u2

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `announce`
--

DROP TABLE IF EXISTS `announce`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `announce` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adatetime` datetime DEFAULT NULL,
  `adesc` text,
  `atopic` varchar(255) DEFAULT NULL,
  `adate` date DEFAULT NULL,
  `topstay` char(1) DEFAULT NULL,
  `atype` varchar(16) DEFAULT NULL,
  `author` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=84 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `attend`
--

DROP TABLE IF EXISTS `attend`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `attend` (
  `attid` int(11) NOT NULL AUTO_INCREMENT,
  `studentid` int(11) DEFAULT NULL,
  `absdate` date DEFAULT NULL,
  `reason` char(60) DEFAULT NULL,
  `period` char(6) DEFAULT NULL,
  `subjsec` char(32) DEFAULT NULL,
  `late` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`attid`),
  KEY `attend_absdate` (`absdate`),
  KEY `attend_studentid` (`studentid`),
  KEY `attend_subjsec` (`subjsec`)
) ENGINE=MyISAM AUTO_INCREMENT=62493 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `audit`
--

DROP TABLE IF EXISTS `audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `audit` (
  `audid` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `ipaddr` varchar(20) DEFAULT NULL,
  `scriptname` varchar(64) DEFAULT NULL,
  `tablename` varchar(64) DEFAULT NULL,
  `tableid` int(11) DEFAULT NULL,
  `startval` text,
  `endval` text,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`audid`)
) ENGINE=MyISAM AUTO_INCREMENT=370 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `book_copy`
--

DROP TABLE IF EXISTS `book_copy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `book_copy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `titleid` int(11) DEFAULT NULL,
  `barcode` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `book_signout`
--

DROP TABLE IF EXISTS `book_signout`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `book_signout` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `copyid` int(11) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `signout` date DEFAULT NULL,
  `returndate` date DEFAULT NULL,
  `start_condition` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `book_title`
--

DROP TABLE IF EXISTS `book_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `book_title` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(64) DEFAULT NULL,
  `title` varchar(64) DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL,
  `pubdate` varchar(12) DEFAULT NULL,
  `cost` decimal(4,2) DEFAULT NULL,
  `barcode` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `conf_system`
--

DROP TABLE IF EXISTS `conf_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `conf_system` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(64) DEFAULT NULL,
  `sectionname` varchar(64) DEFAULT NULL,
  `sequenceval` int(11) DEFAULT NULL,
  `dataname` varchar(64) DEFAULT NULL,
  `datatype` varchar(32) DEFAULT NULL,
  `datavalue` text,
  `hashvar` varchar(64) DEFAULT NULL,
  `version` varchar(16) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=324 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `contactlog`
--

DROP TABLE IF EXISTS `contactlog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contactlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `cdate` date DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `description` text,
  `author` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cree_scores`
--

DROP TABLE IF EXISTS `cree_scores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cree_scores` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `treatynum` varchar(16) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tage` varchar(16) DEFAULT NULL,
  `tstamp` datetime DEFAULT NULL,
  `prepost` varchar(16) DEFAULT NULL,
  `scoremonth` smallint(6) DEFAULT NULL,
  `score` smallint(6) DEFAULT NULL,
  `schoolyear` char(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=589 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dates`
--

DROP TABLE IF EXISTS `dates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `type` varchar(60) DEFAULT NULL,
  `desc1` varchar(60) DEFAULT NULL,
  `desc2` varchar(60) DEFAULT NULL,
  `dayincycle` char(1) DEFAULT NULL,
  `dayfraction` decimal(4,3) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=634 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dates_nonschool`
--

DROP TABLE IF EXISTS `dates_nonschool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dates_nonschool` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `period` tinyint(4) DEFAULT NULL,
  `homeroom` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=125 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dbkactivity`
--

DROP TABLE IF EXISTS `dbkactivity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dbkactivity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(32) DEFAULT NULL,
  `title` varchar(32) DEFAULT NULL,
  `description` text,
  `startterm` tinyint(3) unsigned DEFAULT NULL,
  `endterm` tinyint(3) unsigned DEFAULT NULL,
  `acttype` varchar(32) DEFAULT NULL,
  `subjsec` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dbkdata`
--

DROP TABLE IF EXISTS `dbkdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dbkdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `subjsec` varchar(32) DEFAULT NULL,
  `period` smallint(6) DEFAULT NULL,
  `topic` varchar(255) DEFAULT NULL,
  `notes` text,
  `homework` varchar(255) DEFAULT NULL,
  `hwdate` date DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dbktimetable`
--

DROP TABLE IF EXISTS `dbktimetable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dbktimetable` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `term` tinyint(3) unsigned DEFAULT NULL,
  `day` tinyint(3) unsigned DEFAULT NULL,
  `period` tinyint(3) unsigned DEFAULT NULL,
  `courseact` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `disc_action`
--

DROP TABLE IF EXISTS `disc_action`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disc_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `eventid` int(11) DEFAULT NULL,
  `action` text,
  `date` date DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `disc_event`
--

DROP TABLE IF EXISTS `disc_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disc_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `location` varchar(255) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `time` time DEFAULT NULL,
  `author` varchar(40) DEFAULT NULL,
  `infraction` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `disc_ident`
--

DROP TABLE IF EXISTS `disc_ident`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disc_ident` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `eventid` int(11) DEFAULT NULL,
  `private` char(1) DEFAULT NULL,
  `demerit` tinyint(3) unsigned DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `discipline`
--

DROP TABLE IF EXISTS `discipline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `discipline` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `userid` varchar(60) DEFAULT NULL,
  `infraction` varchar(255) DEFAULT NULL,
  `description` text,
  `action` text,
  `ifrepeat` text,
  `parent` varchar(60) DEFAULT NULL,
  `author` varchar(60) DEFAULT NULL,
  `private` char(1) DEFAULT NULL,
  `demerit` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `eval`
--

DROP TABLE IF EXISTS `eval`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `eval` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjcode` varchar(32) DEFAULT NULL,
  `studnum` varchar(32) DEFAULT NULL,
  `teacher` varchar(32) DEFAULT NULL,
  `term` int(11) DEFAULT NULL,
  `program` varchar(255) DEFAULT NULL,
  `comment` text,
  `a1` varchar(12) DEFAULT NULL,
  `a2` varchar(12) DEFAULT NULL,
  `a3` varchar(12) DEFAULT NULL,
  `a4` varchar(12) DEFAULT NULL,
  `a5` varchar(12) DEFAULT NULL,
  `a6` varchar(12) DEFAULT NULL,
  `a7` varchar(12) DEFAULT NULL,
  `a8` varchar(12) DEFAULT NULL,
  `a9` varchar(12) DEFAULT NULL,
  `a10` varchar(12) DEFAULT NULL,
  `a11` varchar(12) DEFAULT NULL,
  `a12` varchar(12) DEFAULT NULL,
  `a13` varchar(12) DEFAULT NULL,
  `a14` varchar(12) DEFAULT NULL,
  `a15` varchar(12) DEFAULT NULL,
  `a16` varchar(12) DEFAULT NULL,
  `a17` varchar(12) DEFAULT NULL,
  `a18` varchar(12) DEFAULT NULL,
  `a19` varchar(12) DEFAULT NULL,
  `a20` varchar(12) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `eval_subjcode` (`subjcode`),
  KEY `eval_studnum` (`studnum`)
) ENGINE=MyISAM AUTO_INCREMENT=44600 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ext_moodle`
--

DROP TABLE IF EXISTS `ext_moodle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ext_moodle` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjsec` varchar(32) DEFAULT NULL,
  `subjcode` varchar(32) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `role` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=14482 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `eyedata`
--

DROP TABLE IF EXISTS `eyedata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `eyedata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `season` varchar(16) DEFAULT NULL,
  `evaltype` varchar(4) DEFAULT NULL,
  `prepost` varchar(16) DEFAULT NULL,
  `score_ase` varchar(8) DEFAULT NULL,
  `score_soc` varchar(8) DEFAULT NULL,
  `score_cog` varchar(8) DEFAULT NULL,
  `score_lang` varchar(8) DEFAULT NULL,
  `score_pdgross` varchar(8) DEFAULT NULL,
  `score_pdfine` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=230 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fees_jrl`
--

DROP TABLE IF EXISTS `fees_jrl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fees_jrl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `trans_date` date DEFAULT NULL,
  `trans_type` varchar(8) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `subtotal` decimal(10,2) DEFAULT NULL,
  `tax1` decimal(10,2) DEFAULT NULL,
  `tax1_name` varchar(16) DEFAULT NULL,
  `tax2` decimal(10,2) DEFAULT NULL,
  `tax2_name` varchar(16) DEFAULT NULL,
  `tax3` decimal(10,2) DEFAULT NULL,
  `tax3_name` varchar(16) DEFAULT NULL,
  `tax4` decimal(10,2) DEFAULT NULL,
  `tax4_name` varchar(16) DEFAULT NULL,
  `total` decimal(10,2) DEFAULT NULL,
  `paid_id` int(11) DEFAULT NULL,
  `receipt` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fees_predefined`
--

DROP TABLE IF EXISTS `fees_predefined`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fees_predefined` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(16) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `discount` double DEFAULT NULL,
  `tax1_flag` char(1) DEFAULT NULL,
  `tax2_flag` char(1) DEFAULT NULL,
  `tax3_flag` char(1) DEFAULT NULL,
  `tax4_flag` char(1) DEFAULT NULL,
  `group_name` varchar(32) DEFAULT NULL,
  `group_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `gbscore`
--

DROP TABLE IF EXISTS `gbscore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gbscore` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `studnum` mediumint(8) unsigned DEFAULT NULL,
  `testid` int(10) unsigned DEFAULT NULL,
  `score` varchar(16) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `studtestidx` (`studnum`,`testid`)
) ENGINE=MyISAM AUTO_INCREMENT=55 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `gbtest`
--

DROP TABLE IF EXISTS `gbtest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gbtest` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `subjsec` varchar(32) DEFAULT NULL,
  `name` varchar(32) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `score` varchar(8) DEFAULT NULL,
  `scheme` varchar(8) DEFAULT NULL,
  `weight` mediumint(8) unsigned DEFAULT NULL,
  `grp` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `homevisit`
--

DROP TABLE IF EXISTS `homevisit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `homevisit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author` varchar(64) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `iep_eval`
--

DROP TABLE IF EXISTS `iep_eval`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iep_eval` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `subnum` int(11) DEFAULT NULL,
  `obj1` varchar(255) DEFAULT NULL,
  `obj2` varchar(255) DEFAULT NULL,
  `obj3` varchar(255) DEFAULT NULL,
  `obj4` varchar(255) DEFAULT NULL,
  `obj5` varchar(255) DEFAULT NULL,
  `obj6` varchar(255) DEFAULT NULL,
  `obj7` varchar(255) DEFAULT NULL,
  `obj8` varchar(255) DEFAULT NULL,
  `obj9` varchar(255) DEFAULT NULL,
  `obj10` varchar(255) DEFAULT NULL,
  `obj11` varchar(255) DEFAULT NULL,
  `obj12` varchar(255) DEFAULT NULL,
  `obj13` varchar(255) DEFAULT NULL,
  `obj14` varchar(255) DEFAULT NULL,
  `obj15` varchar(255) DEFAULT NULL,
  `obj16` varchar(255) DEFAULT NULL,
  `obj17` varchar(255) DEFAULT NULL,
  `obj18` varchar(255) DEFAULT NULL,
  `obj19` varchar(255) DEFAULT NULL,
  `obj20` varchar(255) DEFAULT NULL,
  `obj21` varchar(255) DEFAULT NULL,
  `obj22` varchar(255) DEFAULT NULL,
  `obj23` varchar(255) DEFAULT NULL,
  `obj24` varchar(255) DEFAULT NULL,
  `obj25` varchar(255) DEFAULT NULL,
  `obj26` varchar(255) DEFAULT NULL,
  `obj27` varchar(255) DEFAULT NULL,
  `obj28` varchar(255) DEFAULT NULL,
  `obj29` varchar(255) DEFAULT NULL,
  `obj30` varchar(255) DEFAULT NULL,
  `obj31` varchar(255) DEFAULT NULL,
  `obj32` varchar(255) DEFAULT NULL,
  `term` int(11) DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `iep_evalmst`
--

DROP TABLE IF EXISTS `iep_evalmst`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iep_evalmst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `subnum` int(11) DEFAULT NULL,
  `obj1` text,
  `obj2` text,
  `obj3` text,
  `obj4` text,
  `obj5` text,
  `obj6` text,
  `obj7` text,
  `obj8` text,
  `obj9` text,
  `obj10` text,
  `obj11` text,
  `obj12` text,
  `obj13` text,
  `obj14` text,
  `obj15` text,
  `obj16` text,
  `obj17` text,
  `obj18` text,
  `obj19` text,
  `obj20` text,
  `obj21` text,
  `obj22` text,
  `obj23` text,
  `obj24` text,
  `obj25` text,
  `obj26` text,
  `obj27` text,
  `obj28` text,
  `obj29` text,
  `obj30` text,
  `obj31` text,
  `obj32` text,
  `strategy` text,
  `responsible` text,
  `longtermobjective` text,
  `impactarea` text,
  `targetskill` text,
  `currperform` text,
  `evalmethod` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=107 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `iep_objectives`
--

DROP TABLE IF EXISTS `iep_objectives`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iep_objectives` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catnum` int(11) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `idnum` int(11) DEFAULT NULL,
  `description` text,
  `author` varchar(40) DEFAULT NULL,
  `cdate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3033 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `iep_student`
--

DROP TABLE IF EXISTS `iep_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iep_student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  `desdate` date DEFAULT NULL,
  `ddpflvl` varchar(12) DEFAULT NULL,
  `designation` varchar(60) DEFAULT NULL,
  `grade` varchar(6) DEFAULT NULL,
  `school` varchar(60) DEFAULT NULL,
  `sex` char(1) DEFAULT NULL,
  `medical` text,
  `medication` text,
  `equip` text,
  `adapt` text,
  `history` text,
  `strengths` text,
  `challenges` text,
  `assessments` text,
  `additional` text,
  `schoolyear` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `iep_team`
--

DROP TABLE IF EXISTS `iep_team`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iep_team` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `userid` char(128) DEFAULT NULL,
  `jobtitle` char(40) DEFAULT NULL,
  `phone` char(20) DEFAULT NULL,
  `email` char(40) DEFAULT NULL,
  `sign` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `infraction`
--

DROP TABLE IF EXISTS `infraction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `infraction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(60) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lint_program`
--

DROP TABLE IF EXISTS `lint_program`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lint_program` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `groupdesc` varchar(40) DEFAULT NULL,
  `startdate` date DEFAULT NULL,
  `enddate` date DEFAULT NULL,
  `programhours` varchar(16) DEFAULT NULL,
  `periodlength` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lint_student`
--

DROP TABLE IF EXISTS `lint_student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lint_student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `progid` int(11) DEFAULT NULL,
  `startdate` date DEFAULT NULL,
  `enddate` date DEFAULT NULL,
  `programhours` varchar(16) DEFAULT NULL,
  `comment` text,
  `author` varchar(40) DEFAULT NULL,
  `attendance` varchar(4) DEFAULT NULL,
  `initialkit` varchar(32) DEFAULT NULL,
  `initiallesson` varchar(8) DEFAULT NULL,
  `withdrawtype` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=193 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lok_link`
--

DROP TABLE IF EXISTS `lok_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lok_link` (
  `locker_num` varchar(8) NOT NULL DEFAULT '',
  `lock_num` varchar(12) NOT NULL DEFAULT '',
  PRIMARY KEY (`locker_num`,`lock_num`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lok_lock`
--

DROP TABLE IF EXISTS `lok_lock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lok_lock` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lock_num` varchar(12) NOT NULL DEFAULT '',
  `combination` varchar(12) NOT NULL DEFAULT '',
  `pool` varchar(12) NOT NULL DEFAULT '',
  `comment` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `lock_num` (`lock_num`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lok_locker`
--

DROP TABLE IF EXISTS `lok_locker`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lok_locker` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `locker_num` varchar(8) NOT NULL DEFAULT '',
  `cleaned` tinyint(1) DEFAULT NULL,
  `location` varchar(64) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `locker_num` (`locker_num`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lok_rlink`
--

DROP TABLE IF EXISTS `lok_rlink`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lok_rlink` (
  `locker_num` varchar(8) NOT NULL DEFAULT '',
  `studnum` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`locker_num`,`studnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `math_fstep`
--

DROP TABLE IF EXISTS `math_fstep`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `math_fstep` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `treatynum` varchar(16) DEFAULT NULL,
  `tphase` varchar(32) DEFAULT NULL,
  `tseason` varchar(32) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tage` varchar(16) DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=468 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mathca_outcomes`
--

DROP TABLE IF EXISTS `mathca_outcomes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mathca_outcomes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oid` varchar(8) DEFAULT NULL,
  `odesc` varchar(255) DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=293 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mathca_scores`
--

DROP TABLE IF EXISTS `mathca_scores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mathca_scores` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `treatynum` varchar(16) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tage` varchar(16) DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `prepost` varchar(16) DEFAULT NULL,
  `outcome` varchar(16) DEFAULT NULL,
  `score` smallint(6) DEFAULT NULL,
  `schoolyear` char(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5796 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `meta`
--

DROP TABLE IF EXISTS `meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dbaseid` varchar(64) DEFAULT NULL,
  `tableid` varchar(64) DEFAULT NULL,
  `fieldid` varchar(64) DEFAULT NULL,
  `datatype` varchar(16) DEFAULT NULL,
  `arrayidx` smallint(5) unsigned DEFAULT NULL,
  `size` smallint(5) unsigned DEFAULT NULL,
  `fieldname` varchar(255) DEFAULT NULL,
  `defaultvalue` text,
  `formtype` varchar(255) DEFAULT NULL,
  `viewsize` varchar(255) DEFAULT NULL,
  `required` char(1) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=652 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `oaupdate`
--

DROP TABLE IF EXISTS `oaupdate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `oaupdate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(127) DEFAULT NULL,
  `description` text,
  `date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=72 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `period_data`
--

DROP TABLE IF EXISTS `period_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `period_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timeset` smallint(5) unsigned DEFAULT NULL,
  `period` tinyint(3) unsigned DEFAULT NULL,
  `starttime` time DEFAULT NULL,
  `endtime` time DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `period_map`
--

DROP TABLE IF EXISTS `period_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `period_map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timeset` smallint(5) unsigned DEFAULT NULL,
  `timetype` varchar(32) DEFAULT NULL,
  `timeval` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `plan_homework`
--

DROP TABLE IF EXISTS `plan_homework`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plan_homework` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjsec` varchar(32) DEFAULT NULL,
  `teacher` varchar(40) DEFAULT NULL,
  `duedatetime` datetime DEFAULT NULL,
  `currentdatetime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `topic` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ppvt_test`
--

DROP TABLE IF EXISTS `ppvt_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ppvt_test` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `rawscore` smallint(6) DEFAULT NULL,
  `stdscore` smallint(6) DEFAULT NULL,
  `confsetting` smallint(6) DEFAULT NULL,
  `confstart` smallint(6) DEFAULT NULL,
  `confend` smallint(6) DEFAULT NULL,
  `percentile` smallint(6) DEFAULT NULL,
  `normalce` smallint(6) DEFAULT NULL,
  `stanine` smallint(6) DEFAULT NULL,
  `growthsv` smallint(6) DEFAULT NULL,
  `equivage` varchar(10) DEFAULT NULL,
  `equivgrade` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `prereg`
--

DROP TABLE IF EXISTS `prereg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prereg` (
  `studid` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `initial` varchar(40) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  `homeroom` varchar(8) DEFAULT NULL,
  `sex` char(1) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `house` varchar(20) DEFAULT NULL,
  `healthid` varchar(12) DEFAULT NULL,
  `entry` varchar(255) DEFAULT NULL,
  `ethnic` varchar(20) DEFAULT NULL,
  `single` char(1) DEFAULT NULL,
  `internet` char(1) DEFAULT NULL,
  `youngest` char(1) DEFAULT NULL,
  `owing` decimal(9,2) DEFAULT NULL,
  `treaty` varchar(20) DEFAULT NULL,
  `medical` mediumtext,
  `studrel` varchar(25) DEFAULT NULL,
  `momrel` varchar(25) DEFAULT NULL,
  `dadrel` varchar(25) DEFAULT NULL,
  `parish` varchar(255) DEFAULT NULL,
  `commun` char(1) DEFAULT NULL,
  `recon` char(1) DEFAULT NULL,
  `confirm` char(1) DEFAULT NULL,
  `maiden` varchar(40) DEFAULT NULL,
  `relation1` varchar(20) DEFAULT NULL,
  `contact1` varchar(255) DEFAULT NULL,
  `name1` varchar(255) DEFAULT NULL,
  `hphone1` varchar(64) DEFAULT NULL,
  `wphone1` varchar(64) DEFAULT NULL,
  `cell1` varchar(64) DEFAULT NULL,
  `fax1` varchar(64) DEFAULT NULL,
  `address1` varchar(40) DEFAULT NULL,
  `city1` varchar(40) DEFAULT NULL,
  `pcode1` varchar(10) DEFAULT NULL,
  `workplace1` varchar(60) DEFAULT NULL,
  `relation2` varchar(20) DEFAULT NULL,
  `contact2` varchar(255) DEFAULT NULL,
  `name2` varchar(255) DEFAULT NULL,
  `hphone2` varchar(64) DEFAULT NULL,
  `wphone2` varchar(64) DEFAULT NULL,
  `cell2` varchar(64) DEFAULT NULL,
  `fax2` varchar(64) DEFAULT NULL,
  `address2` varchar(40) DEFAULT NULL,
  `city2` varchar(40) DEFAULT NULL,
  `pcode2` varchar(10) DEFAULT NULL,
  `workplace2` varchar(60) DEFAULT NULL,
  `emrelation` varchar(20) DEFAULT NULL,
  `emname` varchar(255) DEFAULT NULL,
  `emhphone` varchar(64) DEFAULT NULL,
  `emwphone` varchar(64) DEFAULT NULL,
  `emcell` varchar(64) DEFAULT NULL,
  `doctor` varchar(70) DEFAULT NULL,
  `docphone` varchar(15) DEFAULT NULL,
  `busroute` varchar(30) DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  `band` varchar(64) DEFAULT NULL,
  `bandnum` varchar(32) DEFAULT NULL,
  `baptism` char(1) DEFAULT NULL,
  `contact` varchar(255) DEFAULT NULL,
  `family` varchar(32) DEFAULT NULL,
  `alias` varchar(16) DEFAULT NULL,
  `pic` varchar(255) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `field1` varchar(255) DEFAULT NULL,
  `field2` varchar(255) DEFAULT NULL,
  `field3` varchar(255) DEFAULT NULL,
  `prov1` varchar(32) DEFAULT NULL,
  `prov2` varchar(32) DEFAULT NULL,
  `reserveres` varchar(64) DEFAULT NULL,
  `program` varchar(64) DEFAULT NULL,
  `utag` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `trans_type` varchar(255) DEFAULT NULL,
  `trans_name` varchar(255) DEFAULT NULL,
  `trans_am_route` varchar(64) DEFAULT NULL,
  `trans_pickup_time` varchar(16) DEFAULT NULL,
  `trans_pm_route` varchar(64) DEFAULT NULL,
  `trans_dropoff_time` varchar(16) DEFAULT NULL,
  `trans_bus_stop_location` varchar(64) DEFAULT NULL,
  `group_after_school_prog` char(1) DEFAULT NULL,
  `lunchstatus` varchar(255) DEFAULT NULL,
  `par1_email` varchar(64) DEFAULT NULL,
  `par2_email` varchar(64) DEFAULT NULL,
  `name_prefix` varchar(64) DEFAULT NULL,
  `name_suffix` varchar(64) DEFAULT NULL,
  `name_knownas` varchar(64) DEFAULT NULL,
  `group_alt1` varchar(64) DEFAULT NULL,
  `group_alt2` varchar(64) DEFAULT NULL,
  `group_alt3` varchar(64) DEFAULT NULL,
  `billet` varchar(255) DEFAULT NULL,
  `childcare_name` varchar(255) DEFAULT NULL,
  `childcare_address` varchar(255) DEFAULT NULL,
  `childcare_phone1` varchar(255) DEFAULT NULL,
  `childcare_phone2` varchar(255) DEFAULT NULL,
  `internet_type` varchar(255) DEFAULT NULL,
  `par1_firstname` varchar(255) DEFAULT NULL,
  `par1_lastname` varchar(255) DEFAULT NULL,
  `par2_firstname` varchar(255) DEFAULT NULL,
  `par2_lastname` varchar(255) DEFAULT NULL,
  `graddate` date DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  `address_land` varchar(32) DEFAULT NULL,
  `tuition_status` varchar(64) DEFAULT NULL,
  `tuition_duration` varchar(64) DEFAULT NULL,
  `tuition_program` varchar(128) DEFAULT NULL,
  `tuition_collect` tinyint(4) DEFAULT NULL,
  `tuition_country` varchar(8) DEFAULT NULL,
  `immersion_type` varchar(32) DEFAULT NULL,
  `cumfolder` tinyint(4) DEFAULT NULL,
  `address1mailing` varchar(128) DEFAULT NULL,
  `address2mailing` varchar(128) DEFAULT NULL,
  `parent_lockout` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`studid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `prereg_staff`
--

DROP TABLE IF EXISTS `prereg_staff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prereg_staff` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sal` varchar(6) DEFAULT NULL,
  `lastname` varchar(60) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `middlename` varchar(40) DEFAULT NULL,
  `userid` varchar(40) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `doatt` char(1) DEFAULT NULL,
  `certification1` varchar(255) DEFAULT NULL,
  `home_phone` varchar(64) DEFAULT NULL,
  `cell_phone` varchar(64) DEFAULT NULL,
  `street` varchar(64) DEFAULT NULL,
  `city` varchar(32) DEFAULT NULL,
  `prov` varchar(32) DEFAULT NULL,
  `pcode` varchar(32) DEFAULT NULL,
  `emergency_contact_name` varchar(255) DEFAULT NULL,
  `emergency_contact_phone` varchar(255) DEFAULT NULL,
  `driver_license` varchar(64) DEFAULT NULL,
  `driver_class` varchar(64) DEFAULT NULL,
  `vehicle_reg` varchar(64) DEFAULT NULL,
  `vehicle_plate` varchar(64) DEFAULT NULL,
  `citizenship` varchar(64) DEFAULT NULL,
  `passport` varchar(64) DEFAULT NULL,
  `alt_street` varchar(64) DEFAULT NULL,
  `alt_city` varchar(32) DEFAULT NULL,
  `alt_prov` varchar(32) DEFAULT NULL,
  `alt_country` varchar(64) DEFAULT NULL,
  `alt_pcode` varchar(32) DEFAULT NULL,
  `alt_phone` varchar(64) DEFAULT NULL,
  `alt_email` varchar(64) DEFAULT NULL,
  `certification2` varchar(255) DEFAULT NULL,
  `certification3` varchar(255) DEFAULT NULL,
  `certification4` varchar(255) DEFAULT NULL,
  `certification5` varchar(255) DEFAULT NULL,
  `certification6` varchar(255) DEFAULT NULL,
  `certification7` varchar(255) DEFAULT NULL,
  `certification8` varchar(255) DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=79 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `prereg_staff_multi`
--

DROP TABLE IF EXISTS `prereg_staff_multi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prereg_staff_multi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(32) DEFAULT NULL,
  `field_name` varchar(255) DEFAULT NULL,
  `field_value` varchar(255) DEFAULT NULL,
  `field_additional` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `prereg_waitlist`
--

DROP TABLE IF EXISTS `prereg_waitlist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prereg_waitlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `enroldate` date DEFAULT NULL,
  `waitnumber` int(11) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `preset`
--

DROP TABLE IF EXISTS `preset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preset` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` char(40) DEFAULT NULL,
  `firstname` char(40) DEFAULT NULL,
  `initial` char(2) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `grade` char(2) DEFAULT NULL,
  `homeroom` char(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pwalk_eval`
--

DROP TABLE IF EXISTS `pwalk_eval`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pwalk_eval` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `authorid` varchar(40) DEFAULT NULL,
  `tuserid` varchar(40) DEFAULT NULL,
  `tlastname` varchar(60) DEFAULT NULL,
  `tfirstname` varchar(40) DEFAULT NULL,
  `tcertnum` varchar(32) DEFAULT NULL,
  `subject` varchar(60) DEFAULT NULL,
  `adatetime` datetime DEFAULT NULL,
  `comment` text,
  `continueedit` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pwalk_mst`
--

DROP TABLE IF EXISTS `pwalk_mst`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pwalk_mst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `category` varchar(64) DEFAULT NULL,
  `identcode` varchar(64) DEFAULT NULL,
  `cdate` date DEFAULT NULL,
  `sequence` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pwalk_score`
--

DROP TABLE IF EXISTS `pwalk_score`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pwalk_score` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mstid` int(11) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `category` varchar(64) DEFAULT NULL,
  `sequence` int(11) DEFAULT NULL,
  `score` tinyint(3) unsigned DEFAULT NULL,
  `strengths` text,
  `weaknesses` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=55 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pwalk_tpl`
--

DROP TABLE IF EXISTS `pwalk_tpl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pwalk_tpl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mstid` int(11) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `category` varchar(64) DEFAULT NULL,
  `sequence` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=293 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `read_level`
--

DROP TABLE IF EXISTS `read_level`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `read_level` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `readlevel` varchar(4) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `seq` int(11) DEFAULT NULL,
  `help1` text,
  `help2` text,
  `help3` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=589 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `read_test`
--

DROP TABLE IF EXISTS `read_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `read_test` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `readlevel` varchar(4) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `season` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1681 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `read_test_score`
--

DROP TABLE IF EXISTS `read_test_score`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `read_test_score` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `testid` int(11) DEFAULT NULL,
  `category` text,
  `name` text,
  `seq` int(11) DEFAULT NULL,
  `score` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=20281 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sasked_completedcourses`
--

DROP TABLE IF EXISTS `sasked_completedcourses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sasked_completedcourses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `provnum` int(11) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `schoolid` int(11) DEFAULT NULL,
  `schoolname` varchar(255) DEFAULT NULL,
  `courseid` varchar(16) DEFAULT NULL,
  `coursetitle` varchar(255) DEFAULT NULL,
  `coursetype` varchar(32) DEFAULT NULL,
  `schoolyear` varchar(16) DEFAULT NULL,
  `courseenddate` date DEFAULT NULL,
  `finalmark` varchar(4) DEFAULT NULL,
  `creditsearned` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sasked_courses`
--

DROP TABLE IF EXISTS `sasked_courses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sasked_courses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `code` varchar(16) DEFAULT NULL,
  `startdate` date DEFAULT NULL,
  `enddate` date DEFAULT NULL,
  `ctype` varchar(32) DEFAULT NULL,
  `grade` varchar(4) DEFAULT NULL,
  `category` varchar(32) DEFAULT NULL,
  `prereg` varchar(255) DEFAULT NULL,
  `cgroup` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21871 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedat`
--

DROP TABLE IF EXISTS `schedat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `schedat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `day` tinyint(4) DEFAULT NULL,
  `period` tinyint(4) DEFAULT NULL,
  `subjsec` varchar(32) DEFAULT NULL,
  `grade` varchar(32) DEFAULT NULL,
  `term` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schoolevent`
--

DROP TABLE IF EXISTS `schoolevent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `schoolevent` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `communityevents` text,
  `staffupdates` text,
  `dataupdates` text,
  `resourcespending` text,
  `facilityupdates` text,
  `otherupdates` text,
  `upcomingevents` text,
  `landedu` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `id` varchar(32) NOT NULL DEFAULT '',
  `a_session` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ssp_exceptions`
--

DROP TABLE IF EXISTS `ssp_exceptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ssp_exceptions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `treatynum` varchar(16) DEFAULT NULL,
  `ssptype` varchar(16) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `tauthor` varchar(40) DEFAULT NULL,
  `tgrade` varchar(8) DEFAULT NULL,
  `tage` varchar(16) DEFAULT NULL,
  `tseason` varchar(16) DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `reasoncode` varchar(32) DEFAULT NULL,
  `reasonother` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1159 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `staff`
--

DROP TABLE IF EXISTS `staff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `staff` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sal` varchar(6) DEFAULT NULL,
  `lastname` varchar(60) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `middlename` varchar(40) DEFAULT NULL,
  `userid` varchar(40) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `doatt` char(1) DEFAULT NULL,
  `certification1` varchar(255) DEFAULT NULL,
  `home_phone` varchar(64) DEFAULT NULL,
  `cell_phone` varchar(64) DEFAULT NULL,
  `street` varchar(64) DEFAULT NULL,
  `city` varchar(32) DEFAULT NULL,
  `prov` varchar(32) DEFAULT NULL,
  `pcode` varchar(32) DEFAULT NULL,
  `emergency_contact_name` varchar(255) DEFAULT NULL,
  `emergency_contact_phone` varchar(255) DEFAULT NULL,
  `driver_license` varchar(64) DEFAULT NULL,
  `driver_class` varchar(64) DEFAULT NULL,
  `vehicle_reg` varchar(64) DEFAULT NULL,
  `vehicle_plate` varchar(64) DEFAULT NULL,
  `citizenship` varchar(64) DEFAULT NULL,
  `passport` varchar(64) DEFAULT NULL,
  `alt_street` varchar(64) DEFAULT NULL,
  `alt_city` varchar(32) DEFAULT NULL,
  `alt_prov` varchar(32) DEFAULT NULL,
  `alt_country` varchar(64) DEFAULT NULL,
  `alt_pcode` varchar(32) DEFAULT NULL,
  `alt_phone` varchar(64) DEFAULT NULL,
  `alt_email` varchar(64) DEFAULT NULL,
  `certification2` varchar(255) DEFAULT NULL,
  `certification3` varchar(255) DEFAULT NULL,
  `certification4` varchar(255) DEFAULT NULL,
  `certification5` varchar(255) DEFAULT NULL,
  `certification6` varchar(255) DEFAULT NULL,
  `certification7` varchar(255) DEFAULT NULL,
  `certification8` varchar(255) DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  `teachingcertificatestatus` varchar(16) DEFAULT NULL,
  `teachingcertificatejurisdiction` varchar(16) DEFAULT NULL,
  `ancestry` varchar(16) DEFAULT NULL,
  `indianstatus` varchar(16) DEFAULT NULL,
  `gender` varchar(16) DEFAULT NULL,
  `fulltimeequivalent` varchar(16) DEFAULT NULL,
  `occupations` text,
  `nrskip` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=152 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `staff_absent`
--

DROP TABLE IF EXISTS `staff_absent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `staff_absent` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `lastname` varchar(60) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `adate` date DEFAULT NULL,
  `reason` varchar(32) DEFAULT NULL,
  `daypart` varchar(32) DEFAULT NULL,
  `other` varchar(255) DEFAULT NULL,
  `late` varchar(32) DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1485 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `staff_multi`
--

DROP TABLE IF EXISTS `staff_multi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `staff_multi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(32) DEFAULT NULL,
  `field_name` varchar(255) DEFAULT NULL,
  `field_value` varchar(255) DEFAULT NULL,
  `field_additional` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=326 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `staff_transfer`
--

DROP TABLE IF EXISTS `staff_transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `staff_transfer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `type` varchar(32) DEFAULT NULL,
  `lastname` varchar(60) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `certificatenumber` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `staffwd`
--

DROP TABLE IF EXISTS `staffwd`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `staffwd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sal` varchar(6) DEFAULT NULL,
  `lastname` varchar(60) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `middlename` varchar(40) DEFAULT NULL,
  `userid` varchar(40) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `tdate` date DEFAULT NULL,
  `doatt` char(1) DEFAULT NULL,
  `certification1` varchar(255) DEFAULT NULL,
  `home_phone` varchar(64) DEFAULT NULL,
  `cell_phone` varchar(64) DEFAULT NULL,
  `street` varchar(64) DEFAULT NULL,
  `city` varchar(32) DEFAULT NULL,
  `prov` varchar(32) DEFAULT NULL,
  `pcode` varchar(32) DEFAULT NULL,
  `emergency_contact_name` varchar(255) DEFAULT NULL,
  `emergency_contact_phone` varchar(255) DEFAULT NULL,
  `driver_license` varchar(64) DEFAULT NULL,
  `driver_class` varchar(64) DEFAULT NULL,
  `vehicle_reg` varchar(64) DEFAULT NULL,
  `vehicle_plate` varchar(64) DEFAULT NULL,
  `citizenship` varchar(64) DEFAULT NULL,
  `passport` varchar(64) DEFAULT NULL,
  `alt_street` varchar(64) DEFAULT NULL,
  `alt_city` varchar(32) DEFAULT NULL,
  `alt_prov` varchar(32) DEFAULT NULL,
  `alt_country` varchar(64) DEFAULT NULL,
  `alt_pcode` varchar(32) DEFAULT NULL,
  `alt_phone` varchar(64) DEFAULT NULL,
  `alt_email` varchar(64) DEFAULT NULL,
  `certification2` varchar(255) DEFAULT NULL,
  `certification3` varchar(255) DEFAULT NULL,
  `certification4` varchar(255) DEFAULT NULL,
  `certification5` varchar(255) DEFAULT NULL,
  `certification6` varchar(255) DEFAULT NULL,
  `certification7` varchar(255) DEFAULT NULL,
  `certification8` varchar(255) DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  `teachingcertificatestatus` varchar(16) DEFAULT NULL,
  `teachingcertificatejurisdiction` varchar(16) DEFAULT NULL,
  `ancestry` varchar(16) DEFAULT NULL,
  `indianstatus` varchar(16) DEFAULT NULL,
  `gender` varchar(16) DEFAULT NULL,
  `fulltimeequivalent` varchar(16) DEFAULT NULL,
  `occupations` text,
  `nrskip` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student` (
  `studid` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `initial` varchar(40) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  `homeroom` varchar(8) DEFAULT NULL,
  `sex` char(1) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `house` varchar(20) DEFAULT NULL,
  `healthid` varchar(12) DEFAULT NULL,
  `entry` varchar(255) DEFAULT NULL,
  `ethnic` varchar(20) DEFAULT NULL,
  `single` char(1) DEFAULT NULL,
  `internet` char(1) DEFAULT NULL,
  `youngest` char(1) DEFAULT NULL,
  `owing` decimal(9,2) DEFAULT NULL,
  `treaty` varchar(20) DEFAULT NULL,
  `medical` mediumtext,
  `studrel` varchar(25) DEFAULT NULL,
  `momrel` varchar(25) DEFAULT NULL,
  `dadrel` varchar(25) DEFAULT NULL,
  `parish` varchar(255) DEFAULT NULL,
  `commun` char(1) DEFAULT NULL,
  `recon` char(1) DEFAULT NULL,
  `confirm` char(1) DEFAULT NULL,
  `maiden` varchar(40) DEFAULT NULL,
  `relation1` varchar(20) DEFAULT NULL,
  `contact1` varchar(255) DEFAULT NULL,
  `name1` varchar(255) DEFAULT NULL,
  `hphone1` varchar(64) DEFAULT NULL,
  `wphone1` varchar(64) DEFAULT NULL,
  `cell1` varchar(64) DEFAULT NULL,
  `fax1` varchar(64) DEFAULT NULL,
  `address1` varchar(40) DEFAULT NULL,
  `city1` varchar(40) DEFAULT NULL,
  `pcode1` varchar(10) DEFAULT NULL,
  `workplace1` varchar(60) DEFAULT NULL,
  `relation2` varchar(20) DEFAULT NULL,
  `contact2` varchar(255) DEFAULT NULL,
  `name2` varchar(255) DEFAULT NULL,
  `hphone2` varchar(64) DEFAULT NULL,
  `wphone2` varchar(64) DEFAULT NULL,
  `cell2` varchar(64) DEFAULT NULL,
  `fax2` varchar(64) DEFAULT NULL,
  `address2` varchar(40) DEFAULT NULL,
  `city2` varchar(40) DEFAULT NULL,
  `pcode2` varchar(10) DEFAULT NULL,
  `workplace2` varchar(60) DEFAULT NULL,
  `emrelation` varchar(20) DEFAULT NULL,
  `emname` varchar(255) DEFAULT NULL,
  `emhphone` varchar(64) DEFAULT NULL,
  `emwphone` varchar(64) DEFAULT NULL,
  `emcell` varchar(64) DEFAULT NULL,
  `doctor` varchar(70) DEFAULT NULL,
  `docphone` varchar(15) DEFAULT NULL,
  `busroute` varchar(30) DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  `band` varchar(64) DEFAULT NULL,
  `bandnum` varchar(32) DEFAULT NULL,
  `baptism` char(1) DEFAULT NULL,
  `contact` varchar(255) DEFAULT NULL,
  `family` varchar(32) DEFAULT NULL,
  `alias` varchar(16) DEFAULT NULL,
  `pic` varchar(255) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `field1` varchar(255) DEFAULT NULL,
  `field2` varchar(255) DEFAULT NULL,
  `field3` varchar(255) DEFAULT NULL,
  `prov1` varchar(32) DEFAULT NULL,
  `prov2` varchar(32) DEFAULT NULL,
  `reserveres` varchar(64) DEFAULT NULL,
  `program` varchar(64) DEFAULT NULL,
  `utag` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `trans_type` varchar(255) DEFAULT NULL,
  `trans_name` varchar(255) DEFAULT NULL,
  `trans_am_route` varchar(64) DEFAULT NULL,
  `trans_pickup_time` varchar(16) DEFAULT NULL,
  `trans_pm_route` varchar(64) DEFAULT NULL,
  `trans_dropoff_time` varchar(16) DEFAULT NULL,
  `trans_bus_stop_location` varchar(64) DEFAULT NULL,
  `group_after_school_prog` char(1) DEFAULT NULL,
  `lunchstatus` varchar(255) DEFAULT NULL,
  `par1_email` varchar(64) DEFAULT NULL,
  `par2_email` varchar(64) DEFAULT NULL,
  `name_prefix` varchar(64) DEFAULT NULL,
  `name_suffix` varchar(64) DEFAULT NULL,
  `name_knownas` varchar(64) DEFAULT NULL,
  `group_alt1` varchar(64) DEFAULT NULL,
  `group_alt2` varchar(64) DEFAULT NULL,
  `group_alt3` varchar(64) DEFAULT NULL,
  `billet` varchar(255) DEFAULT NULL,
  `childcare_name` varchar(255) DEFAULT NULL,
  `childcare_address` varchar(255) DEFAULT NULL,
  `childcare_phone1` varchar(255) DEFAULT NULL,
  `childcare_phone2` varchar(255) DEFAULT NULL,
  `internet_type` varchar(255) DEFAULT NULL,
  `par1_firstname` varchar(255) DEFAULT NULL,
  `par1_lastname` varchar(255) DEFAULT NULL,
  `par2_firstname` varchar(255) DEFAULT NULL,
  `par2_lastname` varchar(255) DEFAULT NULL,
  `graddate` date DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  `address_land` varchar(32) DEFAULT NULL,
  `tuition_status` varchar(64) DEFAULT NULL,
  `tuition_duration` varchar(64) DEFAULT NULL,
  `tuition_program` varchar(128) DEFAULT NULL,
  `tuition_collect` tinyint(4) DEFAULT NULL,
  `tuition_country` varchar(8) DEFAULT NULL,
  `immersion_type` varchar(32) DEFAULT NULL,
  `cumfolder` tinyint(4) DEFAULT NULL,
  `address1mailing` varchar(128) DEFAULT NULL,
  `address2mailing` varchar(128) DEFAULT NULL,
  `parent_lockout` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`studid`),
  KEY `student_name` (`lastname`,`firstname`),
  KEY `student_grade` (`grade`),
  KEY `student_homeroom` (`homeroom`),
  KEY `student_studnum` (`studnum`)
) ENGINE=MyISAM AUTO_INCREMENT=1079 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `student_inac`
--

DROP TABLE IF EXISTS `student_inac`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_inac` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` varchar(32) DEFAULT NULL,
  `fte` varchar(255) DEFAULT NULL,
  `residence` varchar(255) DEFAULT NULL,
  `accommodation` varchar(255) DEFAULT NULL,
  `transportation_daily` varchar(255) DEFAULT NULL,
  `transportation_other` varchar(255) DEFAULT NULL,
  `language_home` varchar(255) DEFAULT NULL,
  `language_instruction` varchar(255) DEFAULT NULL,
  `language_extent` varchar(255) DEFAULT NULL,
  `financial_edu` varchar(16) DEFAULT NULL,
  `residence_band` varchar(16) DEFAULT NULL,
  `residence_reserve` varchar(16) DEFAULT NULL,
  `highcost` varchar(16) DEFAULT NULL,
  `schoolprogram` varchar(16) DEFAULT NULL,
  `programdelivery` varchar(16) DEFAULT NULL,
  `serviceprovision` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=681 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `student_medical`
--

DROP TABLE IF EXISTS `student_medical`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_medical` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `student_needs`
--

DROP TABLE IF EXISTS `student_needs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_needs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author` varchar(40) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `studnum` int(11) DEFAULT NULL,
  `treatynum` int(11) DEFAULT NULL,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  `hrteacher` varchar(255) DEFAULT NULL,
  `strengths` text,
  `challenges` text,
  `support` text,
  `recommendations` text,
  `rec_other` text,
  `rec_classroom` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `student_nomrollwd`
--

DROP TABLE IF EXISTS `student_nomrollwd`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student_nomrollwd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` varchar(32) DEFAULT NULL,
  `fte` varchar(255) DEFAULT NULL,
  `residence` varchar(255) DEFAULT NULL,
  `accommodation` varchar(255) DEFAULT NULL,
  `transportation_daily` varchar(255) DEFAULT NULL,
  `transportation_other` varchar(255) DEFAULT NULL,
  `language_home` varchar(255) DEFAULT NULL,
  `language_instruction` varchar(255) DEFAULT NULL,
  `language_extent` varchar(255) DEFAULT NULL,
  `financial_edu` varchar(16) DEFAULT NULL,
  `residence_band` varchar(16) DEFAULT NULL,
  `residence_reserve` varchar(16) DEFAULT NULL,
  `highcost` varchar(16) DEFAULT NULL,
  `schoolprogram` varchar(16) DEFAULT NULL,
  `programdelivery` varchar(16) DEFAULT NULL,
  `serviceprovision` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=480 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `studentall`
--

DROP TABLE IF EXISTS `studentall`;
/*!50001 DROP VIEW IF EXISTS `studentall`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `studentall` (
  `studid` tinyint NOT NULL,
  `lastname` tinyint NOT NULL,
  `firstname` tinyint NOT NULL,
  `initial` tinyint NOT NULL,
  `studnum` tinyint NOT NULL,
  `grade` tinyint NOT NULL,
  `homeroom` tinyint NOT NULL,
  `sex` tinyint NOT NULL,
  `birthdate` tinyint NOT NULL,
  `house` tinyint NOT NULL,
  `healthid` tinyint NOT NULL,
  `entry` tinyint NOT NULL,
  `ethnic` tinyint NOT NULL,
  `single` tinyint NOT NULL,
  `internet` tinyint NOT NULL,
  `youngest` tinyint NOT NULL,
  `owing` tinyint NOT NULL,
  `treaty` tinyint NOT NULL,
  `medical` tinyint NOT NULL,
  `studrel` tinyint NOT NULL,
  `momrel` tinyint NOT NULL,
  `dadrel` tinyint NOT NULL,
  `parish` tinyint NOT NULL,
  `commun` tinyint NOT NULL,
  `recon` tinyint NOT NULL,
  `confirm` tinyint NOT NULL,
  `maiden` tinyint NOT NULL,
  `relation1` tinyint NOT NULL,
  `contact1` tinyint NOT NULL,
  `name1` tinyint NOT NULL,
  `hphone1` tinyint NOT NULL,
  `wphone1` tinyint NOT NULL,
  `cell1` tinyint NOT NULL,
  `fax1` tinyint NOT NULL,
  `address1` tinyint NOT NULL,
  `city1` tinyint NOT NULL,
  `pcode1` tinyint NOT NULL,
  `workplace1` tinyint NOT NULL,
  `relation2` tinyint NOT NULL,
  `contact2` tinyint NOT NULL,
  `name2` tinyint NOT NULL,
  `hphone2` tinyint NOT NULL,
  `wphone2` tinyint NOT NULL,
  `cell2` tinyint NOT NULL,
  `fax2` tinyint NOT NULL,
  `address2` tinyint NOT NULL,
  `city2` tinyint NOT NULL,
  `pcode2` tinyint NOT NULL,
  `workplace2` tinyint NOT NULL,
  `emrelation` tinyint NOT NULL,
  `emname` tinyint NOT NULL,
  `emhphone` tinyint NOT NULL,
  `emwphone` tinyint NOT NULL,
  `emcell` tinyint NOT NULL,
  `doctor` tinyint NOT NULL,
  `docphone` tinyint NOT NULL,
  `busroute` tinyint NOT NULL,
  `provnum` tinyint NOT NULL,
  `band` tinyint NOT NULL,
  `bandnum` tinyint NOT NULL,
  `baptism` tinyint NOT NULL,
  `contact` tinyint NOT NULL,
  `family` tinyint NOT NULL,
  `alias` tinyint NOT NULL,
  `pic` tinyint NOT NULL,
  `password` tinyint NOT NULL,
  `field1` tinyint NOT NULL,
  `field2` tinyint NOT NULL,
  `field3` tinyint NOT NULL,
  `prov1` tinyint NOT NULL,
  `prov2` tinyint NOT NULL,
  `reserveres` tinyint NOT NULL,
  `program` tinyint NOT NULL,
  `utag` tinyint NOT NULL,
  `email` tinyint NOT NULL,
  `trans_type` tinyint NOT NULL,
  `trans_name` tinyint NOT NULL,
  `trans_am_route` tinyint NOT NULL,
  `trans_pickup_time` tinyint NOT NULL,
  `trans_pm_route` tinyint NOT NULL,
  `trans_dropoff_time` tinyint NOT NULL,
  `trans_bus_stop_location` tinyint NOT NULL,
  `group_after_school_prog` tinyint NOT NULL,
  `lunchstatus` tinyint NOT NULL,
  `par1_email` tinyint NOT NULL,
  `par2_email` tinyint NOT NULL,
  `name_prefix` tinyint NOT NULL,
  `name_suffix` tinyint NOT NULL,
  `name_knownas` tinyint NOT NULL,
  `group_alt1` tinyint NOT NULL,
  `group_alt2` tinyint NOT NULL,
  `group_alt3` tinyint NOT NULL,
  `billet` tinyint NOT NULL,
  `childcare_name` tinyint NOT NULL,
  `childcare_address` tinyint NOT NULL,
  `childcare_phone1` tinyint NOT NULL,
  `childcare_phone2` tinyint NOT NULL,
  `internet_type` tinyint NOT NULL,
  `par1_firstname` tinyint NOT NULL,
  `par1_lastname` tinyint NOT NULL,
  `par2_firstname` tinyint NOT NULL,
  `par2_lastname` tinyint NOT NULL,
  `graddate` tinyint NOT NULL,
  `ldap_uid` tinyint NOT NULL,
  `ldap_uidnumber` tinyint NOT NULL,
  `ldap_gidnumber` tinyint NOT NULL,
  `address_land` tinyint NOT NULL,
  `tuition_status` tinyint NOT NULL,
  `tuition_duration` tinyint NOT NULL,
  `tuition_program` tinyint NOT NULL,
  `tuition_collect` tinyint NOT NULL,
  `tuition_country` tinyint NOT NULL,
  `immersion_type` tinyint NOT NULL,
  `cumfolder` tinyint NOT NULL,
  `address1mailing` tinyint NOT NULL,
  `address2mailing` tinyint NOT NULL,
  `parent_lockout` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `studentwd`
--

DROP TABLE IF EXISTS `studentwd`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `studentwd` (
  `studid` int(11) NOT NULL AUTO_INCREMENT,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `initial` varchar(40) DEFAULT NULL,
  `studnum` int(11) DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  `homeroom` varchar(8) DEFAULT NULL,
  `sex` char(1) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `house` varchar(20) DEFAULT NULL,
  `healthid` varchar(12) DEFAULT NULL,
  `entry` varchar(255) DEFAULT NULL,
  `ethnic` varchar(20) DEFAULT NULL,
  `single` char(1) DEFAULT NULL,
  `internet` char(1) DEFAULT NULL,
  `youngest` char(1) DEFAULT NULL,
  `owing` decimal(9,2) DEFAULT NULL,
  `treaty` varchar(20) DEFAULT NULL,
  `medical` mediumtext,
  `studrel` varchar(25) DEFAULT NULL,
  `momrel` varchar(25) DEFAULT NULL,
  `dadrel` varchar(25) DEFAULT NULL,
  `parish` varchar(255) DEFAULT NULL,
  `commun` char(1) DEFAULT NULL,
  `recon` char(1) DEFAULT NULL,
  `confirm` char(1) DEFAULT NULL,
  `maiden` varchar(40) DEFAULT NULL,
  `relation1` varchar(20) DEFAULT NULL,
  `contact1` varchar(255) DEFAULT NULL,
  `name1` varchar(255) DEFAULT NULL,
  `hphone1` varchar(64) DEFAULT NULL,
  `wphone1` varchar(64) DEFAULT NULL,
  `cell1` varchar(64) DEFAULT NULL,
  `fax1` varchar(64) DEFAULT NULL,
  `address1` varchar(40) DEFAULT NULL,
  `city1` varchar(40) DEFAULT NULL,
  `pcode1` varchar(10) DEFAULT NULL,
  `workplace1` varchar(60) DEFAULT NULL,
  `relation2` varchar(20) DEFAULT NULL,
  `contact2` varchar(255) DEFAULT NULL,
  `name2` varchar(255) DEFAULT NULL,
  `hphone2` varchar(64) DEFAULT NULL,
  `wphone2` varchar(64) DEFAULT NULL,
  `cell2` varchar(64) DEFAULT NULL,
  `fax2` varchar(64) DEFAULT NULL,
  `address2` varchar(40) DEFAULT NULL,
  `city2` varchar(40) DEFAULT NULL,
  `pcode2` varchar(10) DEFAULT NULL,
  `workplace2` varchar(60) DEFAULT NULL,
  `emrelation` varchar(20) DEFAULT NULL,
  `emname` varchar(255) DEFAULT NULL,
  `emhphone` varchar(64) DEFAULT NULL,
  `emwphone` varchar(64) DEFAULT NULL,
  `emcell` varchar(64) DEFAULT NULL,
  `doctor` varchar(70) DEFAULT NULL,
  `docphone` varchar(15) DEFAULT NULL,
  `busroute` varchar(30) DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  `band` varchar(64) DEFAULT NULL,
  `bandnum` varchar(32) DEFAULT NULL,
  `baptism` char(1) DEFAULT NULL,
  `contact` varchar(255) DEFAULT NULL,
  `family` varchar(32) DEFAULT NULL,
  `alias` varchar(16) DEFAULT NULL,
  `pic` varchar(255) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `field1` varchar(255) DEFAULT NULL,
  `field2` varchar(255) DEFAULT NULL,
  `field3` varchar(255) DEFAULT NULL,
  `prov1` varchar(32) DEFAULT NULL,
  `prov2` varchar(32) DEFAULT NULL,
  `reserveres` varchar(64) DEFAULT NULL,
  `program` varchar(64) DEFAULT NULL,
  `utag` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `trans_type` varchar(255) DEFAULT NULL,
  `trans_name` varchar(255) DEFAULT NULL,
  `trans_am_route` varchar(64) DEFAULT NULL,
  `trans_pickup_time` varchar(16) DEFAULT NULL,
  `trans_pm_route` varchar(64) DEFAULT NULL,
  `trans_dropoff_time` varchar(16) DEFAULT NULL,
  `trans_bus_stop_location` varchar(64) DEFAULT NULL,
  `group_after_school_prog` char(1) DEFAULT NULL,
  `lunchstatus` varchar(255) DEFAULT NULL,
  `par1_email` varchar(64) DEFAULT NULL,
  `par2_email` varchar(64) DEFAULT NULL,
  `name_prefix` varchar(64) DEFAULT NULL,
  `name_suffix` varchar(64) DEFAULT NULL,
  `name_knownas` varchar(64) DEFAULT NULL,
  `group_alt1` varchar(64) DEFAULT NULL,
  `group_alt2` varchar(64) DEFAULT NULL,
  `group_alt3` varchar(64) DEFAULT NULL,
  `billet` varchar(255) DEFAULT NULL,
  `childcare_name` varchar(255) DEFAULT NULL,
  `childcare_address` varchar(255) DEFAULT NULL,
  `childcare_phone1` varchar(255) DEFAULT NULL,
  `childcare_phone2` varchar(255) DEFAULT NULL,
  `internet_type` varchar(255) DEFAULT NULL,
  `par1_firstname` varchar(255) DEFAULT NULL,
  `par1_lastname` varchar(255) DEFAULT NULL,
  `par2_firstname` varchar(255) DEFAULT NULL,
  `par2_lastname` varchar(255) DEFAULT NULL,
  `graddate` date DEFAULT NULL,
  `ldap_uid` varchar(64) DEFAULT NULL,
  `ldap_uidnumber` mediumint(9) DEFAULT NULL,
  `ldap_gidnumber` mediumint(9) DEFAULT NULL,
  `address_land` varchar(32) DEFAULT NULL,
  `tuition_status` varchar(64) DEFAULT NULL,
  `tuition_duration` varchar(64) DEFAULT NULL,
  `tuition_program` varchar(128) DEFAULT NULL,
  `tuition_collect` tinyint(4) DEFAULT NULL,
  `tuition_country` varchar(8) DEFAULT NULL,
  `immersion_type` varchar(32) DEFAULT NULL,
  `cumfolder` tinyint(4) DEFAULT NULL,
  `address1mailing` varchar(128) DEFAULT NULL,
  `address2mailing` varchar(128) DEFAULT NULL,
  `parent_lockout` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`studid`),
  KEY `studentwd_name` (`lastname`,`firstname`),
  KEY `studentwd_grade` (`grade`),
  KEY `studentwd_homeroom` (`homeroom`),
  KEY `studentwd_studnum` (`studnum`)
) ENGINE=MyISAM AUTO_INCREMENT=964 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subject`
--

DROP TABLE IF EXISTS `subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subject` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjcode` varchar(32) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `grade` varchar(8) DEFAULT NULL,
  `teacher` varchar(255) DEFAULT NULL,
  `modules` varchar(255) DEFAULT NULL,
  `type` varchar(10) DEFAULT NULL,
  `sequence` int(11) DEFAULT NULL,
  `section` varchar(32) DEFAULT NULL,
  `subjsec` varchar(32) DEFAULT NULL,
  `q1` varchar(255) DEFAULT NULL,
  `q2` varchar(255) DEFAULT NULL,
  `q3` varchar(255) DEFAULT NULL,
  `q4` varchar(255) DEFAULT NULL,
  `q5` varchar(255) DEFAULT NULL,
  `q6` varchar(255) DEFAULT NULL,
  `q7` varchar(255) DEFAULT NULL,
  `q8` varchar(255) DEFAULT NULL,
  `q9` varchar(255) DEFAULT NULL,
  `q10` varchar(255) DEFAULT NULL,
  `q11` varchar(255) DEFAULT NULL,
  `q12` varchar(255) DEFAULT NULL,
  `q13` varchar(255) DEFAULT NULL,
  `q14` varchar(255) DEFAULT NULL,
  `q15` varchar(255) DEFAULT NULL,
  `q16` varchar(255) DEFAULT NULL,
  `q17` varchar(255) DEFAULT NULL,
  `q18` varchar(255) DEFAULT NULL,
  `q19` varchar(255) DEFAULT NULL,
  `q20` varchar(255) DEFAULT NULL,
  `alias` varchar(16) DEFAULT NULL,
  `visible` char(1) DEFAULT NULL,
  `startrptperiod` tinyint(3) unsigned DEFAULT NULL,
  `endrptperiod` tinyint(3) unsigned DEFAULT NULL,
  `markscheme` text,
  `faculty` varchar(255) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `smdesc` varchar(8) DEFAULT NULL,
  `instmode` varchar(64) DEFAULT NULL,
  `exammix` varchar(64) DEFAULT NULL,
  `active` char(1) DEFAULT NULL,
  `schedppc1` int(11) DEFAULT NULL,
  `schedppc2` int(11) DEFAULT NULL,
  `schedppc3` int(11) DEFAULT NULL,
  `schedppc4` int(11) DEFAULT NULL,
  `backwith` varchar(16) DEFAULT NULL,
  `credit` varchar(8) DEFAULT NULL,
  `difficulty` varchar(8) DEFAULT NULL,
  `area` varchar(255) DEFAULT NULL,
  `calcavg` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `subject_subjsec` (`subjsec`)
) ENGINE=MyISAM AUTO_INCREMENT=129 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subject_multi`
--

DROP TABLE IF EXISTS `subject_multi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subject_multi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjsec` varchar(32) DEFAULT NULL,
  `field_name` varchar(255) DEFAULT NULL,
  `field_value` varchar(255) DEFAULT NULL,
  `field_additional` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tattend`
--

DROP TABLE IF EXISTS `tattend`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tattend` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(40) DEFAULT NULL,
  `attdate` date DEFAULT NULL,
  `currdate` datetime DEFAULT NULL,
  `subjects` varchar(255) DEFAULT NULL,
  `periods` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13030 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_conf_system`
--

DROP TABLE IF EXISTS `temp_conf_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_conf_system` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(64) DEFAULT NULL,
  `sectionname` varchar(64) DEFAULT NULL,
  `sequenceval` int(11) DEFAULT NULL,
  `dataname` varchar(64) DEFAULT NULL,
  `datatype` varchar(32) DEFAULT NULL,
  `datavalue` text,
  `hashvar` varchar(64) DEFAULT NULL,
  `version` varchar(16) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=271 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_meta`
--

DROP TABLE IF EXISTS `temp_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dbaseid` varchar(64) DEFAULT NULL,
  `tableid` varchar(64) DEFAULT NULL,
  `fieldid` varchar(64) DEFAULT NULL,
  `datatype` varchar(16) DEFAULT NULL,
  `arrayidx` smallint(5) unsigned DEFAULT NULL,
  `size` smallint(5) unsigned DEFAULT NULL,
  `fieldname` varchar(255) DEFAULT NULL,
  `defaultvalue` text,
  `formtype` varchar(255) DEFAULT NULL,
  `viewsize` varchar(255) DEFAULT NULL,
  `required` char(1) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=197 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `transfer`
--

DROP TABLE IF EXISTS `transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transfer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `type` varchar(10) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `entrytype` varchar(8) DEFAULT NULL,
  `exittype` varchar(8) DEFAULT NULL,
  `prov` varchar(8) DEFAULT NULL,
  `country` varchar(8) DEFAULT NULL,
  `utag` char(1) DEFAULT NULL,
  `lastname` varchar(40) DEFAULT NULL,
  `firstname` varchar(40) DEFAULT NULL,
  `middlename` varchar(40) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `provnum` varchar(12) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2042 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tscriptdata`
--

DROP TABLE IF EXISTS `tscriptdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tscriptdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `subjectcode` char(32) DEFAULT NULL,
  `subjecttext` char(255) DEFAULT NULL,
  `subjectarea` char(255) DEFAULT NULL,
  `score_mark` char(32) DEFAULT NULL,
  `score_letter` char(4) DEFAULT NULL,
  `score_diff` char(4) DEFAULT NULL,
  `schoolyear` char(16) DEFAULT NULL,
  `crdate` date DEFAULT NULL,
  `credit` char(16) DEFAULT NULL,
  `term` int(11) DEFAULT NULL,
  `term_desc` char(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tscriptident`
--

DROP TABLE IF EXISTS `tscriptident`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tscriptident` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studnum` int(11) DEFAULT NULL,
  `lastname` char(40) DEFAULT NULL,
  `firstname` char(40) DEFAULT NULL,
  `middlename` char(40) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `studentid` char(32) DEFAULT NULL,
  `graddate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `xlat_hint`
--

DROP TABLE IF EXISTS `xlat_hint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xlat_hint` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `phrase` text,
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `xlat_lang`
--

DROP TABLE IF EXISTS `xlat_lang`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xlat_lang` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `language` varchar(64) DEFAULT NULL,
  `encoding` varchar(64) DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL,
  `phrase` text,
  `translation` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `xlat_phrase`
--

DROP TABLE IF EXISTS `xlat_phrase`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xlat_phrase` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `area` varchar(64) DEFAULT NULL,
  `file` varchar(64) DEFAULT NULL,
  `phrase` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Final view structure for view `studentall`
--

/*!50001 DROP TABLE IF EXISTS `studentall`*/;
/*!50001 DROP VIEW IF EXISTS `studentall`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `studentall` AS select `student`.`studid` AS `studid`,`student`.`lastname` AS `lastname`,`student`.`firstname` AS `firstname`,`student`.`initial` AS `initial`,`student`.`studnum` AS `studnum`,`student`.`grade` AS `grade`,`student`.`homeroom` AS `homeroom`,`student`.`sex` AS `sex`,`student`.`birthdate` AS `birthdate`,`student`.`house` AS `house`,`student`.`healthid` AS `healthid`,`student`.`entry` AS `entry`,`student`.`ethnic` AS `ethnic`,`student`.`single` AS `single`,`student`.`internet` AS `internet`,`student`.`youngest` AS `youngest`,`student`.`owing` AS `owing`,`student`.`treaty` AS `treaty`,`student`.`medical` AS `medical`,`student`.`studrel` AS `studrel`,`student`.`momrel` AS `momrel`,`student`.`dadrel` AS `dadrel`,`student`.`parish` AS `parish`,`student`.`commun` AS `commun`,`student`.`recon` AS `recon`,`student`.`confirm` AS `confirm`,`student`.`maiden` AS `maiden`,`student`.`relation1` AS `relation1`,`student`.`contact1` AS `contact1`,`student`.`name1` AS `name1`,`student`.`hphone1` AS `hphone1`,`student`.`wphone1` AS `wphone1`,`student`.`cell1` AS `cell1`,`student`.`fax1` AS `fax1`,`student`.`address1` AS `address1`,`student`.`city1` AS `city1`,`student`.`pcode1` AS `pcode1`,`student`.`workplace1` AS `workplace1`,`student`.`relation2` AS `relation2`,`student`.`contact2` AS `contact2`,`student`.`name2` AS `name2`,`student`.`hphone2` AS `hphone2`,`student`.`wphone2` AS `wphone2`,`student`.`cell2` AS `cell2`,`student`.`fax2` AS `fax2`,`student`.`address2` AS `address2`,`student`.`city2` AS `city2`,`student`.`pcode2` AS `pcode2`,`student`.`workplace2` AS `workplace2`,`student`.`emrelation` AS `emrelation`,`student`.`emname` AS `emname`,`student`.`emhphone` AS `emhphone`,`student`.`emwphone` AS `emwphone`,`student`.`emcell` AS `emcell`,`student`.`doctor` AS `doctor`,`student`.`docphone` AS `docphone`,`student`.`busroute` AS `busroute`,`student`.`provnum` AS `provnum`,`student`.`band` AS `band`,`student`.`bandnum` AS `bandnum`,`student`.`baptism` AS `baptism`,`student`.`contact` AS `contact`,`student`.`family` AS `family`,`student`.`alias` AS `alias`,`student`.`pic` AS `pic`,`student`.`password` AS `password`,`student`.`field1` AS `field1`,`student`.`field2` AS `field2`,`student`.`field3` AS `field3`,`student`.`prov1` AS `prov1`,`student`.`prov2` AS `prov2`,`student`.`reserveres` AS `reserveres`,`student`.`program` AS `program`,`student`.`utag` AS `utag`,`student`.`email` AS `email`,`student`.`trans_type` AS `trans_type`,`student`.`trans_name` AS `trans_name`,`student`.`trans_am_route` AS `trans_am_route`,`student`.`trans_pickup_time` AS `trans_pickup_time`,`student`.`trans_pm_route` AS `trans_pm_route`,`student`.`trans_dropoff_time` AS `trans_dropoff_time`,`student`.`trans_bus_stop_location` AS `trans_bus_stop_location`,`student`.`group_after_school_prog` AS `group_after_school_prog`,`student`.`lunchstatus` AS `lunchstatus`,`student`.`par1_email` AS `par1_email`,`student`.`par2_email` AS `par2_email`,`student`.`name_prefix` AS `name_prefix`,`student`.`name_suffix` AS `name_suffix`,`student`.`name_knownas` AS `name_knownas`,`student`.`group_alt1` AS `group_alt1`,`student`.`group_alt2` AS `group_alt2`,`student`.`group_alt3` AS `group_alt3`,`student`.`billet` AS `billet`,`student`.`childcare_name` AS `childcare_name`,`student`.`childcare_address` AS `childcare_address`,`student`.`childcare_phone1` AS `childcare_phone1`,`student`.`childcare_phone2` AS `childcare_phone2`,`student`.`internet_type` AS `internet_type`,`student`.`par1_firstname` AS `par1_firstname`,`student`.`par1_lastname` AS `par1_lastname`,`student`.`par2_firstname` AS `par2_firstname`,`student`.`par2_lastname` AS `par2_lastname`,`student`.`graddate` AS `graddate`,`student`.`ldap_uid` AS `ldap_uid`,`student`.`ldap_uidnumber` AS `ldap_uidnumber`,`student`.`ldap_gidnumber` AS `ldap_gidnumber`,`student`.`address_land` AS `address_land`,`student`.`tuition_status` AS `tuition_status`,`student`.`tuition_duration` AS `tuition_duration`,`student`.`tuition_program` AS `tuition_program`,`student`.`tuition_collect` AS `tuition_collect`,`student`.`tuition_country` AS `tuition_country`,`student`.`immersion_type` AS `immersion_type`,`student`.`cumfolder` AS `cumfolder`,`student`.`address1mailing` AS `address1mailing`,`student`.`address2mailing` AS `address2mailing`,`student`.`parent_lockout` AS `parent_lockout` from `student` union select `studentwd`.`studid` AS `studid`,`studentwd`.`lastname` AS `lastname`,`studentwd`.`firstname` AS `firstname`,`studentwd`.`initial` AS `initial`,`studentwd`.`studnum` AS `studnum`,`studentwd`.`grade` AS `grade`,`studentwd`.`homeroom` AS `homeroom`,`studentwd`.`sex` AS `sex`,`studentwd`.`birthdate` AS `birthdate`,`studentwd`.`house` AS `house`,`studentwd`.`healthid` AS `healthid`,`studentwd`.`entry` AS `entry`,`studentwd`.`ethnic` AS `ethnic`,`studentwd`.`single` AS `single`,`studentwd`.`internet` AS `internet`,`studentwd`.`youngest` AS `youngest`,`studentwd`.`owing` AS `owing`,`studentwd`.`treaty` AS `treaty`,`studentwd`.`medical` AS `medical`,`studentwd`.`studrel` AS `studrel`,`studentwd`.`momrel` AS `momrel`,`studentwd`.`dadrel` AS `dadrel`,`studentwd`.`parish` AS `parish`,`studentwd`.`commun` AS `commun`,`studentwd`.`recon` AS `recon`,`studentwd`.`confirm` AS `confirm`,`studentwd`.`maiden` AS `maiden`,`studentwd`.`relation1` AS `relation1`,`studentwd`.`contact1` AS `contact1`,`studentwd`.`name1` AS `name1`,`studentwd`.`hphone1` AS `hphone1`,`studentwd`.`wphone1` AS `wphone1`,`studentwd`.`cell1` AS `cell1`,`studentwd`.`fax1` AS `fax1`,`studentwd`.`address1` AS `address1`,`studentwd`.`city1` AS `city1`,`studentwd`.`pcode1` AS `pcode1`,`studentwd`.`workplace1` AS `workplace1`,`studentwd`.`relation2` AS `relation2`,`studentwd`.`contact2` AS `contact2`,`studentwd`.`name2` AS `name2`,`studentwd`.`hphone2` AS `hphone2`,`studentwd`.`wphone2` AS `wphone2`,`studentwd`.`cell2` AS `cell2`,`studentwd`.`fax2` AS `fax2`,`studentwd`.`address2` AS `address2`,`studentwd`.`city2` AS `city2`,`studentwd`.`pcode2` AS `pcode2`,`studentwd`.`workplace2` AS `workplace2`,`studentwd`.`emrelation` AS `emrelation`,`studentwd`.`emname` AS `emname`,`studentwd`.`emhphone` AS `emhphone`,`studentwd`.`emwphone` AS `emwphone`,`studentwd`.`emcell` AS `emcell`,`studentwd`.`doctor` AS `doctor`,`studentwd`.`docphone` AS `docphone`,`studentwd`.`busroute` AS `busroute`,`studentwd`.`provnum` AS `provnum`,`studentwd`.`band` AS `band`,`studentwd`.`bandnum` AS `bandnum`,`studentwd`.`baptism` AS `baptism`,`studentwd`.`contact` AS `contact`,`studentwd`.`family` AS `family`,`studentwd`.`alias` AS `alias`,`studentwd`.`pic` AS `pic`,`studentwd`.`password` AS `password`,`studentwd`.`field1` AS `field1`,`studentwd`.`field2` AS `field2`,`studentwd`.`field3` AS `field3`,`studentwd`.`prov1` AS `prov1`,`studentwd`.`prov2` AS `prov2`,`studentwd`.`reserveres` AS `reserveres`,`studentwd`.`program` AS `program`,`studentwd`.`utag` AS `utag`,`studentwd`.`email` AS `email`,`studentwd`.`trans_type` AS `trans_type`,`studentwd`.`trans_name` AS `trans_name`,`studentwd`.`trans_am_route` AS `trans_am_route`,`studentwd`.`trans_pickup_time` AS `trans_pickup_time`,`studentwd`.`trans_pm_route` AS `trans_pm_route`,`studentwd`.`trans_dropoff_time` AS `trans_dropoff_time`,`studentwd`.`trans_bus_stop_location` AS `trans_bus_stop_location`,`studentwd`.`group_after_school_prog` AS `group_after_school_prog`,`studentwd`.`lunchstatus` AS `lunchstatus`,`studentwd`.`par1_email` AS `par1_email`,`studentwd`.`par2_email` AS `par2_email`,`studentwd`.`name_prefix` AS `name_prefix`,`studentwd`.`name_suffix` AS `name_suffix`,`studentwd`.`name_knownas` AS `name_knownas`,`studentwd`.`group_alt1` AS `group_alt1`,`studentwd`.`group_alt2` AS `group_alt2`,`studentwd`.`group_alt3` AS `group_alt3`,`studentwd`.`billet` AS `billet`,`studentwd`.`childcare_name` AS `childcare_name`,`studentwd`.`childcare_address` AS `childcare_address`,`studentwd`.`childcare_phone1` AS `childcare_phone1`,`studentwd`.`childcare_phone2` AS `childcare_phone2`,`studentwd`.`internet_type` AS `internet_type`,`studentwd`.`par1_firstname` AS `par1_firstname`,`studentwd`.`par1_lastname` AS `par1_lastname`,`studentwd`.`par2_firstname` AS `par2_firstname`,`studentwd`.`par2_lastname` AS `par2_lastname`,`studentwd`.`graddate` AS `graddate`,`studentwd`.`ldap_uid` AS `ldap_uid`,`studentwd`.`ldap_uidnumber` AS `ldap_uidnumber`,`studentwd`.`ldap_gidnumber` AS `ldap_gidnumber`,`studentwd`.`address_land` AS `address_land`,`studentwd`.`tuition_status` AS `tuition_status`,`studentwd`.`tuition_duration` AS `tuition_duration`,`studentwd`.`tuition_program` AS `tuition_program`,`studentwd`.`tuition_collect` AS `tuition_collect`,`studentwd`.`tuition_country` AS `tuition_country`,`studentwd`.`immersion_type` AS `immersion_type`,`studentwd`.`cumfolder` AS `cumfolder`,`studentwd`.`address1mailing` AS `address1mailing`,`studentwd`.`address2mailing` AS `address2mailing`,`studentwd`.`parent_lockout` AS `parent_lockout` from `studentwd` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-01-15 11:49:47
